/* -*- mode: c++; indent-tabs-mode: nil -*- */
/*
  qc_errno.qpp

  Qore Programming Language

  Copyright (C) 2003 - 2023 David Nichols

  Permission is hereby granted, free of charge, to any person obtaining a
  copy of this software and associated documentation files (the "Software"),
  to deal in the Software without restriction, including without limitation
  the rights to use, copy, modify, merge, publish, distribute, sublicense,
  and/or sell copies of the Software, and to permit persons to whom the
  Software is furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
  DEALINGS IN THE SOFTWARE.

  Note that the Qore library is released under a choice of three open-source
  licenses: MIT (as above), LGPL 2+, or GPL 2+; see README-LICENSE for more
  information.
*/

#include <qore/Qore.h>

#ifndef E2BIG
#define E2BIG -1
#endif
#ifndef EACCES
#define EACCES -1
#endif
#ifndef EADDRINUSE
#define EADDRINUSE -1
#endif
#ifndef EADDRNOTAVAIL
#define EADDRNOTAVAIL -1
#endif
#ifndef EAFNOSUPPORT
#define EAFNOSUPPORT -1
#endif
#ifndef EAGAIN
#define EAGAIN -1
#endif
#ifndef EALREADY
#define EALREADY -1
#endif
#ifndef EBADF
#define EBADF -1
#endif
#ifndef EBADMSG
#define EBADMSG -1
#endif
#ifndef EBUSY
#define EBUSY -1
#endif
#ifndef ECHILD
#define ECHILD -1
#endif
#ifndef ECONNABORTED
#define ECONNABORTED -1
#endif
#ifndef ECONNREFUSED
#define ECONNREFUSED -1
#endif
#ifndef ECONNRESET
#define ECONNRESET -1
#endif
#ifndef EDEADLK
#define EDEADLK -1
#endif
#ifndef EDEADLOCK
#define EDEADLOCK -1
#endif
#ifndef EDESTADDRREQ
#define EDESTADDRREQ -1
#endif
#ifndef EDOM
#define EDOM -1
#endif
#ifndef EDQUOT
#define EDQUOT -1
#endif
#ifndef EEXIST
#define EEXIST -1
#endif
#ifndef EFAULT
#define EFAULT -1
#endif
#ifndef EFBIG
#define EFBIG -1
#endif
#ifndef EHOSTDOWN
#define EHOSTDOWN -1
#endif
#ifndef EHOSTUNREACH
#define EHOSTUNREACH -1
#endif
#ifndef EIDRM
#define EIDRM -1
#endif
#ifndef EILSEQ
#define EILSEQ -1
#endif
#ifndef EINPROGRESS
#define EINPROGRESS -1
#endif
#ifndef EINTR
#define EINTR -1
#endif
#ifndef EINVAL
#define EINVAL -1
#endif
#ifndef EIO
#define EIO -1
#endif
#ifndef EISCONN
#define EISCONN -1
#endif
#ifndef EISDIR
#define EISDIR -1
#endif
#ifndef ELOOP
#define ELOOP -1
#endif
#ifndef EMFILE
#define EMFILE -1
#endif
#ifndef EMLINK
#define EMLINK -1
#endif
#ifndef EMSGSIZE
#define EMSGSIZE -1
#endif
#ifndef EMULTIHOP
#define EMULTIHOP -1
#endif
#ifndef ENAMETOOLONG
#define ENAMETOOLONG -1
#endif
#ifndef ENETDOWN
#define ENETDOWN -1
#endif
#ifndef ENETRESET
#define ENETRESET -1
#endif
#ifndef ENETUNREACH
#define ENETUNREACH -1
#endif
#ifndef ENFILE
#define ENFILE -1
#endif
#ifndef ENOBUFS
#define ENOBUFS -1
#endif
#ifndef ENODATA
#define ENODATA -1
#endif
#ifndef ENODEV
#define ENODEV -1
#endif
#ifndef ENOENT
#define ENOENT -1
#endif
#ifndef ENOEXEC
#define ENOEXEC -1
#endif
#ifndef ENOLCK
#define ENOLCK -1
#endif
#ifndef ENOLINK
#define ENOLINK -1
#endif
#ifndef ENOMEM
#define ENOMEM -1
#endif
#ifndef ENOMSG
#define ENOMSG -1
#endif
#ifndef ENOPROTOOPT
#define ENOPROTOOPT -1
#endif
#ifndef ENOSPC
#define ENOSPC -1
#endif
#ifndef ENOSR
#define ENOSR -1
#endif
#ifndef ENOSTR
#define ENOSTR -1
#endif
#ifndef ENOSYS
#define ENOSYS -1
#endif
#ifndef ENOTBLK
#define ENOTBLK -1
#endif
#ifndef ENOTCONN
#define ENOTCONN -1
#endif
#ifndef ENOTDIR
#define ENOTDIR -1
#endif
#ifndef ENOTEMPTY
#define ENOTEMPTY -1
#endif
#ifndef ENOTNAM
#define ENOTNAM -1
#endif
#ifndef ENOTSOCK
#define ENOTSOCK -1
#endif
#ifndef ENOTTY
#define ENOTTY -1
#endif
#ifndef ENXIO
#define ENXIO -1
#endif
#ifndef EOPNOTSUPP
#define EOPNOTSUPP -1
#endif
#ifndef EOVERFLOW
#define EOVERFLOW -1
#endif
#ifndef EPERM
#define EPERM -1
#endif
#ifndef EPFNOSUPPORT
#define EPFNOSUPPORT -1
#endif
#ifndef EPIPE
#define EPIPE -1
#endif
#ifndef EPROTO
#define EPROTO -1
#endif
#ifndef EPROTONOSUPPORT
#define EPROTONOSUPPORT -1
#endif
#ifndef EPROTOTYPE
#define EPROTOTYPE -1
#endif
#ifndef ERANGE
#define ERANGE -1
#endif
#ifndef EREMOTE
#define EREMOTE -1
#endif
#ifndef EROFS
#define EROFS -1
#endif
#ifndef ESHUTDOWN
#define ESHUTDOWN -1
#endif
#ifndef ESOCKTNOSUPPORT
#define ESOCKTNOSUPPORT -1
#endif
#ifndef ESTALE
#define ESTALE -1
#endif
#ifndef ETIME
#define ETIME -1
#endif
#ifndef ETIMEDOUT
#define ETIMEDOUT -1
#endif
#ifndef ETOOMANYREFS
#define ETOOMANYREFS -1
#endif
#ifndef ETXTBSY
#define ETXTBSY -1
#endif
#ifndef EUSERS
#define EUSERS -1
#endif
#ifndef EWOULDBLOCK
#define EWOULDBLOCK -1
#endif
#ifndef EXDEV
#define EXDEV -1
#endif
#ifndef ESRCH
#define ESRCH -1
#endif

DLLLOCAL void init_errno_constants(QoreNamespace& ns) {
# 294 "qc_errno.qpp"
# 300 "qc_errno.qpp"
# 303 "qc_errno.qpp"
# 306 "qc_errno.qpp"
# 309 "qc_errno.qpp"
# 312 "qc_errno.qpp"
# 315 "qc_errno.qpp"
# 318 "qc_errno.qpp"
# 321 "qc_errno.qpp"
# 324 "qc_errno.qpp"
# 327 "qc_errno.qpp"
# 330 "qc_errno.qpp"
# 333 "qc_errno.qpp"
# 336 "qc_errno.qpp"
# 339 "qc_errno.qpp"
# 342 "qc_errno.qpp"
# 345 "qc_errno.qpp"
# 348 "qc_errno.qpp"
# 351 "qc_errno.qpp"
# 354 "qc_errno.qpp"
# 357 "qc_errno.qpp"
# 360 "qc_errno.qpp"
# 363 "qc_errno.qpp"
# 366 "qc_errno.qpp"
# 369 "qc_errno.qpp"
# 372 "qc_errno.qpp"
# 375 "qc_errno.qpp"
# 378 "qc_errno.qpp"
# 381 "qc_errno.qpp"
# 384 "qc_errno.qpp"
# 387 "qc_errno.qpp"
# 390 "qc_errno.qpp"
# 393 "qc_errno.qpp"
# 396 "qc_errno.qpp"
# 399 "qc_errno.qpp"
# 402 "qc_errno.qpp"
# 405 "qc_errno.qpp"
# 408 "qc_errno.qpp"
# 411 "qc_errno.qpp"
# 414 "qc_errno.qpp"
# 417 "qc_errno.qpp"
# 420 "qc_errno.qpp"
# 423 "qc_errno.qpp"
# 426 "qc_errno.qpp"
# 429 "qc_errno.qpp"
# 432 "qc_errno.qpp"
# 435 "qc_errno.qpp"
# 438 "qc_errno.qpp"
# 441 "qc_errno.qpp"
# 444 "qc_errno.qpp"
# 447 "qc_errno.qpp"
# 450 "qc_errno.qpp"
# 453 "qc_errno.qpp"
# 456 "qc_errno.qpp"
# 459 "qc_errno.qpp"
# 462 "qc_errno.qpp"
# 465 "qc_errno.qpp"
# 468 "qc_errno.qpp"
# 471 "qc_errno.qpp"
# 474 "qc_errno.qpp"
# 477 "qc_errno.qpp"
# 480 "qc_errno.qpp"
# 483 "qc_errno.qpp"
# 486 "qc_errno.qpp"
# 489 "qc_errno.qpp"
# 492 "qc_errno.qpp"
# 495 "qc_errno.qpp"
# 498 "qc_errno.qpp"
# 501 "qc_errno.qpp"
# 504 "qc_errno.qpp"
# 507 "qc_errno.qpp"
# 510 "qc_errno.qpp"
# 513 "qc_errno.qpp"
# 516 "qc_errno.qpp"
# 519 "qc_errno.qpp"
# 522 "qc_errno.qpp"
# 525 "qc_errno.qpp"
# 528 "qc_errno.qpp"
# 531 "qc_errno.qpp"
# 534 "qc_errno.qpp"
# 537 "qc_errno.qpp"
# 540 "qc_errno.qpp"
# 543 "qc_errno.qpp"
# 546 "qc_errno.qpp"
# 549 "qc_errno.qpp"
# 552 "qc_errno.qpp"
    ns.addConstant("E2BIG", ((int64)E2BIG));
    ns.addConstant("EACCES", ((int64)EACCES));
    ns.addConstant("EADDRINUSE", ((int64)EADDRINUSE));
    ns.addConstant("EADDRNOTAVAIL", ((int64)EADDRNOTAVAIL));
    ns.addConstant("EAFNOSUPPORT", ((int64)EAFNOSUPPORT));
    ns.addConstant("EAGAIN", ((int64)EAGAIN));
    ns.addConstant("EALREADY", ((int64)EALREADY));
    ns.addConstant("EBADF", ((int64)EBADF));
    ns.addConstant("EBADMSG", ((int64)EBADMSG));
    ns.addConstant("EBUSY", ((int64)EBUSY));
    ns.addConstant("ECHILD", ((int64)ECHILD));
    ns.addConstant("ECONNABORTED", ((int64)ECONNABORTED));
    ns.addConstant("ECONNREFUSED", ((int64)ECONNREFUSED));
    ns.addConstant("ECONNRESET", ((int64)ECONNRESET));
    ns.addConstant("EDEADLK", ((int64)EDEADLK));
    ns.addConstant("EDEADLOCK", ((int64)EDEADLOCK));
    ns.addConstant("EDESTADDRREQ", ((int64)EDESTADDRREQ));
    ns.addConstant("EDOM", ((int64)EDOM));
    ns.addConstant("EDQUOT", ((int64)EDQUOT));
    ns.addConstant("EEXIST", ((int64)EEXIST));
    ns.addConstant("EFAULT", ((int64)EFAULT));
    ns.addConstant("EFBIG", ((int64)EFBIG));
    ns.addConstant("EHOSTDOWN", ((int64)EHOSTDOWN));
    ns.addConstant("EHOSTUNREACH", ((int64)EHOSTUNREACH));
    ns.addConstant("EIDRM", ((int64)EIDRM));
    ns.addConstant("EILSEQ", ((int64)EILSEQ));
    ns.addConstant("EINPROGRESS", ((int64)EINPROGRESS));
    ns.addConstant("EINTR", ((int64)EINTR));
    ns.addConstant("EINVAL", ((int64)EINVAL));
    ns.addConstant("EIO", ((int64)EIO));
    ns.addConstant("EISCONN", ((int64)EISCONN));
    ns.addConstant("EISDIR", ((int64)EISDIR));
    ns.addConstant("ELOOP", ((int64)ELOOP));
    ns.addConstant("EMFILE", ((int64)EMFILE));
    ns.addConstant("EMLINK", ((int64)EMLINK));
    ns.addConstant("EMSGSIZE", ((int64)EMSGSIZE));
    ns.addConstant("EMULTIHOP", ((int64)EMULTIHOP));
    ns.addConstant("ENAMETOOLONG", ((int64)ENAMETOOLONG));
    ns.addConstant("ENETDOWN", ((int64)ENETDOWN));
    ns.addConstant("ENETRESET", ((int64)ENETRESET));
    ns.addConstant("ENETUNREACH", ((int64)ENETUNREACH));
    ns.addConstant("ENFILE", ((int64)ENFILE));
    ns.addConstant("ENOBUFS", ((int64)ENOBUFS));
    ns.addConstant("ENODATA", ((int64)ENODATA));
    ns.addConstant("ENODEV", ((int64)ENODEV));
    ns.addConstant("ENOENT", ((int64)ENOENT));
    ns.addConstant("ENOEXEC", ((int64)ENOEXEC));
    ns.addConstant("ENOLCK", ((int64)ENOLCK));
    ns.addConstant("ENOLINK", ((int64)ENOLINK));
    ns.addConstant("ENOMEM", ((int64)ENOMEM));
    ns.addConstant("ENOMSG", ((int64)ENOMSG));
    ns.addConstant("ENOPROTOOPT", ((int64)ENOPROTOOPT));
    ns.addConstant("ENOSPC", ((int64)ENOSPC));
    ns.addConstant("ENOSR", ((int64)ENOSR));
    ns.addConstant("ENOSTR", ((int64)ENOSTR));
    ns.addConstant("ENOSYS", ((int64)ENOSYS));
    ns.addConstant("ENOTBLK", ((int64)ENOTBLK));
    ns.addConstant("ENOTCONN", ((int64)ENOTCONN));
    ns.addConstant("ENOTDIR", ((int64)ENOTDIR));
    ns.addConstant("ENOTEMPTY", ((int64)ENOTEMPTY));
    ns.addConstant("ENOTNAM", ((int64)ENOTNAM));
    ns.addConstant("ENOTSOCK", ((int64)ENOTSOCK));
    ns.addConstant("ENOTTY", ((int64)ENOTTY));
    ns.addConstant("ENXIO", ((int64)ENXIO));
    ns.addConstant("EOPNOTSUPP", ((int64)EOPNOTSUPP));
    ns.addConstant("EOVERFLOW", ((int64)EOVERFLOW));
    ns.addConstant("EPERM", ((int64)EPERM));
    ns.addConstant("EPFNOSUPPORT", ((int64)EPFNOSUPPORT));
    ns.addConstant("EPIPE", ((int64)EPIPE));
    ns.addConstant("EPROTO", ((int64)EPROTO));
    ns.addConstant("EPROTONOSUPPORT", ((int64)EPROTONOSUPPORT));
    ns.addConstant("EPROTOTYPE", ((int64)EPROTOTYPE));
    ns.addConstant("ERANGE", ((int64)ERANGE));
    ns.addConstant("EREMOTE", ((int64)EREMOTE));
    ns.addConstant("EROFS", ((int64)EROFS));
    ns.addConstant("ESHUTDOWN", ((int64)ESHUTDOWN));
    ns.addConstant("ESOCKTNOSUPPORT", ((int64)ESOCKTNOSUPPORT));
    ns.addConstant("ESRCH", ((int64)ESRCH));
    ns.addConstant("ESTALE", ((int64)ESTALE));
    ns.addConstant("ETIME", ((int64)ETIME));
    ns.addConstant("ETIMEDOUT", ((int64)ETIMEDOUT));
    ns.addConstant("ETOOMANYREFS", ((int64)ETOOMANYREFS));
    ns.addConstant("ETXTBSY", ((int64)ETXTBSY));
    ns.addConstant("EUSERS", ((int64)EUSERS));
    ns.addConstant("EWOULDBLOCK", ((int64)EWOULDBLOCK));
    ns.addConstant("EXDEV", ((int64)EXDEV));

}
