/* -*- mode: c++; indent-tabs-mode: nil -*- */
/** @file ql_ast.cpp astparser constants definition */
/*
  Qore AST Parser

  Copyright (C) 2016 - 2023 Qore Technologies, s.r.o.

  Permission is hereby granted, free of charge, to any person obtaining a
  copy of this software and associated documentation files (the "Software"),
  to deal in the Software without restriction, including without limitation
  the rights to use, copy, modify, merge, publish, distribute, sublicense,
  and/or sell copies of the Software, and to permit persons to whom the
  Software is furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
  DEALINGS IN THE SOFTWARE.
*/

#include "qore/Qore.h"

#include "ast/ASTDeclarationKind.h"
#include "ast/ASTExpressionKind.h"
#include "ast/ASTNodeType.h"
#include "ast/ASTStatementKind.h"
#include "ast/ASTSymbolKind.h"
#include "ast/ASTSymbolUsageKind.h"

DLLLOCAL void init_ast_constants(QoreNamespace& ns) {
# 37 "ql_ast.qpp"
# 44 "ql_ast.qpp"
# 47 "ql_ast.qpp"
# 50 "ql_ast.qpp"
# 53 "ql_ast.qpp"
# 56 "ql_ast.qpp"
    ns.addConstant("ANT_Declaration", ((int64)ANT_Declaration));
    ns.addConstant("ANT_Expression", ((int64)ANT_Expression));
    ns.addConstant("ANT_Name", ((int64)ANT_Name));
    ns.addConstant("ANT_None", ((int64)ANT_None));
    ns.addConstant("ANT_ParseError", ((int64)ANT_ParseError));
    ns.addConstant("ANT_ParseOption", ((int64)ANT_ParseOption));
    ns.addConstant("ANT_Statement", ((int64)ANT_Statement));
# 63 "ql_ast.qpp"
# 70 "ql_ast.qpp"
# 73 "ql_ast.qpp"
# 76 "ql_ast.qpp"
# 79 "ql_ast.qpp"
# 82 "ql_ast.qpp"
# 85 "ql_ast.qpp"
# 88 "ql_ast.qpp"
# 91 "ql_ast.qpp"
# 94 "ql_ast.qpp"
    ns.addConstant("ADK_Class", ((int64)ADK_Class));
    ns.addConstant("ADK_Closure", ((int64)ADK_Closure));
    ns.addConstant("ADK_Constant", ((int64)ADK_Constant));
    ns.addConstant("ADK_Function", ((int64)ADK_Function));
    ns.addConstant("ADK_Hash", ((int64)ADK_Hash));
    ns.addConstant("ADK_HashMember", ((int64)ADK_HashMember));
    ns.addConstant("ADK_MemberGroup", ((int64)ADK_MemberGroup));
    ns.addConstant("ADK_Namespace", ((int64)ADK_Namespace));
    ns.addConstant("ADK_Superclass", ((int64)ADK_Superclass));
    ns.addConstant("ADK_VarList", ((int64)ADK_VarList));
    ns.addConstant("ADK_Variable", ((int64)ADK_Variable));
# 101 "ql_ast.qpp"
# 108 "ql_ast.qpp"
# 111 "ql_ast.qpp"
# 114 "ql_ast.qpp"
# 117 "ql_ast.qpp"
# 120 "ql_ast.qpp"
# 123 "ql_ast.qpp"
# 126 "ql_ast.qpp"
# 129 "ql_ast.qpp"
# 132 "ql_ast.qpp"
# 135 "ql_ast.qpp"
# 138 "ql_ast.qpp"
# 141 "ql_ast.qpp"
# 144 "ql_ast.qpp"
# 147 "ql_ast.qpp"
# 150 "ql_ast.qpp"
# 153 "ql_ast.qpp"
# 156 "ql_ast.qpp"
# 159 "ql_ast.qpp"
# 162 "ql_ast.qpp"
# 165 "ql_ast.qpp"
# 168 "ql_ast.qpp"
# 171 "ql_ast.qpp"
# 174 "ql_ast.qpp"
# 177 "ql_ast.qpp"
# 180 "ql_ast.qpp"
# 183 "ql_ast.qpp"
# 186 "ql_ast.qpp"
# 189 "ql_ast.qpp"
    ns.addConstant("AEK_Access", ((int64)AEK_Access));
    ns.addConstant("AEK_Assignment", ((int64)AEK_Assignment));
    ns.addConstant("AEK_Backquote", ((int64)AEK_Backquote));
    ns.addConstant("AEK_Binary", ((int64)AEK_Binary));
    ns.addConstant("AEK_Call", ((int64)AEK_Call));
    ns.addConstant("AEK_Case", ((int64)AEK_Case));
    ns.addConstant("AEK_Cast", ((int64)AEK_Cast));
    ns.addConstant("AEK_Closure", ((int64)AEK_Closure));
    ns.addConstant("AEK_ConstrInit", ((int64)AEK_ConstrInit));
    ns.addConstant("AEK_ContextMod", ((int64)AEK_ContextMod));
    ns.addConstant("AEK_ContextRow", ((int64)AEK_ContextRow));
    ns.addConstant("AEK_Decl", ((int64)AEK_Decl));
    ns.addConstant("AEK_Find", ((int64)AEK_Find));
    ns.addConstant("AEK_Hash", ((int64)AEK_Hash));
    ns.addConstant("AEK_HashElement", ((int64)AEK_HashElement));
    ns.addConstant("AEK_HashdeclHash", ((int64)AEK_HashdeclHash));
    ns.addConstant("AEK_ImplicitArg", ((int64)AEK_ImplicitArg));
    ns.addConstant("AEK_ImplicitElem", ((int64)AEK_ImplicitElem));
    ns.addConstant("AEK_Index", ((int64)AEK_Index));
    ns.addConstant("AEK_List", ((int64)AEK_List));
    ns.addConstant("AEK_Literal", ((int64)AEK_Literal));
    ns.addConstant("AEK_Name", ((int64)AEK_Name));
    ns.addConstant("AEK_Range", ((int64)AEK_Range));
    ns.addConstant("AEK_Regex", ((int64)AEK_Regex));
    ns.addConstant("AEK_RegexSubst", ((int64)AEK_RegexSubst));
    ns.addConstant("AEK_RegexTrans", ((int64)AEK_RegexTrans));
    ns.addConstant("AEK_Returns", ((int64)AEK_Returns));
    ns.addConstant("AEK_SwitchBody", ((int64)AEK_SwitchBody));
    ns.addConstant("AEK_Ternary", ((int64)AEK_Ternary));
    ns.addConstant("AEK_Unary", ((int64)AEK_Unary));
# 196 "ql_ast.qpp"
# 203 "ql_ast.qpp"
# 206 "ql_ast.qpp"
# 209 "ql_ast.qpp"
# 212 "ql_ast.qpp"
# 215 "ql_ast.qpp"
# 218 "ql_ast.qpp"
# 221 "ql_ast.qpp"
# 224 "ql_ast.qpp"
# 227 "ql_ast.qpp"
# 230 "ql_ast.qpp"
# 233 "ql_ast.qpp"
# 236 "ql_ast.qpp"
# 239 "ql_ast.qpp"
# 242 "ql_ast.qpp"
# 245 "ql_ast.qpp"
# 248 "ql_ast.qpp"
# 251 "ql_ast.qpp"
    ns.addConstant("ASK_Block", ((int64)ASK_Block));
    ns.addConstant("ASK_Break", ((int64)ASK_Break));
    ns.addConstant("ASK_Call", ((int64)ASK_Call));
    ns.addConstant("ASK_Context", ((int64)ASK_Context));
    ns.addConstant("ASK_Continue", ((int64)ASK_Continue));
    ns.addConstant("ASK_DoWhile", ((int64)ASK_DoWhile));
    ns.addConstant("ASK_Expression", ((int64)ASK_Expression));
    ns.addConstant("ASK_For", ((int64)ASK_For));
    ns.addConstant("ASK_Foreach", ((int64)ASK_Foreach));
    ns.addConstant("ASK_If", ((int64)ASK_If));
    ns.addConstant("ASK_OnBlockExit", ((int64)ASK_OnBlockExit));
    ns.addConstant("ASK_Rethrow", ((int64)ASK_Rethrow));
    ns.addConstant("ASK_Return", ((int64)ASK_Return));
    ns.addConstant("ASK_Summarize", ((int64)ASK_Summarize));
    ns.addConstant("ASK_Switch", ((int64)ASK_Switch));
    ns.addConstant("ASK_ThreadExit", ((int64)ASK_ThreadExit));
    ns.addConstant("ASK_Throw", ((int64)ASK_Throw));
    ns.addConstant("ASK_Try", ((int64)ASK_Try));
    ns.addConstant("ASK_While", ((int64)ASK_While));
# 258 "ql_ast.qpp"
# 265 "ql_ast.qpp"
# 268 "ql_ast.qpp"
# 271 "ql_ast.qpp"
# 274 "ql_ast.qpp"
# 277 "ql_ast.qpp"
# 280 "ql_ast.qpp"
# 283 "ql_ast.qpp"
# 286 "ql_ast.qpp"
# 289 "ql_ast.qpp"
# 292 "ql_ast.qpp"
# 295 "ql_ast.qpp"
# 298 "ql_ast.qpp"
# 301 "ql_ast.qpp"
# 304 "ql_ast.qpp"
# 307 "ql_ast.qpp"
# 310 "ql_ast.qpp"
# 313 "ql_ast.qpp"
    ns.addConstant("ASYK_Array", ((int64)ASYK_Array));
    ns.addConstant("ASYK_Boolean", ((int64)ASYK_Boolean));
    ns.addConstant("ASYK_Class", ((int64)ASYK_Class));
    ns.addConstant("ASYK_Constant", ((int64)ASYK_Constant));
    ns.addConstant("ASYK_Constructor", ((int64)ASYK_Constructor));
    ns.addConstant("ASYK_Enum", ((int64)ASYK_Enum));
    ns.addConstant("ASYK_Field", ((int64)ASYK_Field));
    ns.addConstant("ASYK_File", ((int64)ASYK_File));
    ns.addConstant("ASYK_Function", ((int64)ASYK_Function));
    ns.addConstant("ASYK_Interface", ((int64)ASYK_Interface));
    ns.addConstant("ASYK_Method", ((int64)ASYK_Method));
    ns.addConstant("ASYK_Module", ((int64)ASYK_Module));
    ns.addConstant("ASYK_Namespace", ((int64)ASYK_Namespace));
    ns.addConstant("ASYK_None", ((int64)ASYK_None));
    ns.addConstant("ASYK_Number", ((int64)ASYK_Number));
    ns.addConstant("ASYK_Package", ((int64)ASYK_Package));
    ns.addConstant("ASYK_Property", ((int64)ASYK_Property));
    ns.addConstant("ASYK_String", ((int64)ASYK_String));
    ns.addConstant("ASYK_Variable", ((int64)ASYK_Variable));
# 320 "ql_ast.qpp"
# 328 "ql_ast.qpp"
# 331 "ql_ast.qpp"
# 334 "ql_ast.qpp"
# 337 "ql_ast.qpp"
# 340 "ql_ast.qpp"
# 343 "ql_ast.qpp"
# 346 "ql_ast.qpp"
# 349 "ql_ast.qpp"
# 352 "ql_ast.qpp"
# 355 "ql_ast.qpp"
# 359 "ql_ast.qpp"
# 362 "ql_ast.qpp"
# 365 "ql_ast.qpp"
# 368 "ql_ast.qpp"
# 371 "ql_ast.qpp"
# 374 "ql_ast.qpp"
# 377 "ql_ast.qpp"
# 380 "ql_ast.qpp"
# 383 "ql_ast.qpp"
# 386 "ql_ast.qpp"
# 389 "ql_ast.qpp"
# 392 "ql_ast.qpp"
# 395 "ql_ast.qpp"
# 398 "ql_ast.qpp"
# 401 "ql_ast.qpp"
# 404 "ql_ast.qpp"
# 407 "ql_ast.qpp"
# 410 "ql_ast.qpp"
# 413 "ql_ast.qpp"
# 416 "ql_ast.qpp"
# 419 "ql_ast.qpp"
# 422 "ql_ast.qpp"
# 425 "ql_ast.qpp"
# 428 "ql_ast.qpp"
# 432 "ql_ast.qpp"
# 435 "ql_ast.qpp"
# 438 "ql_ast.qpp"
# 441 "ql_ast.qpp"
# 444 "ql_ast.qpp"
# 447 "ql_ast.qpp"
# 450 "ql_ast.qpp"
# 453 "ql_ast.qpp"
# 456 "ql_ast.qpp"
# 459 "ql_ast.qpp"
# 462 "ql_ast.qpp"
# 465 "ql_ast.qpp"
# 468 "ql_ast.qpp"
# 471 "ql_ast.qpp"
# 474 "ql_ast.qpp"
# 477 "ql_ast.qpp"
    ns.addConstant("ASUK_AccessMember", ((int64)ASUK_AccessMember));
    ns.addConstant("ASUK_AccessVariable", ((int64)ASUK_AccessVariable));
    ns.addConstant("ASUK_AssignmentLeft", ((int64)ASUK_AssignmentLeft));
    ns.addConstant("ASUK_AssignmentRight", ((int64)ASUK_AssignmentRight));
    ns.addConstant("ASUK_BinaryLeft", ((int64)ASUK_BinaryLeft));
    ns.addConstant("ASUK_BinaryRight", ((int64)ASUK_BinaryRight));
    ns.addConstant("ASUK_CallArgs", ((int64)ASUK_CallArgs));
    ns.addConstant("ASUK_CallTarget", ((int64)ASUK_CallTarget));
    ns.addConstant("ASUK_CaseExpr", ((int64)ASUK_CaseExpr));
    ns.addConstant("ASUK_CastObject", ((int64)ASUK_CastObject));
    ns.addConstant("ASUK_CastType", ((int64)ASUK_CastType));
    ns.addConstant("ASUK_ClassDeclName", ((int64)ASUK_ClassDeclName));
    ns.addConstant("ASUK_ConstantDeclName", ((int64)ASUK_ConstantDeclName));
    ns.addConstant("ASUK_ContextStmtData", ((int64)ASUK_ContextStmtData));
    ns.addConstant("ASUK_ContextStmtName", ((int64)ASUK_ContextStmtName));
    ns.addConstant("ASUK_DoWhileStmtCond", ((int64)ASUK_DoWhileStmtCond));
    ns.addConstant("ASUK_ExprStmtExpr", ((int64)ASUK_ExprStmtExpr));
    ns.addConstant("ASUK_FindData", ((int64)ASUK_FindData));
    ns.addConstant("ASUK_ForStmtCond", ((int64)ASUK_ForStmtCond));
    ns.addConstant("ASUK_ForStmtInit", ((int64)ASUK_ForStmtInit));
    ns.addConstant("ASUK_ForStmtIter", ((int64)ASUK_ForStmtIter));
    ns.addConstant("ASUK_ForeachStmtSrc", ((int64)ASUK_ForeachStmtSrc));
    ns.addConstant("ASUK_ForeachStmtVal", ((int64)ASUK_ForeachStmtVal));
    ns.addConstant("ASUK_FuncDeclName", ((int64)ASUK_FuncDeclName));
    ns.addConstant("ASUK_FuncReturnType", ((int64)ASUK_FuncReturnType));
    ns.addConstant("ASUK_HashDeclName", ((int64)ASUK_HashDeclName));
    ns.addConstant("ASUK_HashElement", ((int64)ASUK_HashElement));
    ns.addConstant("ASUK_HashMemberName", ((int64)ASUK_HashMemberName));
    ns.addConstant("ASUK_HashdeclHashHashdecl", ((int64)ASUK_HashdeclHashHashdecl));
    ns.addConstant("ASUK_IfStmtCond", ((int64)ASUK_IfStmtCond));
    ns.addConstant("ASUK_IndexIndex", ((int64)ASUK_IndexIndex));
    ns.addConstant("ASUK_IndexVariable", ((int64)ASUK_IndexVariable));
    ns.addConstant("ASUK_ListElement", ((int64)ASUK_ListElement));
    ns.addConstant("ASUK_NamespaceDeclName", ((int64)ASUK_NamespaceDeclName));
    ns.addConstant("ASUK_None", ((int64)ASUK_None));
    ns.addConstant("ASUK_RangeLeft", ((int64)ASUK_RangeLeft));
    ns.addConstant("ASUK_RangeRight", ((int64)ASUK_RangeRight));
    ns.addConstant("ASUK_ReturnStmtVal", ((int64)ASUK_ReturnStmtVal));
    ns.addConstant("ASUK_ReturnsType", ((int64)ASUK_ReturnsType));
    ns.addConstant("ASUK_SummarizeStmtData", ((int64)ASUK_SummarizeStmtData));
    ns.addConstant("ASUK_SummarizeStmtName", ((int64)ASUK_SummarizeStmtName));
    ns.addConstant("ASUK_SuperclassDeclName", ((int64)ASUK_SuperclassDeclName));
    ns.addConstant("ASUK_SwitchStmtVar", ((int64)ASUK_SwitchStmtVar));
    ns.addConstant("ASUK_TernaryCond", ((int64)ASUK_TernaryCond));
    ns.addConstant("ASUK_TernaryFalse", ((int64)ASUK_TernaryFalse));
    ns.addConstant("ASUK_TernaryTrue", ((int64)ASUK_TernaryTrue));
    ns.addConstant("ASUK_ThrowStmtExpr", ((int64)ASUK_ThrowStmtExpr));
    ns.addConstant("ASUK_TryStmtCatchVar", ((int64)ASUK_TryStmtCatchVar));
    ns.addConstant("ASUK_Unary", ((int64)ASUK_Unary));
    ns.addConstant("ASUK_VarDeclName", ((int64)ASUK_VarDeclName));
    ns.addConstant("ASUK_VarDeclTypeName", ((int64)ASUK_VarDeclTypeName));
    ns.addConstant("ASUK_WhileStmtCond", ((int64)ASUK_WhileStmtCond));

}
