/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "ast_parser.ypp"
 /* -*- mode: c++; indent-tabs-mode: nil -*-

  ast_parser.ypp

  Qore Programming Language

  Copyright (C) 2017 - 2023 Qore Technologies, s.r.o.

  Permission is hereby granted, free of charge, to any person obtaining a
  copy of this software and associated documentation files (the "Software"),
  to deal in the Software without restriction, including without limitation
  the rights to use, copy, modify, merge, publish, distribute, sublicense,
  and/or sell copies of the Software, and to permit persons to whom the
  Software is furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
  DEALINGS IN THE SOFTWARE.
*/

#include <cstdio>
#include <cstdint>
#include <cstdlib>
#include <cstring>
#include <memory>
#include <string>
#include <utility>
#include <vector>

#include "AstParseErrorLog.h"
#include "ast/AST.h"

#define YYINITDEPTH 300
//#define YYDEBUG 1

#define YYLTYPE ASTParseLocation

#define YYLLOC_DEFAULT(Current, Rhs, N)                            \
    do                                                             \
        if (N) {                                                   \
            (Current).firstLine    = YYRHSLOC(Rhs, 1).firstLine;   \
            (Current).firstCol     = YYRHSLOC(Rhs, 1).firstCol;    \
            (Current).lastLine     = YYRHSLOC(Rhs, N).lastLine;    \
            (Current).lastCol      = YYRHSLOC(Rhs, N).lastCol;     \
        }                                                          \
        else {                                                     \
            (Current).firstLine = (Current).lastLine =             \
                YYRHSLOC(Rhs, 0).lastLine;                         \
            (Current).firstCol = (Current).lastCol =               \
                YYRHSLOC(Rhs, 0).lastCol;                          \
        }                                                          \
    while (0)


// Needed for the lex-param and parse-param Bison options.
typedef void* yyscan_t;

#line 136 "ast_parser.cpp"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "ast_parser.hpp"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_TOK_RETURN = 3,                 /* "return"  */
  YYSYMBOL_TOK_RETURNS = 4,                /* "returns"  */
  YYSYMBOL_TOK_THREAD_LOCAL = 5,           /* "thread_local"  */
  YYSYMBOL_TOK_MY = 6,                     /* "my"  */
  YYSYMBOL_TOK_DO = 7,                     /* "do"  */
  YYSYMBOL_TOK_TRY = 8,                    /* "try"  */
  YYSYMBOL_TOK_THROW = 9,                  /* "throw"  */
  YYSYMBOL_TOK_CATCH = 10,                 /* "catch"  */
  YYSYMBOL_TOK_WHERE = 11,                 /* "where"  */
  YYSYMBOL_TOK_WHILE = 12,                 /* "while"  */
  YYSYMBOL_TOK_IF = 13,                    /* "if"  */
  YYSYMBOL_TOK_FOR = 14,                   /* "for"  */
  YYSYMBOL_TOK_SUB = 15,                   /* "sub"  */
  YYSYMBOL_TOK_THREAD_EXIT = 16,           /* "thread_exit"  */
  YYSYMBOL_TOK_BREAK = 17,                 /* "break"  */
  YYSYMBOL_TOK_CONTINUE = 18,              /* "continue"  */
  YYSYMBOL_TOK_CONTEXT_ROW = 19,           /* "%%"  */
  YYSYMBOL_TOK_FIND = 20,                  /* "find"  */
  YYSYMBOL_TOK_FOREACH = 21,               /* "foreach"  */
  YYSYMBOL_TOK_IN = 22,                    /* "in"  */
  YYSYMBOL_TOK_DELETE = 23,                /* "delete"  */
  YYSYMBOL_TOK_REMOVE = 24,                /* "remove"  */
  YYSYMBOL_TOK_PRIVATE = 25,               /* "private"  */
  YYSYMBOL_TOK_PRIVATEINTERNAL = 26,       /* "private:internal"  */
  YYSYMBOL_TOK_PRIVATEHIERARCHY = 27,      /* "private:hierarchy"  */
  YYSYMBOL_TOK_PUBLIC = 28,                /* "public"  */
  YYSYMBOL_TOK_SYNCHRONIZED = 29,          /* "synchronized"  */
  YYSYMBOL_TOK_DEPRECATED = 30,            /* "deprecated"  */
  YYSYMBOL_TOK_CONTEXT = 31,               /* "context"  */
  YYSYMBOL_TOK_SORT_BY = 32,               /* "sortBy"  */
  YYSYMBOL_TOK_SORT_DESCENDING_BY = 33,    /* "sortDescendingBy"  */
  YYSYMBOL_TOK_SUB_CONTEXT = 34,           /* "subcontext"  */
  YYSYMBOL_TOK_CONST = 35,                 /* "const"  */
  YYSYMBOL_TOK_SUMMARIZE = 36,             /* "summarize"  */
  YYSYMBOL_TOK_BY = 37,                    /* "by"  */
  YYSYMBOL_TOK_OUR = 38,                   /* "our"  */
  YYSYMBOL_TOK_RETHROW = 39,               /* "rethrow"  */
  YYSYMBOL_TOK_SWITCH = 40,                /* "switch"  */
  YYSYMBOL_TOK_CASE = 41,                  /* "case"  */
  YYSYMBOL_TOK_DEFAULT = 42,               /* "default"  */
  YYSYMBOL_TOK_INHERITS = 43,              /* "inherits"  */
  YYSYMBOL_TOK_ELSE = 44,                  /* "else"  */
  YYSYMBOL_TOK_STATIC = 45,                /* "static"  */
  YYSYMBOL_TOK_MODULE = 46,                /* "module"  */
  YYSYMBOL_TOK_FINAL = 47,                 /* "final"  */
  YYSYMBOL_TOK_ABSTRACT = 48,              /* "abstract"  */
  YYSYMBOL_TOK_HASHDECL = 49,              /* "hashdecl"  */
  YYSYMBOL_TOK_TRANSIENT = 50,             /* "transient"  */
  YYSYMBOL_TOK_NULL = 51,                  /* "NULL"  */
  YYSYMBOL_TOK_NOTHING = 52,               /* "NOTHING"  */
  YYSYMBOL_TOK_TRUE = 53,                  /* "True"  */
  YYSYMBOL_TOK_FALSE = 54,                 /* "False"  */
  YYSYMBOL_TOK_UNREFERENCE = 55,           /* "unreference"  */
  YYSYMBOL_P_INCREMENT = 56,               /* "++ operator"  */
  YYSYMBOL_P_DECREMENT = 57,               /* "-- operator"  */
  YYSYMBOL_PLUS_EQUALS = 58,               /* "+= operator"  */
  YYSYMBOL_MINUS_EQUALS = 59,              /* "-= operator"  */
  YYSYMBOL_AND_EQUALS = 60,                /* "&= operator"  */
  YYSYMBOL_OR_EQUALS = 61,                 /* "|= operator"  */
  YYSYMBOL_MODULO_EQUALS = 62,             /* "%= operator"  */
  YYSYMBOL_MULTIPLY_EQUALS = 63,           /* "*= operator"  */
  YYSYMBOL_DIVIDE_EQUALS = 64,             /* "/= operator"  */
  YYSYMBOL_XOR_EQUALS = 65,                /* "^= operator"  */
  YYSYMBOL_SHIFT_LEFT_EQUALS = 66,         /* "<<= operator"  */
  YYSYMBOL_SHIFT_RIGHT_EQUALS = 67,        /* ">>= operator"  */
  YYSYMBOL_TOK_UNSHIFT = 68,               /* "unshift"  */
  YYSYMBOL_TOK_PUSH = 69,                  /* "push"  */
  YYSYMBOL_TOK_POP = 70,                   /* "pop"  */
  YYSYMBOL_TOK_SHIFT = 71,                 /* "shift"  */
  YYSYMBOL_TOK_CHOMP = 72,                 /* "chomp"  */
  YYSYMBOL_TOK_TRIM = 73,                  /* "trim"  */
  YYSYMBOL_LOGICAL_AND = 74,               /* "&& operator"  */
  YYSYMBOL_LOGICAL_OR = 75,                /* "|| operator"  */
  YYSYMBOL_BROKEN_LOGICAL_OR = 76,         /* "|| operator (compat)"  */
  YYSYMBOL_BROKEN_BINARY_OR = 77,          /* "| operator (compat)"  */
  YYSYMBOL_BROKEN_BINARY_XOR = 78,         /* "^ operator (compat)"  */
  YYSYMBOL_LOGICAL_EQ = 79,                /* "== operator"  */
  YYSYMBOL_LOGICAL_NE = 80,                /* "!= operator"  */
  YYSYMBOL_LOGICAL_LE = 81,                /* "<= operator"  */
  YYSYMBOL_LOGICAL_GE = 82,                /* ">= operator"  */
  YYSYMBOL_LOGICAL_CMP = 83,               /* "<=> operator"  */
  YYSYMBOL_ABSOLUTE_EQ = 84,               /* "=== operator"  */
  YYSYMBOL_ABSOLUTE_NE = 85,               /* "!== operator"  */
  YYSYMBOL_REGEX_MATCH = 86,               /* "=~ operator"  */
  YYSYMBOL_REGEX_NMATCH = 87,              /* "!~ operator"  */
  YYSYMBOL_TOK_EXISTS = 88,                /* "exists"  */
  YYSYMBOL_TOK_INSTANCEOF = 89,            /* "instanceof"  */
  YYSYMBOL_SHIFT_RIGHT = 90,               /* ">> operator"  */
  YYSYMBOL_SHIFT_LEFT = 91,                /* "<< operator"  */
  YYSYMBOL_TOK_ELEMENTS = 92,              /* "elements"  */
  YYSYMBOL_TOK_KEYS = 93,                  /* "keys"  */
  YYSYMBOL_TOK_NEW = 94,                   /* "new"  */
  YYSYMBOL_TOK_BACKGROUND = 95,            /* "background"  */
  YYSYMBOL_TOK_ON_EXIT = 96,               /* "on_exit"  */
  YYSYMBOL_TOK_ON_SUCCESS = 97,            /* "on_success"  */
  YYSYMBOL_TOK_ON_ERROR = 98,              /* "on_error"  */
  YYSYMBOL_TOK_MAP = 99,                   /* "map"  */
  YYSYMBOL_TOK_FOLDR = 100,                /* "foldr"  */
  YYSYMBOL_TOK_FOLDL = 101,                /* "foldl"  */
  YYSYMBOL_TOK_SELECT = 102,               /* "select"  */
  YYSYMBOL_TOK_SPLICE = 103,               /* "splice"  */
  YYSYMBOL_TOK_EXTRACT = 104,              /* "extract"  */
  YYSYMBOL_IMPLICIT_ELEMENT = 105,         /* "$# operator"  */
  YYSYMBOL_NULL_COALESCING = 106,          /* "?? operator"  */
  YYSYMBOL_VALUE_COALESCING = 107,         /* "?* operator"  */
  YYSYMBOL_WEAK_ASSIGNMENT = 108,          /* ":= operator"  */
  YYSYMBOL_RANGE = 109,                    /* ".. operator"  */
  YYSYMBOL_ELLIPSES = 110,                 /* "... marker"  */
  YYSYMBOL_PARSE_OPTION_BEGIN = 111,       /* "parse option beginning"  */
  YYSYMBOL_INTEGER_OVERFLOW_ERROR = 112,   /* "'integer overflow error (cannot represent in a 64-bit signed number)'"  */
  YYSYMBOL_OPEN_BLK_COMMENT_AT_EOF_ERROR = 113, /* "'open block comment at EOF error'"  */
  YYSYMBOL_NO_REGEX_AFTER_MATCH_ERROR = 114, /* "'missing regular expression after =~ error'"  */
  YYSYMBOL_NO_REGEX_AFTER_NOTMATCH_ERROR = 115, /* "'missing regular expression after !~ error'"  */
  YYSYMBOL_WS_LOGICAL_LE = 116,            /* WS_LOGICAL_LE  */
  YYSYMBOL_WS_LOGICAL_GE = 117,            /* WS_LOGICAL_GE  */
  YYSYMBOL_WS_LOGICAL_NE = 118,            /* WS_LOGICAL_NE  */
  YYSYMBOL_WS_LOGICAL_EQ = 119,            /* WS_LOGICAL_EQ  */
  YYSYMBOL_WS_ABSOLUTE_EQ = 120,           /* WS_ABSOLUTE_EQ  */
  YYSYMBOL_WS_ABSOLUTE_NE = 121,           /* WS_ABSOLUTE_NE  */
  YYSYMBOL_WS_LOGICAL_CMP = 122,           /* WS_LOGICAL_CMP  */
  YYSYMBOL_WS_LOGICAL_AND = 123,           /* WS_LOGICAL_AND  */
  YYSYMBOL_WS_LOGICAL_OR = 124,            /* WS_LOGICAL_OR  */
  YYSYMBOL_WS_BROKEN_LOGICAL_OR = 125,     /* WS_BROKEN_LOGICAL_OR  */
  YYSYMBOL_WS_SHIFT_RIGHT = 126,           /* WS_SHIFT_RIGHT  */
  YYSYMBOL_WS_SHIFT_LEFT = 127,            /* WS_SHIFT_LEFT  */
  YYSYMBOL_WS_PLUS_EQUALS = 128,           /* WS_PLUS_EQUALS  */
  YYSYMBOL_WS_MINUS_EQUALS = 129,          /* WS_MINUS_EQUALS  */
  YYSYMBOL_WS_AND_EQUALS = 130,            /* WS_AND_EQUALS  */
  YYSYMBOL_WS_OR_EQUALS = 131,             /* WS_OR_EQUALS  */
  YYSYMBOL_WS_MODULO_EQUALS = 132,         /* WS_MODULO_EQUALS  */
  YYSYMBOL_WS_MULTIPLY_EQUALS = 133,       /* WS_MULTIPLY_EQUALS  */
  YYSYMBOL_WS_DIVIDE_EQUALS = 134,         /* WS_DIVIDE_EQUALS  */
  YYSYMBOL_WS_XOR_EQUALS = 135,            /* WS_XOR_EQUALS  */
  YYSYMBOL_WS_SHIFT_RIGHT_EQUALS = 136,    /* WS_SHIFT_RIGHT_EQUALS  */
  YYSYMBOL_WS_SHIFT_LEFT_EQUALS = 137,     /* WS_SHIFT_LEFT_EQUALS  */
  YYSYMBOL_INTEGER = 138,                  /* "integer value"  */
  YYSYMBOL_QFLOAT = 139,                   /* "floating-point value"  */
  YYSYMBOL_NUMBER = 140,                   /* "arbitrary-precision number"  */
  YYSYMBOL_IDENTIFIER = 141,               /* "identifier"  */
  YYSYMBOL_HASHDECL_IDENTIFIER_OPENCURLY = 142, /* "typed hash identifier"  */
  YYSYMBOL_ANGLE_IDENTIFIER = 143,         /* "complex type identifier"  */
  YYSYMBOL_VAR_REF = 144,                  /* "variable reference"  */
  YYSYMBOL_BACKQUOTE = 145,                /* "backquote expression"  */
  YYSYMBOL_SELF_REF = 146,                 /* "in-object member reference"  */
  YYSYMBOL_KW_IDENTIFIER_OPENPAREN = 147,  /* "identifier or keyword used as function or method identifier"  */
  YYSYMBOL_SCOPED_REF = 148,               /* "namespace or class-scoped reference"  */
  YYSYMBOL_SCOPED_VREF = 149,              /* "namespace-scoped global variable reference"  */
  YYSYMBOL_CONTEXT_REF = 150,              /* "context reference"  */
  YYSYMBOL_COMPLEX_CONTEXT_REF = 151,      /* "named context reference"  */
  YYSYMBOL_QORE_CAST = 152,                /* "cast operator"  */
  YYSYMBOL_CLASS_STRING = 153,             /* "simple class declaration"  */
  YYSYMBOL_BASE_CLASS_CALL = 154,          /* "call to base class method"  */
  YYSYMBOL_DATETIME = 155,                 /* "date/time value"  */
  YYSYMBOL_QUOTED_WORD = 156,              /* "quoted string"  */
  YYSYMBOL_BINARY = 157,                   /* "binary constant value"  */
  YYSYMBOL_NAMESPACE = 158,                /* "namespace"  */
  YYSYMBOL_REGEX_SUBST = 159,              /* "regular expression substitution expression"  */
  YYSYMBOL_REGEX_TRANS = 160,              /* "transliteration expression"  */
  YYSYMBOL_CLASS_SCOPED_REF = 161,         /* "scoped class declaration"  */
  YYSYMBOL_REGEX = 162,                    /* "regular expression"  */
  YYSYMBOL_REGEX_EXTRACT = 163,            /* "regular expression extraction expression"  */
  YYSYMBOL_IMPLICIT_ARG_REF = 164,         /* "implicit argument reference"  */
  YYSYMBOL_DOT_KW_IDENTIFIER = 165,        /* "keyword used as hash key or object member reference"  */
  YYSYMBOL_PARSE_OPTION_END = 166,         /* "parse option end"  */
  YYSYMBOL_PARSE_OPTION_FULL = 167,        /* "full parse option"  */
  YYSYMBOL_IFX = 168,                      /* IFX  */
  YYSYMBOL_169_ = 169,                     /* ','  */
  YYSYMBOL_170_ = 170,                     /* '='  */
  YYSYMBOL_171_ = 171,                     /* '?'  */
  YYSYMBOL_172_ = 172,                     /* ':'  */
  YYSYMBOL_173_ = 173,                     /* '|'  */
  YYSYMBOL_174_ = 174,                     /* '^'  */
  YYSYMBOL_175_ = 175,                     /* '&'  */
  YYSYMBOL_176_ = 176,                     /* '<'  */
  YYSYMBOL_177_ = 177,                     /* '>'  */
  YYSYMBOL_178_ = 178,                     /* '+'  */
  YYSYMBOL_179_ = 179,                     /* '-'  */
  YYSYMBOL_180_ = 180,                     /* '%'  */
  YYSYMBOL_181_ = 181,                     /* '*'  */
  YYSYMBOL_182_ = 182,                     /* '/'  */
  YYSYMBOL_NEG = 183,                      /* NEG  */
  YYSYMBOL_UPLUS = 184,                    /* UPLUS  */
  YYSYMBOL_185_ = 185,                     /* '~'  */
  YYSYMBOL_186_ = 186,                     /* '\\'  */
  YYSYMBOL_187_ = 187,                     /* '!'  */
  YYSYMBOL_188_ = 188,                     /* '{'  */
  YYSYMBOL_189_ = 189,                     /* '['  */
  YYSYMBOL_190_ = 190,                     /* '.'  */
  YYSYMBOL_191_ = 191,                     /* '('  */
  YYSYMBOL_192_ = 192,                     /* '}'  */
  YYSYMBOL_193_ = 193,                     /* ';'  */
  YYSYMBOL_194_ = 194,                     /* ')'  */
  YYSYMBOL_195_ = 195,                     /* ']'  */
  YYSYMBOL_YYACCEPT = 196,                 /* $accept  */
  YYSYMBOL_top_level_commands = 197,       /* top_level_commands  */
  YYSYMBOL_top_level_command = 198,        /* top_level_command  */
  YYSYMBOL_parse_option = 199,             /* parse_option  */
  YYSYMBOL_module_decls = 200,             /* module_decls  */
  YYSYMBOL_module_decl = 201,              /* module_decl  */
  YYSYMBOL_ppub = 202,                     /* ppub  */
  YYSYMBOL_gvardecl = 203,                 /* gvardecl  */
  YYSYMBOL_top_namespace_decl = 204,       /* top_namespace_decl  */
  YYSYMBOL_namespace_decls = 205,          /* namespace_decls  */
  YYSYMBOL_namespace_decl = 206,           /* namespace_decl  */
  YYSYMBOL_unscoped_const_decl = 207,      /* unscoped_const_decl  */
  YYSYMBOL_scoped_const_decl = 208,        /* scoped_const_decl  */
  YYSYMBOL_block = 209,                    /* block  */
  YYSYMBOL_statement_or_block = 210,       /* statement_or_block  */
  YYSYMBOL_statements = 211,               /* statements  */
  YYSYMBOL_optname = 212,                  /* optname  */
  YYSYMBOL_statement = 213,                /* statement  */
  YYSYMBOL_context_mods = 214,             /* context_mods  */
  YYSYMBOL_context_mod = 215,              /* context_mod  */
  YYSYMBOL_return_statement = 216,         /* return_statement  */
  YYSYMBOL_switch_statement = 217,         /* switch_statement  */
  YYSYMBOL_case_block = 218,               /* case_block  */
  YYSYMBOL_case_code = 219,                /* case_code  */
  YYSYMBOL_try_statement = 220,            /* try_statement  */
  YYSYMBOL_myexp = 221,                    /* myexp  */
  YYSYMBOL_hashdecl_def = 222,             /* hashdecl_def  */
  YYSYMBOL_class_def = 223,                /* class_def  */
  YYSYMBOL_inheritance_list = 224,         /* inheritance_list  */
  YYSYMBOL_superclass_list = 225,          /* superclass_list  */
  YYSYMBOL_superclass = 226,               /* superclass  */
  YYSYMBOL_hashdecl_attributes = 227,      /* hashdecl_attributes  */
  YYSYMBOL_hashdecl_member = 228,          /* hashdecl_member  */
  YYSYMBOL_class_attributes = 229,         /* class_attributes  */
  YYSYMBOL_uncqtypedef = 230,              /* uncqtypedef  */
  YYSYMBOL_qtypedef = 231,                 /* qtypedef  */
  YYSYMBOL_internal_member_list = 232,     /* internal_member_list  */
  YYSYMBOL_private_member_list = 233,      /* private_member_list  */
  YYSYMBOL_public_member_list = 234,       /* public_member_list  */
  YYSYMBOL_classvardecl = 235,             /* classvardecl  */
  YYSYMBOL_member2 = 236,                  /* member2  */
  YYSYMBOL_member = 237,                   /* member  */
  YYSYMBOL_transient_member2 = 238,        /* transient_member2  */
  YYSYMBOL_transient_member = 239,         /* transient_member  */
  YYSYMBOL_member_list = 240,              /* member_list  */
  YYSYMBOL_member_list2 = 241,             /* member_list2  */
  YYSYMBOL_ident_openparen = 242,          /* ident_openparen  */
  YYSYMBOL_inline_methoddef = 243,         /* inline_methoddef  */
  YYSYMBOL_outofline_methoddef = 244,      /* outofline_methoddef  */
  YYSYMBOL_base_constructor_list = 245,    /* base_constructor_list  */
  YYSYMBOL_base_constructors = 246,        /* base_constructors  */
  YYSYMBOL_base_constructor = 247,         /* base_constructor  */
  YYSYMBOL_nsc_modifiers = 248,            /* nsc_modifiers  */
  YYSYMBOL_method_modifiers = 249,         /* method_modifiers  */
  YYSYMBOL_method_modifier = 250,          /* method_modifier  */
  YYSYMBOL_return_value = 251,             /* return_value  */
  YYSYMBOL_sub_def = 252,                  /* sub_def  */
  YYSYMBOL_scoped_sub_def = 253,           /* scoped_sub_def  */
  YYSYMBOL_list = 254,                     /* list  */
  YYSYMBOL_list_n = 255,                   /* list_n  */
  YYSYMBOL_hash = 256,                     /* hash  */
  YYSYMBOL_hash_element = 257,             /* hash_element  */
  YYSYMBOL_alt_hash = 258,                 /* alt_hash  */
  YYSYMBOL_immediate_typed_hash = 259,     /* immediate_typed_hash  */
  YYSYMBOL_exp_c = 260,                    /* exp_c  */
  YYSYMBOL_exp = 261,                      /* exp  */
  YYSYMBOL_exp_n = 262,                    /* exp_n  */
  YYSYMBOL_string = 263,                   /* string  */
  YYSYMBOL_scalar = 264                    /* scalar  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;


/* Second part of user prologue.  */
#line 121 "ast_parser.ypp"


#define YY_LEX_PARAMETERS YYSTYPE *lvalp, YYLTYPE *loc, yyscan_t yyscanner

int yylex(YY_LEX_PARAMETERS);

void yyerror(YYLTYPE *loc, yyscan_t scanner, AstParseErrorLog* errorLog, ASTTree* parseTree, const char* str) {
    errorLog->reportError(*loc, str);
}


#line 446 "ast_parser.cpp"


#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  218
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   18358

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  196
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  69
/* YYNRULES -- Number of rules.  */
#define YYNRULES  500
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1059

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   425


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   187,     2,     2,     2,   180,   175,     2,
     191,   194,   181,   178,   169,   179,   190,   182,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   172,   193,
     176,   170,   177,   171,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   189,   186,   195,   174,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   188,   173,   192,   185,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   183,   184
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   417,   417,   421,   428,   431,   434,   437,   440,   443,
     446,   449,   452,   455,   458,   461,   462,   468,   472,   479,
     481,   486,   494,   495,   501,   516,   528,   543,   555,   573,
     591,   596,   611,   623,   638,   650,   668,   686,   694,   703,
     711,   722,   727,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   747,   755,   767,   775,   787,   790,   797,   803,
     808,   813,   818,   823,   832,   833,   842,   846,   851,   859,
     860,   864,   868,   872,   876,   880,   884,   889,   894,   899,
     903,   907,   911,   915,   919,   923,   927,   931,   935,   939,
     940,   945,   946,   956,   960,   964,   971,   976,   983,   990,
     995,  1003,  1007,  1011,  1015,  1019,  1023,  1027,  1031,  1035,
    1039,  1043,  1047,  1051,  1055,  1059,  1063,  1067,  1071,  1075,
    1079,  1083,  1087,  1091,  1095,  1099,  1103,  1110,  1117,  1118,
    1119,  1123,  1133,  1146,  1157,  1168,  1178,  1188,  1198,  1211,
    1214,  1220,  1224,  1231,  1237,  1243,  1252,  1261,  1270,  1279,
    1288,  1297,  1306,  1318,  1322,  1329,  1340,  1351,  1365,  1369,
    1373,  1377,  1381,  1385,  1389,  1393,  1397,  1401,  1408,  1412,
    1416,  1420,  1425,  1430,  1439,  1440,  1446,  1452,  1458,  1466,
    1472,  1478,  1483,  1489,  1495,  1503,  1509,  1515,  1523,  1536,
    1546,  1559,  1569,  1586,  1600,  1614,  1630,  1643,  1656,  1672,
    1683,  1694,  1697,  1703,  1712,  1726,  1766,  1786,  1790,  1794,
    1798,  1805,  1809,  1813,  1817,  1824,  1827,  1830,  1836,  1845,
    1863,  1872,  1893,  1902,  1920,  1929,  1947,  1955,  1974,  1979,
    1985,  1989,  1996,  2002,  2012,  2013,  2018,  2019,  2027,  2028,
    2029,  2030,  2031,  2032,  2033,  2034,  2035,  2039,  2052,  2055,
    2063,  2079,  2088,  2108,  2116,  2132,  2141,  2162,  2168,  2181,
    2187,  2200,  2205,  2210,  2215,  2220,  2226,  2234,  2245,  2247,
    2249,  2251,  2257,  2277,  2297,  2309,  2322,  2332,  2348,  2354,
    2357,  2363,  2369,  2373,  2379,  2383,  2387,  2391,  2395,  2399,
    2403,  2407,  2411,  2415,  2419,  2423,  2427,  2431,  2435,  2439,
    2443,  2447,  2451,  2457,  2465,  2473,  2480,  2484,  2488,  2492,
    2496,  2504,  2513,  2522,  2526,  2531,  2534,  2535,  2540,  2549,
    2555,  2565,  2569,  2573,  2577,  2581,  2591,  2592,  2593,  2594,
    2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,  2603,  2604,
    2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,
    2615,  2616,  2617,  2618,  2624,  2625,  2626,  2627,  2631,  2635,
    2638,  2639,  2640,  2641,  2642,  2643,  2644,  2645,  2646,  2647,
    2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,
    2658,  2659,  2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,
    2668,  2669,  2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,
    2678,  2679,  2684,  2689,  2696,  2700,  2704,  2705,  2706,  2715,
    2716,  2717,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,
    2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,  2735,
    2736,  2737,  2738,  2739,  2745,  2746,  2747,  2748,  2752,  2756,
    2759,  2760,  2761,  2762,  2763,  2764,  2765,  2766,  2767,  2768,
    2769,  2770,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,  2788,
    2789,  2790,  2791,  2792,  2793,  2794,  2795,  2796,  2797,  2798,
    2799,  2800,  2805,  2810,  2817,  2821,  2825,  2826,  2827,  2836,
    2839,  2847,  2848,  2849,  2850,  2851,  2852,  2853,  2854,  2855,
    2856
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "\"return\"",
  "\"returns\"", "\"thread_local\"", "\"my\"", "\"do\"", "\"try\"",
  "\"throw\"", "\"catch\"", "\"where\"", "\"while\"", "\"if\"", "\"for\"",
  "\"sub\"", "\"thread_exit\"", "\"break\"", "\"continue\"", "\"%%\"",
  "\"find\"", "\"foreach\"", "\"in\"", "\"delete\"", "\"remove\"",
  "\"private\"", "\"private:internal\"", "\"private:hierarchy\"",
  "\"public\"", "\"synchronized\"", "\"deprecated\"", "\"context\"",
  "\"sortBy\"", "\"sortDescendingBy\"", "\"subcontext\"", "\"const\"",
  "\"summarize\"", "\"by\"", "\"our\"", "\"rethrow\"", "\"switch\"",
  "\"case\"", "\"default\"", "\"inherits\"", "\"else\"", "\"static\"",
  "\"module\"", "\"final\"", "\"abstract\"", "\"hashdecl\"",
  "\"transient\"", "\"NULL\"", "\"NOTHING\"", "\"True\"", "\"False\"",
  "\"unreference\"", "\"++ operator\"", "\"-- operator\"",
  "\"+= operator\"", "\"-= operator\"", "\"&= operator\"",
  "\"|= operator\"", "\"%= operator\"", "\"*= operator\"",
  "\"/= operator\"", "\"^= operator\"", "\"<<= operator\"",
  "\">>= operator\"", "\"unshift\"", "\"push\"", "\"pop\"", "\"shift\"",
  "\"chomp\"", "\"trim\"", "\"&& operator\"", "\"|| operator\"",
  "\"|| operator (compat)\"", "\"| operator (compat)\"",
  "\"^ operator (compat)\"", "\"== operator\"", "\"!= operator\"",
  "\"<= operator\"", "\">= operator\"", "\"<=> operator\"",
  "\"=== operator\"", "\"!== operator\"", "\"=~ operator\"",
  "\"!~ operator\"", "\"exists\"", "\"instanceof\"", "\">> operator\"",
  "\"<< operator\"", "\"elements\"", "\"keys\"", "\"new\"",
  "\"background\"", "\"on_exit\"", "\"on_success\"", "\"on_error\"",
  "\"map\"", "\"foldr\"", "\"foldl\"", "\"select\"", "\"splice\"",
  "\"extract\"", "\"$# operator\"", "\"?? operator\"", "\"?* operator\"",
  "\":= operator\"", "\".. operator\"", "\"... marker\"",
  "\"parse option beginning\"",
  "\"'integer overflow error (cannot represent in a 64-bit signed number)'\"",
  "\"'open block comment at EOF error'\"",
  "\"'missing regular expression after =~ error'\"",
  "\"'missing regular expression after !~ error'\"", "WS_LOGICAL_LE",
  "WS_LOGICAL_GE", "WS_LOGICAL_NE", "WS_LOGICAL_EQ", "WS_ABSOLUTE_EQ",
  "WS_ABSOLUTE_NE", "WS_LOGICAL_CMP", "WS_LOGICAL_AND", "WS_LOGICAL_OR",
  "WS_BROKEN_LOGICAL_OR", "WS_SHIFT_RIGHT", "WS_SHIFT_LEFT",
  "WS_PLUS_EQUALS", "WS_MINUS_EQUALS", "WS_AND_EQUALS", "WS_OR_EQUALS",
  "WS_MODULO_EQUALS", "WS_MULTIPLY_EQUALS", "WS_DIVIDE_EQUALS",
  "WS_XOR_EQUALS", "WS_SHIFT_RIGHT_EQUALS", "WS_SHIFT_LEFT_EQUALS",
  "\"integer value\"", "\"floating-point value\"",
  "\"arbitrary-precision number\"", "\"identifier\"",
  "\"typed hash identifier\"", "\"complex type identifier\"",
  "\"variable reference\"", "\"backquote expression\"",
  "\"in-object member reference\"",
  "\"identifier or keyword used as function or method identifier\"",
  "\"namespace or class-scoped reference\"",
  "\"namespace-scoped global variable reference\"",
  "\"context reference\"", "\"named context reference\"",
  "\"cast operator\"", "\"simple class declaration\"",
  "\"call to base class method\"", "\"date/time value\"",
  "\"quoted string\"", "\"binary constant value\"", "\"namespace\"",
  "\"regular expression substitution expression\"",
  "\"transliteration expression\"", "\"scoped class declaration\"",
  "\"regular expression\"", "\"regular expression extraction expression\"",
  "\"implicit argument reference\"",
  "\"keyword used as hash key or object member reference\"",
  "\"parse option end\"", "\"full parse option\"", "IFX", "','", "'='",
  "'?'", "':'", "'|'", "'^'", "'&'", "'<'", "'>'", "'+'", "'-'", "'%'",
  "'*'", "'/'", "NEG", "UPLUS", "'~'", "'\\\\'", "'!'", "'{'", "'['",
  "'.'", "'('", "'}'", "';'", "')'", "']'", "$accept",
  "top_level_commands", "top_level_command", "parse_option",
  "module_decls", "module_decl", "ppub", "gvardecl", "top_namespace_decl",
  "namespace_decls", "namespace_decl", "unscoped_const_decl",
  "scoped_const_decl", "block", "statement_or_block", "statements",
  "optname", "statement", "context_mods", "context_mod",
  "return_statement", "switch_statement", "case_block", "case_code",
  "try_statement", "myexp", "hashdecl_def", "class_def",
  "inheritance_list", "superclass_list", "superclass",
  "hashdecl_attributes", "hashdecl_member", "class_attributes",
  "uncqtypedef", "qtypedef", "internal_member_list", "private_member_list",
  "public_member_list", "classvardecl", "member2", "member",
  "transient_member2", "transient_member", "member_list", "member_list2",
  "ident_openparen", "inline_methoddef", "outofline_methoddef",
  "base_constructor_list", "base_constructors", "base_constructor",
  "nsc_modifiers", "method_modifiers", "method_modifier", "return_value",
  "sub_def", "scoped_sub_def", "list", "list_n", "hash", "hash_element",
  "alt_hash", "immediate_typed_hash", "exp_c", "exp", "exp_n", "string",
  "scalar", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-820)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-235)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    1879,  -176,  9256,   399,  8047,  8047, 10543,  -168,  -136,   -90,
     107,  -108,   -91,   -65,  -820, 10543, 10543, 10543, 10543,  -820,
    -820,  -820,   274,  -820,  -820,     5,  -820,   140,     5,  9403,
      -9,  -820,    14,  -820,  -820,  -820,  -820,  -820,  -820, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
      55, 10543,  8047,  8047,  8047, 10543, 10543, 10543, 10543, 10543,
   10543,  -820,  -820,    87,  -820,  -820,  -820,    43,  -820,  -820,
    -820,  1687,    21,  -820,  -820,    42,   147,  -820,   229,  -820,
    -820,  -820, 10543, 10543,   402, 10543, 10543, 10543,  7275,  9079,
    -820,  1498,  -820,  -820,   175,  -820,  -820,  -820,  -820,  -820,
     195,  -820,  -820,  -820,  -820,     3,   -51,  -820,   103,   508,
    -820,  -820,  -820,  -820,  -820, 13599,  -820,  -820,  -820,   275,
     219,  9727,    60,  9901,    64,   581,  -820,  -820,  -820,  -820,
   17437,  -107,  -820, 10543,   333,   340,    23,  7468,  -820,   491,
    -820,   494, 13737, 10543, 10543,  8236,   323,   336,  -820,   339,
    1687,  1687,  -820,  -820,  -820, 10821, 10957,   202,   202,   149,
    -820,   361,  2068,   396,   408,   398,  -820, 13875, 10543,   459,
     430,   430, 17437, 17437,   202,   202,   202,   202, 18167,   202,
     202,   421,   451,   462,   202,  -820,  -820,  -820, 17437, 17437,
   17437, 17437, 17437, 17437,  -820,  -820,   419, 17437,  1687, 10543,
    1687,  -820,   202,   202,  -820,  -820,  -820,   202,   202,   202,
    -820,  -820,  7661,  -820,  -820,  -123,  -820, 11653,  -820,  -820,
     509,   587,  -820,   384,  -820,   473,  -820,  -820,   246,   572,
     -48,   572,   484,  -820,  -820,   475,    62,  -820,  -820,  -820,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543,   593,   477,   129, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543,  -820,  9580, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10249, 10543,
    1687,  -820,  -820,   -96, 15805,  -820,   -15,   478,   479,   626,
    -820,  -820, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543,   631,   510,   129, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543,  -820,  9580, 10543, 10543, 10543,
   10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543, 10543,
   10396, 10543,  1687,   480, 17437,  -820,  -820,  1687,  -820,  7854,
     488,   504,  -820, 11792, 11931,   503,  -820,  -820,  1687,   512,
     521, 10543,   511,   544,   549, 10543,   529,   532,   542,  -820,
    -820, 10543, 10543, 10543,  -820, 12070,   566,  -109,  -820,  1687,
    1687,  1687,  -820,   553, 12209,   563,  -820,  -820,  -820,  9580,
    -820, 10543,  -820,   678,   693, 10543,   364,   150,   678,   693,
   10543,   416,   443,   568,  1687,  1687,  1687,   552,   577,    81,
     409,   556,  -820,   450,   578,  1687,  1687,  1687,   569,   580,
   17573, 17573, 17573, 17573, 17573, 17573, 17573, 17573, 17573, 17573,
   18008, 17931, 18008, 18162, 18162, 18167, 18167, 18167, 18167, 18167,
   18167, 18167,  -820,  -820,  -820,  -820,  -820,  -820,   867,   867,
   17854, 17854, 17573, 17777, 18167, 18167, 18167, 18167, 18167, 18167,
   18167, 18008, 17931, 18008,   867,   867, 17573, 17573, 17573, 17573,
   17573, 17573, 17573, 17573, 17573, 17573, 17573, 17573, 15941, 18085,
    1254, 18162, 18167, 18167,  1100,  1100,  1082,   202,   202, 15531,
    8383, 11093,  -820,   582,  -820,  -820,   583, 17573, 17573, 17573,
   17573, 17573, 17573, 17573, 17573, 17573, 17573, 18008, 17931, 18008,
   18162, 18162, 18167, 18167, 18167, 18167, 18167, 18167, 18167,  -820,
    -820,  -820,  -820,  -820,  -820,   867,   867, 17854, 17854, 17573,
   17777, 18167, 18167, 18167, 18167, 18167, 18167, 18167, 18008, 17931,
   18008,   867,   867, 17573, 17573, 17573, 17573, 17573, 17573, 17573,
   17573, 17573, 17573, 17573, 17573, 16077, 18085,  1254, 18162, 18167,
   18167,  1100,  1100,  1082,   202,   202, 15668,  8557, 11233,  -820,
     601,  -820,   602,  -820, 10543,  1687,  8047,  8047,  8236,   604,
     773,   773, 10685, 10543, 10543, 10543, 12348, 10543, 10543, 10543,
   14013, 14151, 12487,   614, 10543,  -820,  -820,   611,   613,   615,
    -139,  -820,  -820,  -820, 17573,   617,  -820,  -820,  -820,  -820,
     624,  -820,  -820,  -820,  -820,  1687,   629,   638,   641,   129,
     129,   422,   476,   486,   492,  -820,  -820,   639,  -820,    39,
    -820,   -53,   647,  -820,   627,  -820,   716,  -820,  -820,  -820,
    -820,  -820,    63,  -820,  1039,  -820,  -820,   257,  -820,  1687,
     645,   649,   653,   660,  1687,  1687,  1687, 10543,  -820,  -820,
   11373,  8731,  -820,  -820, 10543,  -820,  -820, 11513,  8905,  -820,
    -820,   659, 12626,   661,  -820,   810,   665,   773,   129,   672,
     672,   670, 12765, 14289, 14427,  -820, 12904, 13043, 13182,  -820,
    -820,   825,   378, 14565,  -820,  -820,  -820,   517,  -820,   773,
    -820,  -820,   669,   672,   672,   696,    82,  -820,   730,   424,
    -820,  -820,  -820,  -820,  -820,  -820,  -820,  -820,    81,    -5,
      -3,     1,    -7,   731,  -820,  -820,   453,  -820,  -820,  -820,
    -820,   591,  1097,  1687,  -820,  -820,  -820,   128,   148,    67,
    -820,   481,   679,   773,   773,   696,  1687,   680,   681,   682,
   17700,  -820,  -820, 17700,  -820,  -820,   687,  8047,  8047,  1687,
     672,  -820,  -820,  -820,  -820, 10543,  8047,  -820,  -820,  2068,
    -820,  -820,  -820,   702, 10075,   722,   -16,  -820,  -820,   704,
     705,   732,  -820,   672,   672,  -820,  -820,   672,  -820,  -820,
     110,  -820,  -820,   753,   752,    -6,  -820,  -820,   -88,     7,
     -69,   632,    98,   764,   786,   144,  -820,  -820,  -820,  -820,
    -820,  -820,   336,    97,  1687,   712,   159,  -820,   773,   672,
     672,   773,   713,   672,   672,   696,  -820,  -820,  -820,   715,
    -820, 13321,  -820,  -820, 10543, 10543, 10543, 10543,   748,   749,
   10543, 10543, 10543,   744, 10543, 10543, 16213,  2257,  -820,  -820,
    1687,  1687,   517,  -820,  -820,  -820, 10543,  1687,  -820,  -820,
    -820,   882,   520,    25,    46,  -820,  -820,   777,   774,  -820,
    -820,  -820,   956,   -20,  -820,  -820,   959,  -820,  -820,  1070,
    -820,  -820,  1086,  -820,  1687,   725,   696,   672,  -820,  -820,
     466,   672,  -820,  -820,   490,  8047,  -820, 13460, 16349, 16485,
   16621,   750,   754, 16757, 16893, 17029,  2450, 17165, 17301,  2643,
    2836,   736,   738,  -820, 14703,   741,   306,   797,  -820, 10543,
    -820,   300,   301,  -820,  -820,  -820,  -820,  -820,  -820,  -820,
    -820,   745,   696,  -820,  -820,  -820,  -820,  -820,  -820,  -820,
    -820,  3029,  3222,  3415,  3608,  3801,  3994,  4187,  4380,  4573,
    4766,  4959,  5152,  -820,  -820,  -820,   751, 10543,  -820,   348,
   14841, 10543,  1687,  -820, 10543,  1687,  -820,   696,   773,  2068,
    5345,  5538,  5731,  5924,  6117,  6310,  6503,  6696,  6889,  7082,
    -820, 14979, 10543,  1687,  -820,  -820, 15117,   755, 15255,   756,
     493,   500,  -820,  -820, 15393,   757,  -820,   759,  -820,   760,
    -820,  -820,  -820,  -820,  -820,   762,  -820,  -820,  -820
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       0,     0,    22,   174,     0,     0,    22,     0,     0,     0,
       0,     0,     0,     0,   282,    22,    22,    22,    22,   238,
     240,   239,   244,   242,   243,    64,    91,     0,    64,    22,
       0,   241,     0,   245,   246,   497,   496,   498,   499,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
       0,    22,     0,     0,     0,    22,    22,    22,    22,    22,
      22,   322,   500,     0,   492,   491,   495,   280,   170,   314,
     304,     0,   271,   281,   283,     0,     0,   494,   489,   269,
     321,    17,    22,    22,     0,    22,    22,    22,     0,    22,
      66,     0,     2,    16,     0,   279,    14,     9,     8,    11,
       0,    89,    69,     7,     6,   175,     0,    10,     0,   235,
     236,     4,     5,   410,   409,     0,   493,   268,    90,     0,
     244,    22,   271,    22,   175,     0,   327,   328,   329,   326,
      97,   276,   169,    22,   175,     0,   271,     0,    59,     0,
      58,     0,     0,    22,    22,     0,     0,     0,   217,     0,
       0,     0,    86,    87,    88,     0,     0,   323,   324,     0,
      65,     0,     0,     0,     0,     0,    70,     0,    22,     0,
     300,   301,   288,   290,   291,   289,   292,   293,   285,   286,
     287,     0,     0,     0,   313,    73,    74,    75,   296,   297,
     298,   299,   294,   295,    18,   130,     0,   129,     0,    22,
       0,   490,   306,   305,   171,   173,   172,   307,   309,   308,
      12,    61,     0,    60,   316,     0,   261,     0,     1,     3,
     174,   174,    85,     0,   274,     0,   272,   273,     0,   140,
       0,   140,     0,   244,   168,   169,     0,   237,   437,   438,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,     0,     0,     0,    22,    22,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,    22,   488,   260,    22,    22,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
       0,    67,   267,     0,     0,   330,     0,     0,     0,     0,
     357,   358,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,    22,    22,     0,     0,     0,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,    22,    22,    22,   408,   258,    22,    22,    22,
      22,    22,    22,    22,    22,    22,    22,    22,    22,    22,
      22,    22,     0,   327,     0,   275,   277,     0,    57,     0,
       0,     0,    72,     0,     0,     0,   216,   215,     0,     0,
       0,    22,     0,     0,     0,    22,     0,     0,     0,    76,
      92,    22,    22,    22,    71,     0,     0,     0,    19,     0,
       0,     0,   303,     0,     0,     0,    13,    62,    63,   263,
     270,    22,   315,    34,    32,    22,   175,     0,    27,    25,
      22,   175,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,    39,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     440,   441,   442,   443,   444,   456,   459,   460,   461,   455,
     457,   458,   450,   451,   448,   452,   449,   433,   463,   462,
     434,   435,   432,   486,   472,   473,   471,   468,   469,   470,
     467,   464,   465,   466,   475,   474,   421,   422,   423,   424,
     425,   426,   427,   428,   430,   429,   259,   431,     0,   445,
     447,   446,   454,   453,   476,   477,   478,   480,   479,     0,
      22,     0,   487,     0,   266,   265,     0,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   360,   361,   362,
     363,   364,   376,   379,   380,   381,   375,   377,   378,   370,
     371,   368,   372,   369,   353,   383,   382,   354,   355,   352,
     406,   392,   393,   391,   388,   389,   390,   387,   384,   385,
     386,   395,   394,   341,   342,   343,   344,   345,   346,   347,
     348,   350,   349,   257,   351,     0,   365,   367,   366,   374,
     373,   396,   397,   398,   400,   399,     0,    22,     0,   407,
       0,   278,     0,    56,    22,     0,     0,     0,     0,     0,
     248,   248,     0,    22,    22,    22,     0,    22,    22,    22,
       0,     0,     0,     0,    22,    15,    20,     0,     0,     0,
     229,   325,   302,   262,   264,   327,    33,    31,    36,    35,
     327,    26,    24,    29,    28,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   143,   144,   139,   141,   234,
     135,     0,   169,    40,     0,    50,   234,    41,    44,    43,
      46,    45,     0,    51,   235,    47,    48,   234,   136,     0,
       0,     0,     0,     0,     0,     0,     0,    22,   485,   483,
       0,    22,   484,   439,    22,   405,   403,     0,    22,   404,
     359,     0,     0,     0,    81,    79,     0,   248,   174,     0,
       0,     0,     0,     0,     0,    91,     0,     0,     0,    52,
      54,     0,     0,     0,   310,   312,   311,     0,    68,   248,
      37,    30,     0,     0,     0,   229,     0,   153,     0,     0,
     147,   148,   151,   152,   149,   150,   145,   146,     0,   238,
     240,   239,   244,     0,   137,   162,   234,   159,   160,   161,
     158,     0,   235,     0,    49,    38,    42,     0,     0,     0,
     138,   234,     0,   248,   248,   229,     0,     0,     0,     0,
     436,   482,   481,   356,   402,   401,     0,     0,     0,     0,
       0,   175,   247,   317,   249,    22,     0,    53,    55,     0,
      93,    94,    95,     0,    22,     0,     0,    99,    21,     0,
       0,   228,   230,     0,     0,   318,   250,     0,   131,   154,
       0,   132,   142,     0,   203,   174,   207,   208,     0,   174,
       0,   174,     0,     0,   174,     0,   133,   167,   164,   165,
     166,   163,   168,     0,     0,     0,     0,   134,   248,     0,
       0,   248,     0,     0,     0,   229,    82,   127,    80,     0,
     253,     0,    84,    78,    22,    22,    22,    22,     0,     0,
      22,    22,    22,     0,    22,    22,     0,     0,    98,   100,
       0,     0,     0,   226,   254,   227,    22,     0,   155,   206,
     204,     0,     0,   174,   168,   181,   202,   175,     0,   201,
     211,   212,   174,     0,   179,   178,   174,   176,   184,   174,
     182,   187,   174,   185,     0,     0,   229,     0,   319,   251,
       0,     0,   320,   252,     0,     0,   284,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   231,     0,     0,   168,     0,   205,    22,
     199,     0,     0,   180,   213,   214,   209,   210,   177,   183,
     186,     0,   229,   255,   224,   222,   256,   225,   223,    83,
      91,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   232,   233,   156,     0,    22,   189,     0,
       0,    22,     0,   196,    22,     0,   193,   229,   248,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     157,     0,    22,     0,   188,   200,     0,     0,     0,     0,
       0,     0,    77,   191,     0,     0,   197,     0,   194,     0,
     221,   219,   220,   218,   190,     0,   198,   195,   192
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -820,  -820,   851,  -820,  -820,   516,  -820,  -454,  -452,  -820,
     259,     6,  -451,    -4,     9,  -110,   918,   468,  -730,  -820,
    -820,  -820,  -820,   121,  -820,   448,  -450,  -449,   717,  -820,
     189,   292,  -509,   266,   546,    -1,  -525,  -483,  -301,  -820,
    -143,  -819,  -378,    47,  -660,  -275,  -219,  -274,  -446,  -739,
    -820,    69,  -638,     8,  -106,  -600,  -441,  -440,   -61,  -820,
     437,   533,  -820,  -820,   174,    74,  -820,   895,  -820
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    91,    92,    93,   427,   428,    94,    95,    96,   686,
     687,   916,    98,   211,   139,   212,   161,   213,   162,   420,
     100,   101,   826,   827,   102,   196,   103,   104,   460,   677,
     678,   756,   757,   776,   124,   106,   777,   778,   779,   919,
     920,   846,   921,   847,   848,   922,   151,   780,   107,   749,
     831,   832,   108,   125,   110,   729,   111,   112,   126,   113,
     215,   216,   127,   128,   129,   197,   115,   116,   117
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     138,   138,   135,   237,   455,   819,    97,   684,   109,   685,
     689,   690,   691,   466,   141,   693,   837,   118,   223,   237,
     695,   696,   911,   143,   909,   824,   825,   399,   853,   773,
     843,   730,   426,   747,  -168,   911,  -169,  -168,  -169,   912,
     146,   781,   773,   843,   913,   843,   439,   843,   138,   138,
     138,   843,   912,   911,   748,   144,   871,   913,  -168,   781,
     773,   185,   186,   187,   769,   770,   771,   772,    23,    24,
     912,   440,   393,   439,   773,  -169,   130,   468,   787,   317,
     142,   923,   866,   645,    31,   152,    33,    34,   147,   155,
     156,   157,   158,   226,   148,   149,   544,    97,   227,   109,
     923,   145,   153,   167,   976,   924,   671,   672,   673,   674,
     850,   852,   855,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   927,   184,   844,   810,   154,   188,
     189,   190,   191,   192,   193,   914,   944,    68,   781,   844,
     461,   844,   132,   844,   224,   462,   160,   844,   914,   833,
      68,   225,   228,   781,   439,   132,   202,   203,   138,   207,
     208,   209,  -169,   217,  -169,  -169,   914,  -169,    68,  -169,
    -169,   419,  -169,   132,   114,    84,   898,   545,   114,   114,
     220,   854,   168,   845,  -168,   849,   915,  -168,    84,   851,
     146,  -168,  -168,   869,   870,   314,   181,   314,   182,   925,
     146,  -169,   169,   183,  -169,   224,    84,   394,   437,  -169,
     469,   225,   198,   221,   397,   469,   969,   403,   404,   447,
     452,   146,   675,   234,   -23,    68,   114,   114,   114,   676,
     132,   774,   684,   199,   685,   689,   690,   691,   147,   970,
     693,   146,   425,  1018,   148,   695,   696,   839,   147,   705,
     839,   858,   146,   194,   148,   149,   229,   -23,   320,   321,
    1019,   230,   114,    84,   231,   114,   858,   923,   937,   147,
     234,   940,    68,   434,   838,   148,   453,   132,  1040,   -23,
     906,   163,   769,   770,   771,   772,    23,    24,   164,   147,
     413,   930,   773,   859,   658,   148,   464,   414,   150,   659,
     147,   907,    31,   908,    33,    34,   148,   703,   859,   159,
      84,   114,   -23,   923,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   114,   933,   200,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   375,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   541,   542,   655,    78,   114,   457,   222,   660,
     389,   390,   391,   392,   458,   437,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,  1041,   824,
     825,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   790,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   618,   619,   150,   688,    99,   694,
    1011,  1014,   140,   140,   395,   860,  1007,   146,   769,   770,
     771,   772,    23,    24,   396,   632,  -235,  -235,   773,   636,
     860,  1012,  1015,  1013,  1016,   640,   641,   642,    31,  1008,
      33,    34,   861,   400,   401,   656,   769,   770,   771,   772,
      23,    24,   657,   314,   406,   654,   773,   861,  1032,   394,
     140,   140,   140,   232,   394,   147,    31,   407,    33,    34,
     408,   148,   453,    19,    20,    21,   233,    23,    24,  1033,
     131,  1034,    68,   204,   975,   205,   105,   132,   975,   134,
     206,   975,   415,    31,   975,    33,    34,   661,   313,    99,
     316,   -22,   864,   760,   662,   234,   421,    68,   455,   466,
     761,   681,   132,   114,   926,   454,   929,   146,   422,   932,
      84,    19,    20,    21,    22,    23,    24,   663,   237,   423,
     133,    27,   664,   405,   -22,   375,   318,   679,   409,   410,
     426,    31,   680,    33,    34,    84,    19,    20,    21,   233,
      23,    24,   429,   432,   710,   459,   841,   762,   389,   390,
     391,   392,   138,   138,   763,   147,    31,   764,    33,    34,
     140,   148,   464,   766,   765,   724,   725,   105,   697,   496,
     767,   546,   430,   698,   934,   856,   433,   705,   435,   234,
     443,    68,    68,   431,   137,   236,   235,   444,   829,   984,
     911,   966,   146,    68,   456,   830,   467,   773,   132,   454,
     465,   319,   573,   867,   621,   465,   237,   912,   137,   624,
     438,   137,   913,   987,   146,   775,  1050,   782,   137,    84,
      84,   717,   688,  1052,   694,   625,   628,   234,   722,    68,
     445,    84,   633,   775,   682,   782,   630,   732,   733,   734,
     147,   736,   737,   738,   634,   631,   148,   703,   743,   635,
     637,   -22,   234,   638,    68,   813,   814,   812,   448,   132,
      68,   681,   862,   639,    68,   449,   644,    84,   148,   132,
     669,    19,    20,    21,    22,    23,    24,   650,   683,   835,
     836,    27,   492,   493,   -22,   494,   495,   652,   543,   665,
     704,    31,    84,    33,    34,   670,   446,   451,    84,   699,
     968,   706,    84,   914,   704,    68,   713,   728,   450,   974,
     132,   800,   857,   974,   782,   580,   974,   960,   803,   974,
     569,   570,   580,   571,   572,   720,   721,   857,   727,   782,
     114,   114,   742,   138,   138,   744,   880,   745,   768,   746,
     497,   750,   138,    84,   911,   138,   877,   878,   751,  -168,
     784,   773,  -168,   753,   928,   882,  -168,  -168,   883,   903,
     904,   912,   754,   905,  -169,   755,   913,  -169,   783,   793,
     620,  -169,  -169,   794,   918,   622,   999,   795,   918,  1002,
     918,   796,   748,   918,   808,   807,   629,   234,   809,    68,
     137,   815,   823,   834,   682,   938,   939,   438,   747,   942,
     943,   840,   163,   868,   873,   874,   875,   647,   648,   649,
     876,  1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,   881,
    1028,  1029,   574,   884,   897,   900,   901,    84,   896,   844,
     910,   902,   666,   667,   668,   413,   936,   941,   785,   945,
     951,   952,   918,   700,   701,   702,   956,   853,   971,   982,
     972,   918,   994,   320,   321,   918,   995,   914,   918,    68,
    1003,   918,  1004,   983,   132,  1006,   985,   986,  1009,  1017,
     988,   138,   219,   646,  1030,   786,   165,   899,   463,  1047,
    1049,  1055,  1056,  1057,   989,  1058,   437,   842,   947,   948,
     949,   950,   759,   791,   953,   954,   955,    84,   957,   958,
     977,   963,   653,   201,     0,     0,     0,     0,   931,     0,
     964,   114,   114,     0,   911,     0,     0,   911,     0,     0,
     114,   773,     0,   114,   773,   437,     0,     0,   437,     0,
       0,   912,     0,     0,   912,     0,   913,   692,     0,   913,
       0,     0,     0,     0,     0,   138,   437,   437,   437,   437,
     437,   437,   437,   437,   437,   437,     0,     0,  1042,     0,
       0,     0,   375,     0,     0,     0,  1051,  1053,     0,     0,
       0,     0,     0,  1010,     0,   384,   385,   386,   387,   388,
       0,     0,     0,     0,   788,   389,   390,   391,   392,     0,
       0,     0,     0,     0,    19,    20,    21,   233,    23,    24,
       0,   114,     0,   723,     0,     0,   726,     0,     0,     0,
       0,  1031,     0,     0,    31,  1036,    33,    34,  1038,     0,
       0,     0,     0,     0,   140,   140,     0,   914,   911,    68,
     914,     0,    68,     0,   132,   773,  1044,   132,     0,     0,
       0,     0,     0,   752,   911,   912,     0,     0,     0,   114,
     913,   773,    19,    20,    21,   233,    23,    24,     0,     0,
     114,   912,     0,   114,   114,     0,   913,    84,   320,   321,
      84,     0,    31,     0,    33,    34,     0,   792,   973,     0,
       0,   978,   797,   798,   799,     0,   320,   321,     0,     0,
       0,     0,     0,     0,     0,   114,   114,   114,   114,   114,
     114,   114,   114,   114,   114,   114,   114,     0,     0,     0,
     234,     0,    68,     0,     0,     0,     0,   235,     0,     0,
       0,     0,     0,   114,   114,   114,   114,   114,   114,   114,
     114,   114,   114,   114,     0,     0,     0,     0,     0,     0,
       0,   914,     0,    68,     0,   758,   758,     0,   132,     0,
      84,     0,     0,     0,     0,     0,     0,   914,     0,    68,
       0,   865,   692,     0,   132,     0,     0,     0,     0,     0,
     789,     0,     0,     0,   872,     0,     0,   375,     0,     0,
       0,    84,     0,     0,     0,     0,     0,   879,     0,     0,
       0,     0,   979,   387,   388,   375,     0,    84,     0,     0,
     389,   390,   391,   392,   811,   140,   140,     0,   980,     0,
     386,   387,   388,     0,   140,     0,     0,   140,   389,   390,
     391,   392,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   758,     0,     0,   758,     0,     0,     0,     0,
     320,   321,   935,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   863,     0,     0,
       0,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,     0,   346,   347,   348,     0,     0,   961,   962,
       0,     0,     0,     0,     0,   965,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,   356,   357,   358,   359,     0,     0,     0,
     363,   364,   981,     0,     0,     0,     0,     0,     0,     0,
       0,   917,     0,     0,     0,   917,     0,   917,     0,     0,
     917,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,   375,
       0,     0,     0,     0,     0,     0,     0,     0,   438,   381,
     382,   383,   384,   385,   386,   387,   388,     0,     0,     0,
       0,     0,   389,   390,   391,   392,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   967,   917,
    1037,     0,     0,  1039,     0,     0,     0,   438,   917,     0,
     438,     0,   917,     0,     0,   917,     0,     0,   917,     0,
       0,  1045,     0,     0,     0,     0,     0,   140,   438,   438,
     438,   438,   438,   438,   438,   438,   438,   438,   218,     1,
       0,     2,     0,   -22,     3,     4,     5,     6,     0,     0,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
       0,    17,    18,    19,    20,    21,    22,    23,    24,    25,
       0,     0,    26,    27,    28,     0,   -22,    29,    30,     0,
       0,     0,     0,    31,    32,    33,    34,  -234,     0,    35,
      36,    37,    38,     0,    39,    40,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    41,    42,    43,    44,
      45,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,     0,     0,     0,     0,    62,    63,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    64,    65,    66,    67,
       0,    68,  -174,    69,    70,    71,    72,  -174,    73,    74,
      75,  -234,    76,    77,    78,    79,  -234,     0,     0,  -234,
       0,     0,    80,     0,     0,    81,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    82,    83,     0,    84,
       0,     0,     0,    85,    86,    87,    88,     0,   195,    89,
       0,    90,   -22,     3,     0,     0,     0,     0,     0,     0,
       0,     0,   119,     0,     0,     0,    14,    15,     0,     0,
      17,    18,    19,    20,    21,   120,    23,    24,     0,     0,
       0,     0,     0,     0,     0,   -22,     0,     0,     0,     0,
       0,     0,    31,     0,    33,    34,     0,     0,    35,    36,
      37,    38,     0,    39,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,    42,    43,    44,    45,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,    48,
      49,    50,    51,     0,     0,     0,    55,    56,    57,    58,
      59,    60,    61,     0,     0,     0,     0,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,    65,    66,    67,   121,
      68,  -174,    69,    70,    71,   122,  -174,    73,    74,    75,
       0,    76,    77,    78,    79,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,    83,     0,    84,     0,
       0,     0,    85,    86,    87,   123,     0,     0,    89,     0,
       1,  -128,     2,     0,   -22,     3,     4,     5,     6,     0,
       0,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,     0,    17,    18,    19,    20,    21,    22,    23,    24,
      25,     0,     0,    26,    27,    28,     0,   -22,    29,    30,
       0,     0,     0,     0,    31,    32,    33,    34,  -234,     0,
      35,    36,    37,    38,     0,    39,    40,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    41,    42,    43,
      44,    45,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,     0,     0,     0,     0,    62,
      63,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    64,    65,    66,
      67,     0,    68,  -174,    69,    70,    71,    72,  -174,    73,
      74,    75,  -234,    76,    77,    78,    79,  -234,     0,     0,
    -234,     0,     0,    80,     0,     0,    81,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    82,    83,     0,
      84,     0,     0,     0,    85,    86,    87,    88,     0,     1,
      89,     2,    90,   -22,     3,     4,     5,     6,     0,   416,
       7,     8,     9,   119,    11,    12,    13,    14,    15,    16,
       0,    17,    18,    19,    20,    21,   120,    23,    24,    25,
     417,   418,    26,     0,    28,     0,   -22,    29,    30,     0,
       0,     0,     0,    31,     0,    33,    34,     0,     0,    35,
      36,    37,    38,     0,    39,    40,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    41,    42,    43,    44,
      45,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,     0,     0,     0,     0,    62,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    64,    65,    66,    67,
       0,    68,  -174,    69,    70,    71,   136,  -174,    73,    74,
      75,     0,    76,    77,    78,    79,     0,     0,     0,     0,
       0,     0,    80,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    82,    83,     0,    84,
       0,     0,     0,    85,    86,    87,   137,     0,     1,    89,
       2,    90,   -22,     3,     4,     5,     6,     0,     0,     7,
       8,     9,   119,    11,    12,    13,    14,    15,    16,     0,
      17,    18,    19,    20,    21,   120,    23,    24,    25,     0,
       0,    26,     0,    28,     0,   -22,    29,    30,  -126,  -126,
       0,     0,    31,     0,    33,    34,     0,     0,    35,    36,
      37,    38,     0,    39,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,    42,    43,    44,    45,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,     0,     0,     0,     0,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,    65,    66,    67,     0,
      68,  -174,    69,    70,    71,   136,  -174,    73,    74,    75,
       0,    76,    77,    78,    79,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,    83,     0,    84,     0,
       0,     0,    85,    86,    87,   137,     0,     0,    89,  -126,
      90,     1,     0,     2,     0,   -22,     3,     4,     5,     6,
       0,     0,     7,     8,     9,   119,    11,    12,    13,    14,
      15,    16,     0,    17,    18,    19,    20,    21,   120,    23,
      24,    25,     0,     0,    26,     0,    28,     0,   -22,    29,
      30,  -122,  -122,     0,     0,    31,     0,    33,    34,     0,
       0,    35,    36,    37,    38,     0,    39,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    41,    42,
      43,    44,    45,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,     0,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,     0,     0,     0,     0,
      62,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    64,    65,
      66,    67,     0,    68,  -174,    69,    70,    71,   136,  -174,
      73,    74,    75,     0,    76,    77,    78,    79,     0,     0,
       0,     0,     0,     0,    80,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    82,    83,
       0,    84,     0,     0,     0,    85,    86,    87,   137,     0,
       0,    89,  -122,    90,     1,     0,     2,     0,   -22,     3,
       4,     5,     6,     0,     0,     7,     8,     9,   119,    11,
      12,    13,    14,    15,    16,     0,    17,    18,    19,    20,
      21,   120,    23,    24,    25,     0,     0,    26,     0,    28,
       0,   -22,    29,    30,  -124,  -124,     0,     0,    31,     0,
      33,    34,     0,     0,    35,    36,    37,    38,     0,    39,
      40,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,    42,    43,    44,    45,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,     0,
       0,     0,     0,    62,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    64,    65,    66,    67,     0,    68,  -174,    69,    70,
      71,   136,  -174,    73,    74,    75,     0,    76,    77,    78,
      79,     0,     0,     0,     0,     0,     0,    80,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    82,    83,     0,    84,     0,     0,     0,    85,    86,
      87,   137,     0,     0,    89,  -124,    90,     1,     0,     2,
       0,   -22,     3,     4,     5,     6,     0,     0,     7,     8,
       9,   119,    11,    12,    13,    14,    15,    16,     0,    17,
      18,    19,    20,    21,   120,    23,    24,    25,     0,     0,
      26,     0,    28,     0,   -22,    29,    30,  -125,  -125,     0,
       0,    31,     0,    33,    34,     0,     0,    35,    36,    37,
      38,     0,    39,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    41,    42,    43,    44,    45,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,     0,     0,     0,     0,    62,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    64,    65,    66,    67,     0,    68,
    -174,    69,    70,    71,   136,  -174,    73,    74,    75,     0,
      76,    77,    78,    79,     0,     0,     0,     0,     0,     0,
      80,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    82,    83,     0,    84,     0,     0,
       0,    85,    86,    87,   137,     0,     0,    89,  -125,    90,
       1,     0,     2,     0,   -22,     3,     4,     5,     6,     0,
       0,     7,     8,     9,   119,    11,    12,    13,    14,    15,
      16,     0,    17,    18,    19,    20,    21,   120,    23,    24,
      25,     0,     0,    26,     0,    28,     0,   -22,    29,    30,
    -111,  -111,     0,     0,    31,     0,    33,    34,     0,     0,
      35,    36,    37,    38,     0,    39,    40,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    41,    42,    43,
      44,    45,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,     0,     0,     0,     0,    62,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    64,    65,    66,
      67,     0,    68,  -174,    69,    70,    71,   136,  -174,    73,
      74,    75,     0,    76,    77,    78,    79,     0,     0,     0,
       0,     0,     0,    80,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    82,    83,     0,
      84,     0,     0,     0,    85,    86,    87,   137,     0,     0,
      89,  -111,    90,     1,     0,     2,     0,   -22,     3,     4,
       5,     6,     0,     0,     7,     8,     9,   119,    11,    12,
      13,    14,    15,    16,     0,    17,    18,    19,    20,    21,
     120,    23,    24,    25,     0,     0,    26,     0,    28,     0,
     -22,    29,    30,  -107,  -107,     0,     0,    31,     0,    33,
      34,     0,     0,    35,    36,    37,    38,     0,    39,    40,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      41,    42,    43,    44,    45,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,     0,     0,
       0,     0,    62,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      64,    65,    66,    67,     0,    68,  -174,    69,    70,    71,
     136,  -174,    73,    74,    75,     0,    76,    77,    78,    79,
       0,     0,     0,     0,     0,     0,    80,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      82,    83,     0,    84,     0,     0,     0,    85,    86,    87,
     137,     0,     0,    89,  -107,    90,     1,     0,     2,     0,
     -22,     3,     4,     5,     6,     0,     0,     7,     8,     9,
     119,    11,    12,    13,    14,    15,    16,     0,    17,    18,
      19,    20,    21,   120,    23,    24,    25,     0,     0,    26,
       0,    28,     0,   -22,    29,    30,  -103,  -103,     0,     0,
      31,     0,    33,    34,     0,     0,    35,    36,    37,    38,
       0,    39,    40,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    41,    42,    43,    44,    45,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,     0,     0,     0,     0,    62,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    64,    65,    66,    67,     0,    68,  -174,
      69,    70,    71,   136,  -174,    73,    74,    75,     0,    76,
      77,    78,    79,     0,     0,     0,     0,     0,     0,    80,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    82,    83,     0,    84,     0,     0,     0,
      85,    86,    87,   137,     0,     0,    89,  -103,    90,     1,
       0,     2,     0,   -22,     3,     4,     5,     6,     0,     0,
       7,     8,     9,   119,    11,    12,    13,    14,    15,    16,
       0,    17,    18,    19,    20,    21,   120,    23,    24,    25,
       0,     0,    26,     0,    28,     0,   -22,    29,    30,  -118,
    -118,     0,     0,    31,     0,    33,    34,     0,     0,    35,
      36,    37,    38,     0,    39,    40,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    41,    42,    43,    44,
      45,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,     0,     0,     0,     0,    62,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    64,    65,    66,    67,
       0,    68,  -174,    69,    70,    71,   136,  -174,    73,    74,
      75,     0,    76,    77,    78,    79,     0,     0,     0,     0,
       0,     0,    80,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    82,    83,     0,    84,
       0,     0,     0,    85,    86,    87,   137,     0,     0,    89,
    -118,    90,     1,     0,     2,     0,   -22,     3,     4,     5,
       6,     0,     0,     7,     8,     9,   119,    11,    12,    13,
      14,    15,    16,     0,    17,    18,    19,    20,    21,   120,
      23,    24,    25,     0,     0,    26,     0,    28,     0,   -22,
      29,    30,  -120,  -120,     0,     0,    31,     0,    33,    34,
       0,     0,    35,    36,    37,    38,     0,    39,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    41,
      42,    43,    44,    45,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,     0,     0,     0,
       0,    62,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    64,
      65,    66,    67,     0,    68,  -174,    69,    70,    71,   136,
    -174,    73,    74,    75,     0,    76,    77,    78,    79,     0,
       0,     0,     0,     0,     0,    80,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    82,
      83,     0,    84,     0,     0,     0,    85,    86,    87,   137,
       0,     0,    89,  -120,    90,     1,     0,     2,     0,   -22,
       3,     4,     5,     6,     0,     0,     7,     8,     9,   119,
      11,    12,    13,    14,    15,    16,     0,    17,    18,    19,
      20,    21,   120,    23,    24,    25,     0,     0,    26,     0,
      28,     0,   -22,    29,    30,  -108,  -108,     0,     0,    31,
       0,    33,    34,     0,     0,    35,    36,    37,    38,     0,
      39,    40,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    41,    42,    43,    44,    45,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
       0,     0,     0,     0,    62,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    64,    65,    66,    67,     0,    68,  -174,    69,
      70,    71,   136,  -174,    73,    74,    75,     0,    76,    77,
      78,    79,     0,     0,     0,     0,     0,     0,    80,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    82,    83,     0,    84,     0,     0,     0,    85,
      86,    87,   137,     0,     0,    89,  -108,    90,     1,     0,
       2,     0,   -22,     3,     4,     5,     6,     0,     0,     7,
       8,     9,   119,    11,    12,    13,    14,    15,    16,     0,
      17,    18,    19,    20,    21,   120,    23,    24,    25,     0,
       0,    26,     0,    28,     0,   -22,    29,    30,  -104,  -104,
       0,     0,    31,     0,    33,    34,     0,     0,    35,    36,
      37,    38,     0,    39,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,    42,    43,    44,    45,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,     0,     0,     0,     0,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,    65,    66,    67,     0,
      68,  -174,    69,    70,    71,   136,  -174,    73,    74,    75,
       0,    76,    77,    78,    79,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,    83,     0,    84,     0,
       0,     0,    85,    86,    87,   137,     0,     0,    89,  -104,
      90,     1,     0,     2,     0,   -22,     3,     4,     5,     6,
       0,     0,     7,     8,     9,   119,    11,    12,    13,    14,
      15,    16,     0,    17,    18,    19,    20,    21,   120,    23,
      24,    25,     0,     0,    26,     0,    28,     0,   -22,    29,
      30,  -112,  -112,     0,     0,    31,     0,    33,    34,     0,
       0,    35,    36,    37,    38,     0,    39,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    41,    42,
      43,    44,    45,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,     0,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,     0,     0,     0,     0,
      62,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    64,    65,
      66,    67,     0,    68,  -174,    69,    70,    71,   136,  -174,
      73,    74,    75,     0,    76,    77,    78,    79,     0,     0,
       0,     0,     0,     0,    80,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    82,    83,
       0,    84,     0,     0,     0,    85,    86,    87,   137,     0,
       0,    89,  -112,    90,     1,     0,     2,     0,   -22,     3,
       4,     5,     6,     0,     0,     7,     8,     9,   119,    11,
      12,    13,    14,    15,    16,     0,    17,    18,    19,    20,
      21,   120,    23,    24,    25,     0,     0,    26,     0,    28,
       0,   -22,    29,    30,  -121,  -121,     0,     0,    31,     0,
      33,    34,     0,     0,    35,    36,    37,    38,     0,    39,
      40,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,    42,    43,    44,    45,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,     0,
       0,     0,     0,    62,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    64,    65,    66,    67,     0,    68,  -174,    69,    70,
      71,   136,  -174,    73,    74,    75,     0,    76,    77,    78,
      79,     0,     0,     0,     0,     0,     0,    80,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    82,    83,     0,    84,     0,     0,     0,    85,    86,
      87,   137,     0,     0,    89,  -121,    90,     1,     0,     2,
       0,   -22,     3,     4,     5,     6,     0,     0,     7,     8,
       9,   119,    11,    12,    13,    14,    15,    16,     0,    17,
      18,    19,    20,    21,   120,    23,    24,    25,     0,     0,
      26,     0,    28,     0,   -22,    29,    30,  -114,  -114,     0,
       0,    31,     0,    33,    34,     0,     0,    35,    36,    37,
      38,     0,    39,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    41,    42,    43,    44,    45,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,     0,     0,     0,     0,    62,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    64,    65,    66,    67,     0,    68,
    -174,    69,    70,    71,   136,  -174,    73,    74,    75,     0,
      76,    77,    78,    79,     0,     0,     0,     0,     0,     0,
      80,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    82,    83,     0,    84,     0,     0,
       0,    85,    86,    87,   137,     0,     0,    89,  -114,    90,
       1,     0,     2,     0,   -22,     3,     4,     5,     6,     0,
       0,     7,     8,     9,   119,    11,    12,    13,    14,    15,
      16,     0,    17,    18,    19,    20,    21,   120,    23,    24,
      25,     0,     0,    26,     0,    28,     0,   -22,    29,    30,
    -116,  -116,     0,     0,    31,     0,    33,    34,     0,     0,
      35,    36,    37,    38,     0,    39,    40,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    41,    42,    43,
      44,    45,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,     0,     0,     0,     0,    62,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    64,    65,    66,
      67,     0,    68,  -174,    69,    70,    71,   136,  -174,    73,
      74,    75,     0,    76,    77,    78,    79,     0,     0,     0,
       0,     0,     0,    80,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    82,    83,     0,
      84,     0,     0,     0,    85,    86,    87,   137,     0,     0,
      89,  -116,    90,     1,     0,     2,     0,   -22,     3,     4,
       5,     6,     0,     0,     7,     8,     9,   119,    11,    12,
      13,    14,    15,    16,     0,    17,    18,    19,    20,    21,
     120,    23,    24,    25,     0,     0,    26,     0,    28,     0,
     -22,    29,    30,  -123,  -123,     0,     0,    31,     0,    33,
      34,     0,     0,    35,    36,    37,    38,     0,    39,    40,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      41,    42,    43,    44,    45,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,     0,     0,
       0,     0,    62,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      64,    65,    66,    67,     0,    68,  -174,    69,    70,    71,
     136,  -174,    73,    74,    75,     0,    76,    77,    78,    79,
       0,     0,     0,     0,     0,     0,    80,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      82,    83,     0,    84,     0,     0,     0,    85,    86,    87,
     137,     0,     0,    89,  -123,    90,     1,     0,     2,     0,
     -22,     3,     4,     5,     6,     0,     0,     7,     8,     9,
     119,    11,    12,    13,    14,    15,    16,     0,    17,    18,
      19,    20,    21,   120,    23,    24,    25,     0,     0,    26,
       0,    28,     0,   -22,    29,    30,  -109,  -109,     0,     0,
      31,     0,    33,    34,     0,     0,    35,    36,    37,    38,
       0,    39,    40,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    41,    42,    43,    44,    45,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,     0,     0,     0,     0,    62,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    64,    65,    66,    67,     0,    68,  -174,
      69,    70,    71,   136,  -174,    73,    74,    75,     0,    76,
      77,    78,    79,     0,     0,     0,     0,     0,     0,    80,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    82,    83,     0,    84,     0,     0,     0,
      85,    86,    87,   137,     0,     0,    89,  -109,    90,     1,
       0,     2,     0,   -22,     3,     4,     5,     6,     0,     0,
       7,     8,     9,   119,    11,    12,    13,    14,    15,    16,
       0,    17,    18,    19,    20,    21,   120,    23,    24,    25,
       0,     0,    26,     0,    28,     0,   -22,    29,    30,  -105,
    -105,     0,     0,    31,     0,    33,    34,     0,     0,    35,
      36,    37,    38,     0,    39,    40,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    41,    42,    43,    44,
      45,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,     0,     0,     0,     0,    62,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    64,    65,    66,    67,
       0,    68,  -174,    69,    70,    71,   136,  -174,    73,    74,
      75,     0,    76,    77,    78,    79,     0,     0,     0,     0,
       0,     0,    80,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    82,    83,     0,    84,
       0,     0,     0,    85,    86,    87,   137,     0,     0,    89,
    -105,    90,     1,     0,     2,     0,   -22,     3,     4,     5,
       6,     0,     0,     7,     8,     9,   119,    11,    12,    13,
      14,    15,    16,     0,    17,    18,    19,    20,    21,   120,
      23,    24,    25,     0,     0,    26,     0,    28,     0,   -22,
      29,    30,  -101,  -101,     0,     0,    31,     0,    33,    34,
       0,     0,    35,    36,    37,    38,     0,    39,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    41,
      42,    43,    44,    45,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,     0,     0,     0,
       0,    62,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    64,
      65,    66,    67,     0,    68,  -174,    69,    70,    71,   136,
    -174,    73,    74,    75,     0,    76,    77,    78,    79,     0,
       0,     0,     0,     0,     0,    80,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    82,
      83,     0,    84,     0,     0,     0,    85,    86,    87,   137,
       0,     0,    89,  -101,    90,     1,     0,     2,     0,   -22,
       3,     4,     5,     6,     0,     0,     7,     8,     9,   119,
      11,    12,    13,    14,    15,    16,     0,    17,    18,    19,
      20,    21,   120,    23,    24,    25,     0,     0,    26,     0,
      28,     0,   -22,    29,    30,  -117,  -117,     0,     0,    31,
       0,    33,    34,     0,     0,    35,    36,    37,    38,     0,
      39,    40,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    41,    42,    43,    44,    45,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
       0,     0,     0,     0,    62,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    64,    65,    66,    67,     0,    68,  -174,    69,
      70,    71,   136,  -174,    73,    74,    75,     0,    76,    77,
      78,    79,     0,     0,     0,     0,     0,     0,    80,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    82,    83,     0,    84,     0,     0,     0,    85,
      86,    87,   137,     0,     0,    89,  -117,    90,     1,     0,
       2,     0,   -22,     3,     4,     5,     6,     0,     0,     7,
       8,     9,   119,    11,    12,    13,    14,    15,    16,     0,
      17,    18,    19,    20,    21,   120,    23,    24,    25,     0,
       0,    26,     0,    28,     0,   -22,    29,    30,  -119,  -119,
       0,     0,    31,     0,    33,    34,     0,     0,    35,    36,
      37,    38,     0,    39,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,    42,    43,    44,    45,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,     0,     0,     0,     0,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,    65,    66,    67,     0,
      68,  -174,    69,    70,    71,   136,  -174,    73,    74,    75,
       0,    76,    77,    78,    79,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,    83,     0,    84,     0,
       0,     0,    85,    86,    87,   137,     0,     0,    89,  -119,
      90,     1,     0,     2,     0,   -22,     3,     4,     5,     6,
       0,     0,     7,     8,     9,   119,    11,    12,    13,    14,
      15,    16,     0,    17,    18,    19,    20,    21,   120,    23,
      24,    25,     0,     0,    26,     0,    28,     0,   -22,    29,
      30,  -106,  -106,     0,     0,    31,     0,    33,    34,     0,
       0,    35,    36,    37,    38,     0,    39,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    41,    42,
      43,    44,    45,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,     0,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,     0,     0,     0,     0,
      62,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    64,    65,
      66,    67,     0,    68,  -174,    69,    70,    71,   136,  -174,
      73,    74,    75,     0,    76,    77,    78,    79,     0,     0,
       0,     0,     0,     0,    80,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    82,    83,
       0,    84,     0,     0,     0,    85,    86,    87,   137,     0,
       0,    89,  -106,    90,     1,     0,     2,     0,   -22,     3,
       4,     5,     6,     0,     0,     7,     8,     9,   119,    11,
      12,    13,    14,    15,    16,     0,    17,    18,    19,    20,
      21,   120,    23,    24,    25,     0,     0,    26,     0,    28,
       0,   -22,    29,    30,  -102,  -102,     0,     0,    31,     0,
      33,    34,     0,     0,    35,    36,    37,    38,     0,    39,
      40,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,    42,    43,    44,    45,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,     0,
       0,     0,     0,    62,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    64,    65,    66,    67,     0,    68,  -174,    69,    70,
      71,   136,  -174,    73,    74,    75,     0,    76,    77,    78,
      79,     0,     0,     0,     0,     0,     0,    80,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    82,    83,     0,    84,     0,     0,     0,    85,    86,
      87,   137,     0,     0,    89,  -102,    90,     1,     0,     2,
       0,   -22,     3,     4,     5,     6,     0,     0,     7,     8,
       9,   119,    11,    12,    13,    14,    15,    16,     0,    17,
      18,    19,    20,    21,   120,    23,    24,    25,     0,     0,
      26,     0,    28,     0,   -22,    29,    30,  -110,  -110,     0,
       0,    31,     0,    33,    34,     0,     0,    35,    36,    37,
      38,     0,    39,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    41,    42,    43,    44,    45,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,     0,     0,     0,     0,    62,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    64,    65,    66,    67,     0,    68,
    -174,    69,    70,    71,   136,  -174,    73,    74,    75,     0,
      76,    77,    78,    79,     0,     0,     0,     0,     0,     0,
      80,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    82,    83,     0,    84,     0,     0,
       0,    85,    86,    87,   137,     0,     0,    89,  -110,    90,
       1,     0,     2,     0,   -22,     3,     4,     5,     6,     0,
       0,     7,     8,     9,   119,    11,    12,    13,    14,    15,
      16,     0,    17,    18,    19,    20,    21,   120,    23,    24,
      25,     0,     0,    26,     0,    28,     0,   -22,    29,    30,
    -113,  -113,     0,     0,    31,     0,    33,    34,     0,     0,
      35,    36,    37,    38,     0,    39,    40,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    41,    42,    43,
      44,    45,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,     0,     0,     0,     0,    62,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    64,    65,    66,
      67,     0,    68,  -174,    69,    70,    71,   136,  -174,    73,
      74,    75,     0,    76,    77,    78,    79,     0,     0,     0,
       0,     0,     0,    80,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    82,    83,     0,
      84,     0,     0,     0,    85,    86,    87,   137,     0,     0,
      89,  -113,    90,     1,     0,     2,     0,   -22,     3,     4,
       5,     6,     0,     0,     7,     8,     9,   119,    11,    12,
      13,    14,    15,    16,     0,    17,    18,    19,    20,    21,
     120,    23,    24,    25,     0,     0,    26,     0,    28,     0,
     -22,    29,    30,  -115,  -115,     0,     0,    31,     0,    33,
      34,     0,     0,    35,    36,    37,    38,     0,    39,    40,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      41,    42,    43,    44,    45,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,     0,     0,
       0,     0,    62,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      64,    65,    66,    67,     0,    68,  -174,    69,    70,    71,
     136,  -174,    73,    74,    75,     0,    76,    77,    78,    79,
       0,     0,     0,     0,     0,     0,    80,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      82,    83,     0,    84,     0,     0,     0,    85,    86,    87,
     137,     0,     0,    89,  -115,    90,     1,     0,     2,     0,
     -22,     3,     4,     5,     6,     0,     0,     7,     8,     9,
     119,    11,    12,    13,    14,    15,    16,     0,    17,    18,
      19,    20,    21,   120,    23,    24,    25,     0,     0,    26,
       0,    28,     0,   -22,    29,    30,     0,     0,     0,     0,
      31,     0,    33,    34,     0,     0,    35,    36,    37,    38,
       0,    39,    40,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    41,    42,    43,    44,    45,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,     0,     0,     0,     0,    62,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    64,    65,    66,    67,     0,    68,  -174,
      69,    70,    71,   136,  -174,    73,    74,    75,     0,    76,
      77,    78,    79,     0,     0,     0,     0,     0,     0,    80,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    82,    83,     0,    84,     0,     0,     0,
      85,    86,    87,   137,     0,     0,    89,   210,    90,     1,
       0,     2,     0,   -22,     3,     4,     5,     6,     0,     0,
       7,     8,     9,   119,    11,    12,    13,    14,    15,    16,
       0,    17,    18,    19,    20,    21,   120,    23,    24,    25,
       0,     0,    26,     0,    28,     0,   -22,    29,    30,     0,
       0,     0,     0,    31,     0,    33,    34,     0,     0,    35,
      36,    37,    38,     0,    39,    40,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    41,    42,    43,    44,
      45,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,     0,     0,     0,     0,    62,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    64,    65,    66,    67,
       0,    68,  -174,    69,    70,    71,   136,  -174,    73,    74,
      75,     0,    76,    77,    78,    79,     0,     0,     0,     0,
       0,     0,    80,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    82,    83,     0,    84,
       0,     0,     0,    85,    86,    87,   137,     0,     0,    89,
     398,    90,     1,     0,     2,     0,   -22,     3,     4,     5,
       6,     0,     0,     7,     8,     9,   119,    11,    12,    13,
      14,    15,    16,     0,    17,    18,    19,    20,    21,   120,
      23,    24,    25,     0,     0,    26,     0,    28,     0,   -22,
      29,    30,     0,     0,     0,     0,    31,     0,    33,    34,
       0,     0,    35,    36,    37,    38,     0,    39,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    41,
      42,    43,    44,    45,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,     0,     0,     0,
       0,    62,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    64,
      65,    66,    67,     0,    68,  -174,    69,    70,    71,   136,
    -174,    73,    74,    75,     0,    76,    77,    78,    79,     0,
       0,     0,     0,     0,     0,    80,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    82,
      83,     0,    84,     0,     0,     0,    85,    86,    87,   137,
       0,     0,    89,   436,    90,     1,     0,     2,     0,   -22,
       3,     4,     5,     6,     0,     0,     7,     8,     9,   119,
      11,    12,    13,    14,    15,    16,     0,    17,    18,    19,
      20,    21,   120,    23,    24,    25,     0,     0,    26,     0,
      28,     0,   -22,    29,    30,     0,     0,     0,     0,    31,
       0,    33,    34,     0,     0,    35,    36,    37,    38,     0,
      39,    40,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    41,    42,    43,    44,    45,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    47,     0,     0,     0,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
       0,     0,     0,     0,    62,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    64,    65,    66,    67,     0,    68,  -174,    69,
      70,    71,   136,  -174,    73,    74,    75,     0,    76,    77,
      78,    79,     0,     0,     0,     0,     0,     0,    80,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    82,    83,     0,    84,     0,     0,     0,    85,
      86,    87,   137,     0,     0,    89,   623,    90,     1,     0,
       2,     0,   -22,     3,     4,     5,     6,     0,     0,     7,
       8,     9,   119,    11,    12,    13,    14,    15,    16,     0,
      17,    18,    19,    20,    21,   120,    23,    24,    25,     0,
       0,    26,     0,    28,     0,   -22,    29,    30,     0,     0,
       0,     0,    31,     0,    33,    34,     0,     0,    35,    36,
      37,    38,     0,    39,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,    42,    43,    44,    45,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,     0,     0,     0,     0,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,    65,    66,    67,     0,
      68,  -174,    69,    70,    71,   136,  -174,    73,    74,    75,
       0,    76,    77,    78,    79,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,    83,     0,    84,     0,
       0,     0,    85,    86,    87,   137,     0,   195,    89,     0,
      90,   -22,     3,     0,     0,     0,     0,     0,     0,     0,
       0,   119,     0,     0,     0,    14,    15,     0,     0,    17,
      18,    19,    20,    21,   120,    23,    24,     0,     0,     0,
       0,     0,     0,     0,   -22,     0,     0,     0,     0,     0,
       0,    31,     0,    33,    34,     0,     0,    35,    36,    37,
      38,     0,    39,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    41,    42,    43,    44,    45,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,    48,    49,
      50,    51,     0,     0,     0,    55,    56,    57,    58,    59,
      60,    61,     0,     0,     0,     0,    62,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    64,    65,    66,    67,   121,    68,
    -174,    69,    70,    71,   122,  -174,    73,    74,    75,     3,
      76,    77,    78,    79,     0,     0,     0,     0,   119,     0,
      80,     0,    14,    15,     0,     0,    17,    18,    19,    20,
      21,   120,    23,    24,    82,    83,     0,    84,     0,     0,
       0,    85,    86,    87,   123,     0,     0,    89,    31,  -128,
      33,    34,     0,     0,    35,    36,    37,    38,     0,    39,
      40,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,    42,    43,    44,    45,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,    48,    49,    50,    51,     0,
       0,     0,    55,    56,    57,    58,    59,    60,    61,     0,
       0,     0,     0,    62,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    64,    65,    66,    67,   121,    68,  -174,    69,    70,
      71,   122,  -174,    73,    74,    75,     0,    76,    77,    78,
      79,     0,     0,     0,     0,     0,     0,    80,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    82,    83,     3,    84,     0,     0,     0,    85,    86,
      87,   123,   119,     0,    89,     0,    14,    15,   709,     0,
      17,    18,    19,    20,    21,   120,    23,    24,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    31,     0,    33,    34,     0,     0,    35,    36,
      37,    38,     0,    39,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,    42,    43,    44,    45,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,    48,
      49,    50,    51,     0,     0,     0,    55,    56,    57,    58,
      59,    60,    61,     0,     0,     0,     0,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,    65,    66,    67,   121,
      68,  -174,    69,    70,    71,   122,  -174,    73,    74,    75,
       0,    76,    77,    78,    79,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,    83,     3,    84,     0,
       0,     0,    85,    86,    87,   123,   119,     0,    89,     0,
      14,    15,   716,     0,    17,    18,    19,    20,    21,   120,
      23,    24,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    31,     0,    33,    34,
       0,     0,    35,    36,    37,    38,     0,    39,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    41,
      42,    43,    44,    45,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,    48,    49,    50,    51,     0,     0,     0,
      55,    56,    57,    58,    59,    60,    61,     0,     0,     0,
       0,    62,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    64,
      65,    66,    67,   121,    68,  -174,    69,    70,    71,   122,
    -174,    73,    74,    75,     0,    76,    77,    78,    79,     0,
       0,     0,     0,     0,     0,    80,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    82,
      83,     3,    84,     0,     0,     0,    85,    86,    87,   123,
     119,     0,    89,     0,    14,    15,   802,     0,    17,    18,
      19,    20,    21,   120,    23,    24,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      31,     0,    33,    34,     0,     0,    35,    36,    37,    38,
       0,    39,    40,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    41,    42,    43,    44,    45,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,    48,    49,    50,
      51,     0,     0,     0,    55,    56,    57,    58,    59,    60,
      61,     0,     0,     0,     0,    62,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    64,    65,    66,    67,   121,    68,  -174,
      69,    70,    71,   122,  -174,    73,    74,    75,     0,    76,
      77,    78,    79,     0,     0,     0,     0,     0,     0,    80,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    82,    83,     3,    84,     0,     0,     0,
      85,    86,    87,   123,   119,     0,    89,     0,    14,    15,
     805,     0,    17,    18,    19,    20,    21,   120,    23,    24,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    31,     0,    33,    34,     0,     0,
      35,    36,    37,    38,     0,    39,    40,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    41,    42,    43,
      44,    45,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,    48,    49,    50,    51,     0,     0,     0,    55,    56,
      57,    58,    59,    60,    61,     0,     0,     0,     0,    62,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    64,    65,    66,
      67,   121,    68,  -174,    69,    70,    71,   122,  -174,    73,
      74,    75,     0,    76,    77,    78,    79,     0,     0,     0,
       0,     0,     0,    80,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    82,    83,     0,
      84,     0,     3,     0,    85,    86,    87,   123,     0,     0,
      89,   119,     0,   214,     0,    14,    15,     0,     0,    17,
      18,    19,    20,    21,   120,    23,    24,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    31,     0,    33,    34,     0,     0,    35,    36,    37,
      38,     0,    39,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    41,    42,    43,    44,    45,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,    48,    49,
      50,    51,     0,     0,     0,    55,    56,    57,    58,    59,
      60,    61,     0,     0,     0,     0,    62,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    64,    65,    66,    67,   121,    68,
    -174,    69,    70,    71,   122,  -174,    73,    74,    75,     3,
      76,    77,    78,    79,     0,     0,     0,     0,   119,     0,
      80,     0,    14,    15,     0,     0,    17,    18,    19,    20,
      21,   120,    23,    24,    82,    83,     0,    84,     0,     0,
       0,    85,    86,    87,   123,     0,     0,    89,    31,   -96,
      33,    34,     0,     0,    35,    36,    37,    38,     0,    39,
      40,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,    42,    43,    44,    45,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,    48,    49,    50,    51,     0,
       0,     0,    55,    56,    57,    58,    59,    60,    61,     0,
       0,     0,     0,    62,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    64,    65,    66,    67,   121,    68,  -174,    69,    70,
      71,   122,  -174,    73,    74,    75,     0,    76,    77,    78,
      79,     0,     0,     0,     0,     0,     0,    80,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    82,    83,     0,    84,   -22,     3,     0,    85,    86,
      87,   123,     0,     0,    89,   119,   166,     0,     0,    14,
      15,     0,     0,    17,    18,    19,    20,    21,   120,    23,
      24,     0,     0,     0,     0,     0,     0,     0,   -22,     0,
       0,     0,     0,     0,     0,    31,     0,    33,    34,     0,
       0,    35,    36,    37,    38,     0,    39,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    41,    42,
      43,    44,    45,    46,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    47,     0,
       0,     0,    48,    49,    50,    51,     0,     0,     0,    55,
      56,    57,    58,    59,    60,    61,     0,     0,     0,     0,
      62,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    64,    65,
      66,    67,   121,    68,  -174,    69,    70,    71,   122,  -174,
      73,    74,    75,     3,    76,    77,    78,    79,     0,     0,
       0,     0,   119,     0,    80,     0,    14,    15,     0,     0,
      17,    18,    19,    20,    21,   120,    23,    24,    82,    83,
       0,    84,     0,     0,     0,    85,    86,    87,   123,     0,
       0,    89,    31,     0,    33,    34,     0,     0,    35,    36,
      37,    38,     0,    39,    40,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    41,    42,    43,    44,    45,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,     0,    48,
      49,    50,    51,     0,     0,     0,    55,    56,    57,    58,
      59,    60,    61,     0,     0,     0,     0,    62,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    64,    65,    66,    67,   121,
      68,  -174,    69,    70,    71,   122,  -174,    73,    74,    75,
       0,    76,    77,    78,    79,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    82,    83,     3,    84,     0,
       0,     0,    85,    86,    87,   123,   119,     0,    89,   312,
      14,    15,     0,     0,    17,    18,    19,    20,    21,   120,
      23,    24,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    31,     0,    33,    34,
       0,     0,    35,    36,    37,    38,     0,    39,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    41,
      42,    43,    44,    45,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    47,
       0,     0,     0,    48,    49,    50,    51,     0,     0,     0,
      55,    56,    57,    58,    59,    60,    61,     0,     0,     0,
       0,    62,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    64,
      65,    66,    67,   121,    68,  -174,    69,    70,    71,   122,
    -174,    73,    74,    75,     0,    76,    77,    78,    79,     0,
       0,     0,     0,     0,     0,    80,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    82,
      83,     3,    84,     0,     0,     0,    85,    86,    87,   123,
     119,     0,    89,   315,    14,    15,     0,     0,    17,    18,
      19,    20,    21,   120,    23,    24,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      31,     0,    33,    34,     0,     0,    35,    36,    37,    38,
       0,    39,    40,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    41,    42,    43,    44,    45,    46,     0,
       0,     0,     0,     0,   885,     0,   886,   887,     0,     0,
       0,   888,   889,    47,     0,     0,     0,    48,    49,    50,
      51,     0,     0,     0,    55,    56,    57,    58,    59,    60,
      61,     0,     0,     0,     0,    62,     0,     0,     0,     0,
       0,   890,   891,     0,   892,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    64,    65,    66,    67,   121,    68,  -174,
      69,    70,    71,   122,  -174,    73,    74,    75,     0,    76,
      77,    78,    79,     0,     0,     0,     0,   893,     0,    80,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   894,   895,    82,    83,     3,    84,     0,     0,     0,
      85,    86,    87,   123,   119,     0,    89,     0,    14,    15,
       0,     0,    17,    18,    19,    20,    21,   120,    23,    24,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    31,     0,    33,    34,     0,     0,
      35,    36,    37,    38,     0,    39,    40,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    41,    42,    43,
      44,    45,    46,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,    48,    49,    50,    51,     0,     0,     0,    55,    56,
      57,    58,    59,    60,    61,     0,     0,     0,   540,    62,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    64,    65,    66,
      67,   121,    68,  -174,    69,    70,    71,   122,  -174,    73,
      74,    75,     3,    76,    77,    78,    79,     0,     0,     0,
       0,   119,     0,    80,     0,    14,    15,     0,     0,    17,
      18,    19,    20,    21,   120,    23,    24,    82,    83,     0,
      84,     0,     0,     0,    85,    86,    87,   123,     0,     0,
      89,    31,     0,    33,    34,     0,     0,    35,    36,    37,
      38,     0,    39,    40,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    41,    42,    43,    44,    45,    46,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,    48,    49,
      50,    51,     0,     0,     0,    55,    56,    57,    58,    59,
      60,    61,     0,     0,     0,   617,    62,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    64,    65,    66,    67,   121,    68,
    -174,    69,    70,    71,   122,  -174,    73,    74,    75,     3,
      76,    77,    78,    79,     0,     0,     0,     0,   119,     0,
      80,     0,    14,    15,     0,     0,    17,    18,    19,    20,
      21,   120,    23,    24,    82,    83,     0,    84,     0,     0,
       0,    85,    86,    87,   123,     0,     0,    89,    31,     0,
      33,    34,     0,     0,    35,    36,    37,    38,     0,    39,
      40,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    41,    42,    43,    44,    45,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,    48,    49,    50,    51,     0,
       0,     0,    55,    56,    57,    58,    59,    60,    61,     0,
       0,     0,     0,    62,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    64,    65,    66,    67,   121,    68,  -174,    69,    70,
      71,   122,  -174,    73,    74,    75,   731,    76,    77,    78,
      79,     0,     0,     0,     0,     0,     0,    80,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    82,    83,     0,    84,     0,     0,     0,    85,    86,
      87,   123,     0,     0,    89,     0,     0,     0,     0,     0,
       0,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   412,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   711,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,     0,     0,   712,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   718,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,     0,     0,   719,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,     0,     0,   801,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,     0,     0,   804,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,   441,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,     0,   442,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,     0,     0,     0,     0,     0,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
       0,   346,   347,   348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   349,   350,
     351,   352,     0,     0,     0,     0,     0,     0,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   375,     0,     0,
       0,   376,   377,   378,     0,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,     0,     0,     0,     0,
     389,   390,   391,   392,     0,     0,   626,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,     0,     0,   627,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,     0,
       0,     0,     0,     0,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,     0,   346,
     347,   348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   349,   350,   351,   352,
       0,     0,     0,     0,     0,     0,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   375,     0,     0,     0,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,     0,     0,     0,     0,   389,   390,
     391,   392,     0,     0,   643,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,     0,     0,
       0,     0,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,     0,   346,   347,
     348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   349,   350,   351,   352,     0,
       0,     0,     0,     0,     0,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   375,     0,     0,     0,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,     0,     0,     0,     0,   389,   390,   391,
     392,     0,     0,   651,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,     0,     0,     0,
       0,     0,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,     0,   346,   347,   348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   349,   350,   351,   352,     0,     0,
       0,     0,     0,     0,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   375,     0,     0,     0,   376,   377,   378,
       0,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,     0,     0,     0,     0,   389,   390,   391,   392,
       0,     0,   735,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,     0,
       0,   741,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,     0,     0,     0,     0,     0,     0,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,     0,   346,   347,   348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   349,   350,   351,   352,     0,     0,     0,     0,
       0,     0,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   375,     0,     0,     0,   376,   377,   378,     0,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
       0,     0,     0,     0,   389,   390,   391,   392,     0,     0,
     806,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,     0,     0,   816,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,     0,     0,     0,     0,     0,     0,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,     0,   346,   347,   348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     349,   350,   351,   352,     0,     0,     0,     0,     0,     0,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   375,
       0,     0,     0,   376,   377,   378,     0,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,     0,     0,
       0,     0,   389,   390,   391,   392,     0,     0,   820,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,     0,   821,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
       0,     0,     0,     0,     0,     0,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
       0,   346,   347,   348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   349,   350,
     351,   352,     0,     0,     0,     0,     0,     0,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   375,     0,     0,
       0,   376,   377,   378,     0,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,     0,     0,     0,     0,
     389,   390,   391,   392,     0,     0,   822,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,     0,     0,   946,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,     0,     0,
       0,     0,     0,     0,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,     0,   346,
     347,   348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   349,   350,   351,   352,
       0,     0,     0,     0,     0,     0,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   375,     0,     0,     0,   376,
     377,   378,     0,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,     0,     0,     0,     0,   389,   390,
     391,   392,     0,     0,   990,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,     0,     0,
       0,     0,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,     0,   264,   265,
     266,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,     0,
       0,     0,     0,     0,     0,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   293,     0,     0,     0,   294,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,     0,     0,     0,     0,     0,   307,   308,   309,
     310,     0,   311,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,     0,
     402,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,     0,   424,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,   739,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,     0,   740,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,     0,     0,
       0,     0,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,     0,   346,   347,
     348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   349,   350,   351,   352,     0,
       0,     0,     0,     0,     0,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   375,     0,     0,     0,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,     0,     0,     0,     0,   389,   390,   391,
     392,     0,   817,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,     0,
     818,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,     0,   828,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,  1005,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,     0,  1035,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,     0,     0,
       0,     0,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,     0,   346,   347,
     348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   349,   350,   351,   352,     0,
       0,     0,     0,     0,     0,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   375,     0,     0,     0,   376,   377,
     378,     0,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,     0,     0,     0,     0,   389,   390,   391,
     392,     0,  1043,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,     0,
    1046,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,     0,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,     0,  1048,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,     0,  1054,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,   708,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,     0,     0,     0,     0,
       0,     0,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,     0,   346,   347,   348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   349,   350,   351,   352,     0,     0,
       0,     0,     0,     0,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   375,     0,     0,     0,   376,   377,   378,
       0,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,     0,     0,     0,     0,   389,   390,   391,   392,
     715,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,   441,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,   707,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,   714,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,   959,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,     0,     0,
       0,     0,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,     0,   346,   347,
     348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   349,   350,   351,   352,     0,
       0,     0,     0,     0,     0,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   375,     0,     0,     0,   376,   377,
     378,   991,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,     0,     0,     0,     0,   389,   390,   391,
     392,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,   992,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,   993,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,   996,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,   376,   377,   378,   997,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,     0,     0,     0,
       0,   389,   390,   391,   392,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,     0,     0,     0,
       0,     0,     0,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,     0,   346,   347,
     348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   349,   350,   351,   352,     0,
       0,     0,     0,     0,     0,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   375,     0,     0,     0,   376,   377,
     378,   998,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,     0,     0,     0,     0,   389,   390,   391,
     392,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,     0,     0,     0,     0,     0,     0,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,     0,   346,   347,   348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   349,   350,   351,   352,     0,     0,     0,     0,     0,
       0,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     375,     0,     0,     0,   376,   377,   378,  1000,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,     0,
       0,     0,     0,     0,     0,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,     0,
     346,   347,   348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   349,   350,   351,
     352,     0,     0,     0,     0,     0,     0,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,     0,     0,
     376,   377,   378,  1001,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   349,   350,   351,   352,     0,     0,     0,
       0,     0,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   375,     0,     0,     0,   376,   377,   378,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,     0,     0,     0,     0,   389,   390,   391,   392,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,     0,     0,     0,     0,     0,     0,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,     0,   346,   347,   348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   349,
     350,   351,   352,     0,     0,     0,     0,     0,     0,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   375,     0,
       0,     0,     0,   377,   378,     0,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   320,   321,     0,     0,
       0,   389,   390,   391,   392,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,     0,   346,
     347,   348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   349,   350,     0,   352,
       0,     0,     0,     0,     0,     0,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,     0,     0,
       0,     0,     0,   320,   321,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   375,   346,   347,   348,     0,
       0,   378,     0,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   349,   350,     0,  -235,     0,   389,   390,
     391,   392,     0,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,     0,     0,     0,     0,     0,
     320,   321,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   375,   346,   347,   348,     0,     0,     0,     0,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     349,   350,     0,     0,     0,   389,   390,   391,   392,     0,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,     0,     0,     0,     0,     0,   320,   321,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   332,     0,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   375,
     346,   347,   348,     0,     0,     0,     0,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,     0,     0,
       0,     0,   389,   390,   391,   392,     0,   353,   354,   355,
     356,   357,   358,   359,   360,     0,   362,   363,   364,     0,
       0,     0,     0,     0,   320,   321,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   375,   346,   347,   348,
       0,     0,     0,     0,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,     0,     0,     0,     0,   389,
     390,   391,   392,     0,   353,   354,   355,   356,   357,   358,
     359,     0,     0,     0,   363,   364,     0,     0,     0,     0,
       0,   320,   321,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   375,   346,   347,   348,     0,     0,     0,
       0,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,     0,     0,     0,     0,   389,   390,   391,   392,
       0,   353,   354,   355,   356,   357,   358,   359,     0,     0,
       0,   363,   364,     0,     0,     0,     0,     0,   320,   321,
       0,     0,     0,   320,   321,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     375,   346,   347,   348,     0,     0,   346,   347,   348,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,     0,
       0,     0,     0,   389,   390,   391,   392,     0,   353,   354,
     355,   356,   357,   358,   359,     0,     0,     0,   363,   364,
       0,     0,     0,   363,   364,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   375,     0,     0,
       0,     0,   375,     0,     0,     0,     0,     0,   382,   383,
     384,   385,   386,   387,   388,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   389,   390,   391,   392
};

static const yytype_int16 yycheck[] =
{
       4,     5,     3,   109,   223,   735,     0,   461,     0,   461,
     461,   461,   461,   232,     5,   461,   755,   193,    15,   125,
     461,   461,    28,   191,   843,    41,    42,   137,    35,    35,
      50,   631,   141,   172,   141,    28,    15,   144,    15,    45,
      93,   679,    35,    50,    50,    50,   169,    50,    52,    53,
      54,    50,    45,    28,   193,   191,   795,    50,    15,   697,
      35,    52,    53,    54,    25,    26,    27,    28,    29,    30,
      45,   194,   133,   169,    35,    15,     2,    15,    15,    15,
       6,   169,    15,   192,    45,   193,    47,    48,   141,    15,
      16,    17,    18,   144,   147,   148,   192,    91,   149,    91,
     169,   191,   193,    29,   923,   193,    25,    26,    27,    28,
     770,   771,   772,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,   193,    51,   146,   727,   193,    55,
      56,    57,    58,    59,    60,   141,   875,   143,   776,   146,
     188,   146,   148,   146,   141,   193,   141,   146,   141,   749,
     143,   148,    49,   791,   169,   148,    82,    83,   162,    85,
      86,    87,   141,    89,   141,   144,   141,   144,   143,   148,
     149,   162,   149,   148,     0,   181,   192,   192,     4,     5,
       5,   188,   191,   188,   141,   188,   192,   144,   181,   188,
      93,   148,   149,   793,   794,   121,   141,   123,   143,   192,
      93,   141,   188,   148,   144,   141,   181,   133,   212,   149,
     148,   148,   191,    38,   191,   148,   170,   143,   144,   220,
     221,    93,   141,   141,     5,   143,    52,    53,    54,   148,
     148,   192,   686,   191,   686,   686,   686,   686,   141,   193,
     686,    93,   168,   982,   147,   686,   686,   756,   141,   468,
     759,   776,    93,   166,   147,   148,   153,    38,    56,    57,
     990,   158,    88,   181,   161,    91,   791,   169,   868,   141,
     141,   871,   143,   199,   192,   147,   148,   148,  1017,     5,
     170,   141,    25,    26,    27,    28,    29,    30,   148,   141,
     141,   193,    35,   776,   144,   147,   148,   148,   191,   149,
     141,   191,    45,   193,    47,    48,   147,   148,   791,    35,
     181,   137,    38,   169,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   162,   193,   191,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   165,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   445,   156,   212,   141,   193,   450,
     188,   189,   190,   191,   148,   399,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,  1018,    41,
      42,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   192,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   191,   461,     0,   461,
     170,   170,     4,     5,   141,   776,   170,    93,    25,    26,
      27,    28,    29,    30,   144,   411,    56,    57,    35,   415,
     791,   191,   191,   193,   193,   421,   422,   423,    45,   193,
      47,    48,   776,    12,    10,   141,    25,    26,    27,    28,
      29,    30,   148,   439,   191,   441,    35,   791,   170,   445,
      52,    53,    54,    15,   450,   141,    45,   191,    47,    48,
     191,   147,   148,    25,    26,    27,    28,    29,    30,   191,
     141,   193,   143,   141,   922,   143,     0,   148,   926,     3,
     148,   929,   191,    45,   932,    47,    48,   141,   121,    91,
     123,     5,   781,   141,   148,   141,   170,   143,   787,   788,
     148,    15,   148,   399,   849,   191,   851,    93,   170,   854,
     181,    25,    26,    27,    28,    29,    30,   144,   694,   191,
     191,    35,   149,   145,    38,   165,    15,   188,   150,   151,
     141,    45,   193,    47,    48,   181,    25,    26,    27,    28,
      29,    30,   191,   194,   540,    43,   192,   141,   188,   189,
     190,   191,   626,   627,   148,   141,    45,   141,    47,    48,
     162,   147,   148,   141,   148,   626,   627,    91,   188,   162,
     148,    15,   191,   193,   863,   192,   198,   866,   200,   141,
     141,   143,   143,   191,   188,   109,   148,   148,   141,   193,
      28,   141,    93,   143,   191,   148,   191,    35,   148,   191,
     191,   125,   162,   192,   194,   191,   782,    45,   188,   191,
     212,   188,    50,   193,    93,   679,   193,   679,   188,   181,
     181,   617,   686,   193,   686,   191,   193,   141,   624,   143,
     191,   181,   191,   697,   148,   697,   194,   633,   634,   635,
     141,   637,   638,   639,   170,   194,   147,   148,   644,   170,
     191,     5,   141,   191,   143,   729,   730,   728,   141,   148,
     143,    15,   141,   191,   143,   148,   170,   181,   147,   148,
     188,    25,    26,    27,    28,    29,    30,   194,   192,   753,
     754,    35,   159,   160,    38,   162,   163,   194,   310,   191,
     191,    45,   181,    47,    48,   188,   220,   221,   181,   191,
     913,   191,   181,   141,   191,   143,   194,     4,   191,   922,
     148,   707,   776,   926,   776,   711,   929,   897,   714,   932,
     159,   160,   718,   162,   163,   194,   194,   791,   194,   791,
     626,   627,   188,   807,   808,   194,   810,   194,   169,   194,
     264,   194,   816,   181,    28,   819,   807,   808,   194,   141,
     193,    35,   144,   194,   192,   816,   148,   149,   819,   833,
     834,    45,   194,   837,   141,   194,    50,   144,   191,   194,
     392,   148,   149,   194,   845,   397,   956,   194,   849,   959,
     851,   191,   193,   854,    44,   194,   408,   141,   193,   143,
     188,   191,    37,   194,   148,   869,   870,   399,   172,   873,
     874,   141,   141,   194,   194,   194,   194,   429,   430,   431,
     193,   991,   992,   993,   994,   995,   996,   997,   998,   815,
    1000,  1001,   346,   191,   172,   191,   191,   181,   824,   146,
     148,   169,   454,   455,   456,   141,   194,   194,   192,   194,
     162,   162,   913,   465,   466,   467,   172,    35,   141,   194,
     146,   922,   172,    56,    57,   926,   172,   141,   929,   143,
     194,   932,   194,   937,   148,   194,   940,   941,   141,   194,
     944,   945,    91,   427,   193,   686,    28,   826,   231,   194,
     194,   194,   193,   193,   945,   193,   960,   768,   884,   885,
     886,   887,   670,   697,   890,   891,   892,   181,   894,   895,
     923,   902,   439,    78,    -1,    -1,    -1,    -1,   192,    -1,
     906,   807,   808,    -1,    28,    -1,    -1,    28,    -1,    -1,
     816,    35,    -1,   819,    35,   999,    -1,    -1,  1002,    -1,
      -1,    45,    -1,    -1,    45,    -1,    50,   461,    -1,    50,
      -1,    -1,    -1,    -1,    -1,  1019,  1020,  1021,  1022,  1023,
    1024,  1025,  1026,  1027,  1028,  1029,    -1,    -1,  1019,    -1,
      -1,    -1,   165,    -1,    -1,    -1,  1040,  1041,    -1,    -1,
      -1,    -1,    -1,   969,    -1,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    15,   188,   189,   190,   191,    -1,
      -1,    -1,    -1,    -1,    25,    26,    27,    28,    29,    30,
      -1,   897,    -1,   625,    -1,    -1,   628,    -1,    -1,    -1,
      -1,  1007,    -1,    -1,    45,  1011,    47,    48,  1014,    -1,
      -1,    -1,    -1,    -1,   626,   627,    -1,   141,    28,   143,
     141,    -1,   143,    -1,   148,    35,  1032,   148,    -1,    -1,
      -1,    -1,    -1,   665,    28,    45,    -1,    -1,    -1,   945,
      50,    35,    25,    26,    27,    28,    29,    30,    -1,    -1,
     956,    45,    -1,   959,   960,    -1,    50,   181,    56,    57,
     181,    -1,    45,    -1,    47,    48,    -1,   699,   192,    -1,
      -1,   192,   704,   705,   706,    -1,    56,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   991,   992,   993,   994,   995,
     996,   997,   998,   999,  1000,  1001,  1002,    -1,    -1,    -1,
     141,    -1,   143,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,  1019,  1020,  1021,  1022,  1023,  1024,  1025,
    1026,  1027,  1028,  1029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,   143,    -1,   669,   670,    -1,   148,    -1,
     181,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,   143,
      -1,   783,   686,    -1,   148,    -1,    -1,    -1,    -1,    -1,
     694,    -1,    -1,    -1,   796,    -1,    -1,   165,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,    -1,   809,    -1,    -1,
      -1,    -1,   192,   181,   182,   165,    -1,   181,    -1,    -1,
     188,   189,   190,   191,   728,   807,   808,    -1,   192,    -1,
     180,   181,   182,    -1,   816,    -1,    -1,   819,   188,   189,
     190,   191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   756,    -1,    -1,   759,    -1,    -1,    -1,    -1,
      56,    57,   864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   781,    -1,    -1,
      -1,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    -1,    -1,   900,   901,
      -1,    -1,    -1,    -1,    -1,   907,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,    -1,    -1,
     126,   127,   934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   845,    -1,    -1,    -1,   849,    -1,   851,    -1,    -1,
     854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   945,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   960,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,    -1,    -1,
      -1,    -1,   188,   189,   190,   191,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   912,   913,
    1012,    -1,    -1,  1015,    -1,    -1,    -1,   999,   922,    -1,
    1002,    -1,   926,    -1,    -1,   929,    -1,    -1,   932,    -1,
      -1,  1033,    -1,    -1,    -1,    -1,    -1,  1019,  1020,  1021,
    1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,     0,     1,
      -1,     3,    -1,     5,     6,     7,     8,     9,    -1,    -1,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    35,    36,    -1,    38,    39,    40,    -1,
      -1,    -1,    -1,    45,    46,    47,    48,    49,    -1,    51,
      52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,   111,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,    -1,   161,
      -1,    -1,   164,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,   187,   188,    -1,     1,   191,
      -1,   193,     5,     6,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    -1,    -1,    -1,    19,    20,    -1,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,   187,   188,    -1,    -1,   191,    -1,
       1,   194,     3,    -1,     5,     6,     7,     8,     9,    -1,
      -1,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,    35,    36,    -1,    38,    39,    40,
      -1,    -1,    -1,    -1,    45,    46,    47,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
     111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,    -1,
     161,    -1,    -1,   164,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,     1,
     191,     3,   193,     5,     6,     7,     8,     9,    -1,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    -1,    36,    -1,    38,    39,    40,    -1,
      -1,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,
      52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,
      -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,   187,   188,    -1,     1,   191,
       3,   193,     5,     6,     7,     8,     9,    -1,    -1,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,   187,   188,    -1,    -1,   191,   192,
     193,     1,    -1,     3,    -1,     5,     6,     7,     8,     9,
      -1,    -1,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,    -1,    36,    -1,    38,    39,
      40,    41,    42,    -1,    -1,    45,    -1,    47,    48,    -1,
      -1,    51,    52,    53,    54,    -1,    56,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,
      -1,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,    -1,
      -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,
      -1,   191,   192,   193,     1,    -1,     3,    -1,     5,     6,
       7,     8,     9,    -1,    -1,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    -1,    45,    -1,
      47,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
     187,   188,    -1,    -1,   191,   192,   193,     1,    -1,     3,
      -1,     5,     6,     7,     8,     9,    -1,    -1,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    -1,    36,    -1,    38,    39,    40,    41,    42,    -1,
      -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,   187,   188,    -1,    -1,   191,   192,   193,
       1,    -1,     3,    -1,     5,     6,     7,     8,     9,    -1,
      -1,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,
      51,    52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,    -1,
     191,   192,   193,     1,    -1,     3,    -1,     5,     6,     7,
       8,     9,    -1,    -1,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,    36,    -1,
      38,    39,    40,    41,    42,    -1,    -1,    45,    -1,    47,
      48,    -1,    -1,    51,    52,    53,    54,    -1,    56,    57,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      88,    -1,    -1,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,   187,
     188,    -1,    -1,   191,   192,   193,     1,    -1,     3,    -1,
       5,     6,     7,     8,     9,    -1,    -1,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    -1,
      45,    -1,    47,    48,    -1,    -1,    51,    52,    53,    54,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,   187,   188,    -1,    -1,   191,   192,   193,     1,
      -1,     3,    -1,     5,     6,     7,     8,     9,    -1,    -1,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    -1,    36,    -1,    38,    39,    40,    41,
      42,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,
      52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,
      -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,   187,   188,    -1,    -1,   191,
     192,   193,     1,    -1,     3,    -1,     5,     6,     7,     8,
       9,    -1,    -1,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    -1,    45,    -1,    47,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      -1,    -1,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,   187,   188,
      -1,    -1,   191,   192,   193,     1,    -1,     3,    -1,     5,
       6,     7,     8,     9,    -1,    -1,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    34,    -1,
      36,    -1,    38,    39,    40,    41,    42,    -1,    -1,    45,
      -1,    47,    48,    -1,    -1,    51,    52,    53,    54,    -1,
      56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,    -1,   181,    -1,    -1,    -1,   185,
     186,   187,   188,    -1,    -1,   191,   192,   193,     1,    -1,
       3,    -1,     5,     6,     7,     8,     9,    -1,    -1,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,   187,   188,    -1,    -1,   191,   192,
     193,     1,    -1,     3,    -1,     5,     6,     7,     8,     9,
      -1,    -1,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,    -1,    36,    -1,    38,    39,
      40,    41,    42,    -1,    -1,    45,    -1,    47,    48,    -1,
      -1,    51,    52,    53,    54,    -1,    56,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,
      -1,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,    -1,
      -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,
      -1,   191,   192,   193,     1,    -1,     3,    -1,     5,     6,
       7,     8,     9,    -1,    -1,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    -1,    45,    -1,
      47,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
     187,   188,    -1,    -1,   191,   192,   193,     1,    -1,     3,
      -1,     5,     6,     7,     8,     9,    -1,    -1,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    -1,    36,    -1,    38,    39,    40,    41,    42,    -1,
      -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,   187,   188,    -1,    -1,   191,   192,   193,
       1,    -1,     3,    -1,     5,     6,     7,     8,     9,    -1,
      -1,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,
      51,    52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,    -1,
     191,   192,   193,     1,    -1,     3,    -1,     5,     6,     7,
       8,     9,    -1,    -1,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,    36,    -1,
      38,    39,    40,    41,    42,    -1,    -1,    45,    -1,    47,
      48,    -1,    -1,    51,    52,    53,    54,    -1,    56,    57,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      88,    -1,    -1,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,   187,
     188,    -1,    -1,   191,   192,   193,     1,    -1,     3,    -1,
       5,     6,     7,     8,     9,    -1,    -1,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    -1,
      45,    -1,    47,    48,    -1,    -1,    51,    52,    53,    54,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,   187,   188,    -1,    -1,   191,   192,   193,     1,
      -1,     3,    -1,     5,     6,     7,     8,     9,    -1,    -1,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    -1,    36,    -1,    38,    39,    40,    41,
      42,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,
      52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,
      -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,   187,   188,    -1,    -1,   191,
     192,   193,     1,    -1,     3,    -1,     5,     6,     7,     8,
       9,    -1,    -1,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    -1,    45,    -1,    47,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      -1,    -1,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,   187,   188,
      -1,    -1,   191,   192,   193,     1,    -1,     3,    -1,     5,
       6,     7,     8,     9,    -1,    -1,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    34,    -1,
      36,    -1,    38,    39,    40,    41,    42,    -1,    -1,    45,
      -1,    47,    48,    -1,    -1,    51,    52,    53,    54,    -1,
      56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,    -1,   181,    -1,    -1,    -1,   185,
     186,   187,   188,    -1,    -1,   191,   192,   193,     1,    -1,
       3,    -1,     5,     6,     7,     8,     9,    -1,    -1,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,   187,   188,    -1,    -1,   191,   192,
     193,     1,    -1,     3,    -1,     5,     6,     7,     8,     9,
      -1,    -1,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    -1,    -1,    34,    -1,    36,    -1,    38,    39,
      40,    41,    42,    -1,    -1,    45,    -1,    47,    48,    -1,
      -1,    51,    52,    53,    54,    -1,    56,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,
      -1,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,    -1,
      -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,
      -1,   191,   192,   193,     1,    -1,     3,    -1,     5,     6,
       7,     8,     9,    -1,    -1,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    -1,    -1,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    -1,    45,    -1,
      47,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
     187,   188,    -1,    -1,   191,   192,   193,     1,    -1,     3,
      -1,     5,     6,     7,     8,     9,    -1,    -1,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    -1,    -1,
      34,    -1,    36,    -1,    38,    39,    40,    41,    42,    -1,
      -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,   187,   188,    -1,    -1,   191,   192,   193,
       1,    -1,     3,    -1,     5,     6,     7,     8,     9,    -1,
      -1,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    -1,    -1,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,
      51,    52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,    -1,
     191,   192,   193,     1,    -1,     3,    -1,     5,     6,     7,
       8,     9,    -1,    -1,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    -1,    -1,    34,    -1,    36,    -1,
      38,    39,    40,    41,    42,    -1,    -1,    45,    -1,    47,
      48,    -1,    -1,    51,    52,    53,    54,    -1,    56,    57,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      88,    -1,    -1,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,   187,
     188,    -1,    -1,   191,   192,   193,     1,    -1,     3,    -1,
       5,     6,     7,     8,     9,    -1,    -1,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    -1,    -1,    34,
      -1,    36,    -1,    38,    39,    40,    -1,    -1,    -1,    -1,
      45,    -1,    47,    48,    -1,    -1,    51,    52,    53,    54,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,    -1,   181,    -1,    -1,    -1,
     185,   186,   187,   188,    -1,    -1,   191,   192,   193,     1,
      -1,     3,    -1,     5,     6,     7,     8,     9,    -1,    -1,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      -1,    -1,    34,    -1,    36,    -1,    38,    39,    40,    -1,
      -1,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,
      52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,
      -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,
      -1,    -1,    -1,   185,   186,   187,   188,    -1,    -1,   191,
     192,   193,     1,    -1,     3,    -1,     5,     6,     7,     8,
       9,    -1,    -1,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    -1,    -1,    34,    -1,    36,    -1,    38,
      39,    40,    -1,    -1,    -1,    -1,    45,    -1,    47,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      -1,    -1,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,    -1,   181,    -1,    -1,    -1,   185,   186,   187,   188,
      -1,    -1,   191,   192,   193,     1,    -1,     3,    -1,     5,
       6,     7,     8,     9,    -1,    -1,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    -1,    -1,    34,    -1,
      36,    -1,    38,    39,    40,    -1,    -1,    -1,    -1,    45,
      -1,    47,    48,    -1,    -1,    51,    52,    53,    54,    -1,
      56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    68,    69,    70,    71,    72,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,    -1,   181,    -1,    -1,    -1,   185,
     186,   187,   188,    -1,    -1,   191,   192,   193,     1,    -1,
       3,    -1,     5,     6,     7,     8,     9,    -1,    -1,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    -1,
      -1,    34,    -1,    36,    -1,    38,    39,    40,    -1,    -1,
      -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,    -1,   181,    -1,
      -1,    -1,   185,   186,   187,   188,    -1,     1,   191,    -1,
     193,     5,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    15,    -1,    -1,    -1,    19,    20,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,     6,
     154,   155,   156,   157,    -1,    -1,    -1,    -1,    15,    -1,
     164,    -1,    19,    20,    -1,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,   187,   188,    -1,    -1,   191,    45,   193,
      47,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,     6,   181,    -1,    -1,    -1,   185,   186,
     187,   188,    15,    -1,   191,    -1,    19,    20,   195,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,     6,   181,    -1,
      -1,    -1,   185,   186,   187,   188,    15,    -1,   191,    -1,
      19,    20,   195,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    47,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      -1,    -1,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,     6,   181,    -1,    -1,    -1,   185,   186,   187,   188,
      15,    -1,   191,    -1,    19,    20,   195,    -1,    23,    24,
      25,    26,    27,    28,    29,    30,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    47,    48,    -1,    -1,    51,    52,    53,    54,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,     6,   181,    -1,    -1,    -1,
     185,   186,   187,   188,    15,    -1,   191,    -1,    19,    20,
     195,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,
      51,    52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,    -1,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,    -1,
     181,    -1,     6,    -1,   185,   186,   187,   188,    -1,    -1,
     191,    15,    -1,   194,    -1,    19,    20,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    47,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,     6,
     154,   155,   156,   157,    -1,    -1,    -1,    -1,    15,    -1,
     164,    -1,    19,    20,    -1,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,   187,   188,    -1,    -1,   191,    45,   193,
      47,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,    -1,   181,     5,     6,    -1,   185,   186,
     187,   188,    -1,    -1,   191,    15,   193,    -1,    -1,    19,
      20,    -1,    -1,    23,    24,    25,    26,    27,    28,    29,
      30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    38,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    47,    48,    -1,
      -1,    51,    52,    53,    54,    -1,    56,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,
      70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,
      -1,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,     6,   154,   155,   156,   157,    -1,    -1,
      -1,    -1,    15,    -1,   164,    -1,    19,    20,    -1,    -1,
      23,    24,    25,    26,    27,    28,    29,    30,   178,   179,
      -1,   181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,
      -1,   191,    45,    -1,    47,    48,    -1,    -1,    51,    52,
      53,    54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,    -1,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,     6,   181,    -1,
      -1,    -1,   185,   186,   187,   188,    15,    -1,   191,   192,
      19,    20,    -1,    -1,    23,    24,    25,    26,    27,    28,
      29,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    47,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      69,    70,    71,    72,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      -1,    -1,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
      -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,     6,   181,    -1,    -1,    -1,   185,   186,   187,   188,
      15,    -1,   191,   192,    19,    20,    -1,    -1,    23,    24,
      25,    26,    27,    28,    29,    30,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    47,    48,    -1,    -1,    51,    52,    53,    54,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    68,    69,    70,    71,    72,    73,    -1,
      -1,    -1,    -1,    -1,    79,    -1,    81,    82,    -1,    -1,
      -1,    86,    87,    88,    -1,    -1,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,
      -1,   116,   117,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,    -1,    -1,    -1,   162,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,     6,   181,    -1,    -1,    -1,
     185,   186,   187,   188,    15,    -1,   191,    -1,    19,    20,
      -1,    -1,    23,    24,    25,    26,    27,    28,    29,    30,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,    47,    48,    -1,    -1,
      51,    52,    53,    54,    -1,    56,    57,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,    69,    70,
      71,    72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,   109,   110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,     6,   154,   155,   156,   157,    -1,    -1,    -1,
      -1,    15,    -1,   164,    -1,    19,    20,    -1,    -1,    23,
      24,    25,    26,    27,    28,    29,    30,   178,   179,    -1,
     181,    -1,    -1,    -1,   185,   186,   187,   188,    -1,    -1,
     191,    45,    -1,    47,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    69,    70,    71,    72,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,   109,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,     6,
     154,   155,   156,   157,    -1,    -1,    -1,    -1,    15,    -1,
     164,    -1,    19,    20,    -1,    -1,    23,    24,    25,    26,
      27,    28,    29,    30,   178,   179,    -1,   181,    -1,    -1,
      -1,   185,   186,   187,   188,    -1,    -1,   191,    45,    -1,
      47,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    69,    70,    71,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    11,   154,   155,   156,
     157,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,    -1,   181,    -1,    -1,    -1,   185,   186,
     187,   188,    -1,    -1,   191,    -1,    -1,    -1,    -1,    -1,
      -1,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,    -1,    -1,   195,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,    -1,    -1,   195,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,    -1,    -1,   195,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,    -1,    -1,   195,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,    -1,   194,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,
     108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,
     188,   189,   190,   191,    -1,    -1,   194,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    -1,    -1,   194,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,
      -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,
     190,   191,    -1,    -1,   194,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,
     191,    -1,    -1,   194,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,
      -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,
      -1,    -1,   194,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    -1,
      -1,   194,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,
      -1,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
      -1,    -1,    -1,    -1,   188,   189,   190,   191,    -1,    -1,
     194,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    -1,    -1,   194,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,    -1,    -1,
      -1,    -1,   188,   189,   190,   191,    -1,    -1,   194,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,    -1,   194,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,
     108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,
     188,   189,   190,   191,    -1,    -1,   194,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    -1,    -1,   194,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,
      -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,
     190,   191,    -1,    -1,   194,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,
     191,    -1,   193,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    -1,
     193,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    -1,   193,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,   193,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    -1,   193,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,
     191,    -1,   193,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    -1,
     193,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    -1,   193,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,   193,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    -1,   193,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,
     191,    -1,   193,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    -1,
     193,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    -1,   193,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,   193,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,   192,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,
      -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,
     192,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,
     191,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,    -1,    -1,    -1,
      -1,   188,   189,   190,   191,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   106,   107,   108,   109,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,
     191,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,   108,   109,    -1,    -1,    -1,    -1,    -1,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,   108,
     109,    -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   107,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
      -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,
     107,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    56,    57,    -1,    -1,
      -1,   188,   189,   190,   191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,   107,    -1,   109,
      -1,    -1,    -1,    -1,    -1,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,    -1,
      -1,    -1,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,   165,    89,    90,    91,    -1,
      -1,   171,    -1,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   106,   107,    -1,   109,    -1,   188,   189,
     190,   191,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,
      56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,   165,    89,    90,    91,    -1,    -1,    -1,    -1,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     106,   107,    -1,    -1,    -1,   188,   189,   190,   191,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    56,    57,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    -1,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,   165,
      89,    90,    91,    -1,    -1,    -1,    -1,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,    -1,    -1,
      -1,    -1,   188,   189,   190,   191,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,    -1,
      -1,    -1,    -1,    -1,    56,    57,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,   165,    89,    90,    91,
      -1,    -1,    -1,    -1,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,    -1,    -1,    -1,    -1,    -1,   188,
     189,   190,   191,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,    -1,    -1,   126,   127,    -1,    -1,    -1,    -1,
      -1,    56,    57,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,   165,    89,    90,    91,    -1,    -1,    -1,
      -1,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,    -1,    -1,    -1,    -1,   188,   189,   190,   191,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,    -1,
      -1,   126,   127,    -1,    -1,    -1,    -1,    -1,    56,    57,
      -1,    -1,    -1,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    81,    82,    83,    84,    85,    86,    87,
     165,    89,    90,    91,    -1,    -1,    89,    90,    91,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,    -1,
      -1,    -1,    -1,   188,   189,   190,   191,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,    -1,    -1,   126,   127,
      -1,    -1,    -1,   126,   127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   178,   179,   180,   181,   182,
     188,   189,   190,   191,    -1,   188,   189,   190,   191
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     1,     3,     6,     7,     8,     9,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    34,    35,    36,    39,
      40,    45,    46,    47,    48,    51,    52,    53,    54,    56,
      57,    68,    69,    70,    71,    72,    73,    88,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   110,   111,   138,   139,   140,   141,   143,   145,
     146,   147,   148,   150,   151,   152,   154,   155,   156,   157,
     164,   167,   178,   179,   181,   185,   186,   187,   188,   191,
     193,   197,   198,   199,   202,   203,   204,   207,   208,   213,
     216,   217,   220,   222,   223,   230,   231,   244,   248,   249,
     250,   252,   253,   255,   260,   262,   263,   264,   193,    15,
      28,   142,   148,   188,   230,   249,   254,   258,   259,   260,
     261,   141,   148,   191,   230,   231,   148,   188,   209,   210,
     213,   210,   261,   191,   191,   191,    93,   141,   147,   148,
     191,   242,   193,   193,   193,   261,   261,   261,   261,    35,
     141,   212,   214,   141,   148,   212,   193,   261,   191,   188,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   141,   143,   148,   261,   210,   210,   210,   261,   261,
     261,   261,   261,   261,   166,     1,   221,   261,   191,   191,
     191,   263,   261,   261,   141,   143,   148,   261,   261,   261,
     192,   209,   211,   213,   194,   256,   257,   261,     0,   198,
       5,    38,   193,    15,   141,   148,   144,   149,    49,   153,
     158,   161,    15,    28,   141,   148,   230,   250,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    89,    90,    91,   106,   107,   108,
     109,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   165,   169,   170,   171,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   188,   189,   190,
     191,   193,   192,   256,   261,   192,   256,    15,    15,   230,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    89,    90,    91,   106,
     107,   108,   109,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   165,   169,   170,   171,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   188,
     189,   190,   191,   254,   261,   141,   144,   191,   192,   211,
      12,    10,   193,   261,   261,   221,   191,   191,   191,   221,
     221,    22,    22,   141,   148,   191,    11,    32,    33,   210,
     215,   170,   170,   191,   193,   261,   141,   200,   201,   191,
     191,   191,   194,   221,   261,   221,   192,   209,   213,   169,
     194,   172,   194,   141,   148,   191,   230,   231,   141,   148,
     191,   230,   231,   148,   191,   242,   191,   141,   148,    43,
     224,   188,   193,   224,   148,   191,   242,   191,    15,   148,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   159,   160,   162,   163,   162,   230,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     109,   261,   261,   221,   192,   192,    15,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   159,
     160,   162,   163,   162,   230,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   109,   261,   261,
     221,   194,   221,   192,   191,   191,   194,   194,   193,   221,
     194,   194,   261,   191,   170,   170,   261,   191,   191,   191,
     261,   261,   261,   194,   170,   192,   201,   221,   221,   221,
     194,   194,   194,   257,   261,   254,   141,   148,   144,   149,
     254,   141,   148,   144,   149,   191,   221,   221,   221,   188,
     188,    25,    26,    27,    28,   141,   148,   225,   226,   188,
     193,    15,   148,   192,   203,   204,   205,   206,   207,   208,
     222,   223,   230,   244,   249,   252,   253,   188,   193,   191,
     221,   221,   221,   148,   191,   242,   191,   172,   192,   195,
     261,   109,   195,   194,   172,   192,   195,   261,   109,   195,
     194,   194,   261,   221,   210,   210,   221,   194,     4,   251,
     251,    11,   261,   261,   261,   194,   261,   261,   261,   193,
     193,   194,   188,   261,   194,   194,   194,   172,   193,   245,
     194,   194,   221,   194,   194,   194,   227,   228,   230,   227,
     141,   148,   141,   148,   141,   148,   141,   148,   169,    25,
      26,    27,    28,    35,   192,   207,   229,   232,   233,   234,
     243,   248,   249,   191,   193,   192,   206,    15,    15,   230,
     192,   229,   221,   194,   194,   194,   191,   221,   221,   221,
     261,   195,   195,   261,   195,   195,   194,   194,    44,   193,
     251,   230,   231,   209,   209,   191,   194,   193,   193,   214,
     194,   194,   194,    37,    41,    42,   218,   219,   193,   141,
     148,   246,   247,   251,   194,   209,   209,   245,   192,   228,
     141,   192,   226,    50,   146,   188,   237,   239,   240,   188,
     240,   188,   240,    35,   188,   240,   192,   207,   232,   233,
     234,   243,   141,   230,   242,   221,    15,   192,   194,   251,
     251,   245,   221,   194,   194,   194,   193,   210,   210,   221,
     209,   261,   210,   210,   191,    79,    81,    82,    86,    87,
     116,   117,   119,   162,   176,   177,   261,   172,   192,   219,
     191,   191,   169,   209,   209,   209,   170,   191,   193,   237,
     148,    28,    45,    50,   141,   192,   207,   230,   231,   235,
     236,   238,   241,   169,   193,   192,   241,   193,   192,   241,
     193,   192,   241,   193,   242,   221,   194,   251,   209,   209,
     251,   194,   209,   209,   245,   194,   194,   261,   261,   261,
     261,   162,   162,   261,   261,   261,   172,   261,   261,   172,
     211,   221,   221,   247,   261,   221,   141,   230,   236,   170,
     193,   141,   146,   192,   236,   238,   237,   239,   192,   192,
     192,   221,   194,   209,   193,   209,   209,   193,   209,   210,
     194,   172,   172,   172,   172,   172,   172,   172,   172,   211,
     172,   172,   211,   194,   194,   193,   194,   170,   193,   141,
     261,   170,   191,   193,   170,   191,   193,   194,   245,   214,
     211,   211,   211,   211,   211,   211,   211,   211,   211,   211,
     193,   261,   170,   191,   193,   193,   261,   221,   261,   221,
     245,   251,   210,   193,   261,   221,   193,   194,   193,   194,
     193,   209,   193,   209,   193,   194,   193,   193,   193
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   196,   197,   197,   198,   198,   198,   198,   198,   198,
     198,   198,   198,   198,   198,   198,   198,   199,   199,   200,
     200,   201,   202,   202,   203,   203,   203,   203,   203,   203,
     203,   203,   203,   203,   203,   203,   203,   203,   204,   204,
     204,   205,   205,   206,   206,   206,   206,   206,   206,   206,
     206,   206,   207,   207,   208,   208,   209,   209,   210,   210,
     211,   211,   211,   211,   212,   212,   213,   213,   213,   213,
     213,   213,   213,   213,   213,   213,   213,   213,   213,   213,
     213,   213,   213,   213,   213,   213,   213,   213,   213,   213,
     213,   214,   214,   215,   215,   215,   216,   216,   217,   218,
     218,   219,   219,   219,   219,   219,   219,   219,   219,   219,
     219,   219,   219,   219,   219,   219,   219,   219,   219,   219,
     219,   219,   219,   219,   219,   219,   219,   220,   221,   221,
     221,   222,   222,   223,   223,   223,   223,   223,   223,   224,
     224,   225,   225,   226,   226,   226,   226,   226,   226,   226,
     226,   226,   226,   227,   227,   228,   228,   228,   229,   229,
     229,   229,   229,   229,   229,   229,   229,   229,   230,   230,
     230,   230,   230,   230,   231,   231,   232,   232,   232,   233,
     233,   233,   233,   233,   233,   234,   234,   234,   235,   235,
     235,   235,   235,   236,   236,   236,   236,   236,   236,   236,
     236,   236,   236,   237,   237,   238,   239,   240,   240,   240,
     240,   241,   241,   241,   241,   242,   242,   242,   243,   243,
     243,   243,   244,   244,   244,   244,   244,   244,   245,   245,
     246,   246,   247,   247,   248,   248,   249,   249,   250,   250,
     250,   250,   250,   250,   250,   250,   250,   251,   251,   252,
     252,   252,   252,   253,   253,   253,   253,   254,   254,   255,
     255,   256,   256,   256,   257,   258,   259,   259,   260,   260,
     260,   260,   260,   260,   260,   260,   260,   260,   260,   260,
     260,   260,   260,   260,   260,   260,   260,   260,   260,   260,
     260,   260,   260,   260,   260,   260,   260,   260,   260,   260,
     260,   260,   260,   260,   260,   260,   260,   260,   260,   260,
     260,   260,   260,   260,   260,   260,   260,   260,   260,   260,
     260,   260,   260,   260,   260,   260,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   261,   261,   261,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   262,
     262,   262,   262,   262,   262,   262,   262,   262,   262,   263,
     263,   264,   264,   264,   264,   264,   264,   264,   264,   264,
     264
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     1,     4,     1,     1,     2,     1,
       2,     4,     0,     1,     4,     3,     4,     3,     4,     4,
       5,     4,     3,     4,     3,     4,     4,     5,     5,     3,
       4,     1,     2,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     5,     6,     5,     6,     3,     2,     1,     1,
       1,     1,     2,     2,     0,     1,     1,     2,     5,     1,
       2,     3,     3,     2,     2,     2,     3,    11,     7,     5,
       7,     5,     7,     9,     7,     2,     2,     2,     2,     1,
       2,     0,     2,     4,     4,     4,     1,     2,     7,     1,
       2,     5,     5,     4,     4,     5,     5,     4,     4,     5,
       5,     4,     4,     5,     4,     5,     4,     5,     4,     5,
       4,     4,     3,     4,     3,     3,     2,     7,     0,     1,
       1,     6,     6,     6,     6,     4,     4,     5,     5,     2,
       0,     1,     3,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     2,     1,     2,     3,     5,     6,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     1,
       1,     2,     2,     2,     0,     1,     3,     4,     3,     3,
       4,     3,     3,     4,     3,     3,     4,     3,     4,     3,
       6,     5,     7,     3,     5,     6,     3,     5,     6,     2,
       4,     1,     1,     1,     2,     2,     2,     1,     1,     3,
       3,     1,     1,     2,     2,     2,     2,     1,     7,     7,
       7,     7,     8,     8,     8,     8,     7,     7,     2,     0,
       1,     3,     4,     4,     0,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     6,
       6,     7,     7,     7,     7,     8,     8,     3,     2,     3,
       2,     1,     3,     2,     3,     3,     3,     2,     1,     1,
       3,     1,     2,     2,     2,     3,     2,     3,     4,     1,
       1,     1,     1,     1,     8,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     4,     3,     1,     2,     2,     2,     2,     2,
       5,     5,     5,     2,     1,     3,     2,     6,     6,     7,
       7,     1,     1,     2,     2,     4,     1,     1,     1,     1,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     5,     2,     2,     4,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     5,     5,     4,     4,     4,     3,     3,     2,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     5,     2,     2,     4,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     5,     5,     4,     4,     4,     3,     3,     2,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, errorLog, parseTree, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, yyscanner, errorLog, parseTree); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, yyscan_t yyscanner, AstParseErrorLog* errorLog, ASTTree* parseTree)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  YY_USE (errorLog);
  YY_USE (parseTree);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, yyscan_t yyscanner, AstParseErrorLog* errorLog, ASTTree* parseTree)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, yyscanner, errorLog, parseTree);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, yyscan_t yyscanner, AstParseErrorLog* errorLog, ASTTree* parseTree)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), yyscanner, errorLog, parseTree);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner, errorLog, parseTree); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, yyscan_t yyscanner, AstParseErrorLog* errorLog, ASTTree* parseTree)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  YY_USE (errorLog);
  YY_USE (parseTree);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yykind)
    {
    case YYSYMBOL_NUMBER: /* "arbitrary-precision number"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5732 "ast_parser.cpp"
        break;

    case YYSYMBOL_IDENTIFIER: /* "identifier"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5738 "ast_parser.cpp"
        break;

    case YYSYMBOL_HASHDECL_IDENTIFIER_OPENCURLY: /* "typed hash identifier"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5744 "ast_parser.cpp"
        break;

    case YYSYMBOL_ANGLE_IDENTIFIER: /* "complex type identifier"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5750 "ast_parser.cpp"
        break;

    case YYSYMBOL_VAR_REF: /* "variable reference"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5756 "ast_parser.cpp"
        break;

    case YYSYMBOL_BACKQUOTE: /* "backquote expression"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5762 "ast_parser.cpp"
        break;

    case YYSYMBOL_SELF_REF: /* "in-object member reference"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5768 "ast_parser.cpp"
        break;

    case YYSYMBOL_KW_IDENTIFIER_OPENPAREN: /* "identifier or keyword used as function or method identifier"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5774 "ast_parser.cpp"
        break;

    case YYSYMBOL_SCOPED_REF: /* "namespace or class-scoped reference"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5780 "ast_parser.cpp"
        break;

    case YYSYMBOL_SCOPED_VREF: /* "namespace-scoped global variable reference"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5786 "ast_parser.cpp"
        break;

    case YYSYMBOL_CONTEXT_REF: /* "context reference"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5792 "ast_parser.cpp"
        break;

    case YYSYMBOL_COMPLEX_CONTEXT_REF: /* "named context reference"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5798 "ast_parser.cpp"
        break;

    case YYSYMBOL_QORE_CAST: /* "cast operator"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5804 "ast_parser.cpp"
        break;

    case YYSYMBOL_CLASS_STRING: /* "simple class declaration"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5810 "ast_parser.cpp"
        break;

    case YYSYMBOL_BASE_CLASS_CALL: /* "call to base class method"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5816 "ast_parser.cpp"
        break;

    case YYSYMBOL_DATETIME: /* "date/time value"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5822 "ast_parser.cpp"
        break;

    case YYSYMBOL_QUOTED_WORD: /* "quoted string"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).String); ((*yyvaluep).String) = nullptr; }
#line 5828 "ast_parser.cpp"
        break;

    case YYSYMBOL_BINARY: /* "binary constant value"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5834 "ast_parser.cpp"
        break;

    case YYSYMBOL_NAMESPACE: /* "namespace"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5840 "ast_parser.cpp"
        break;

    case YYSYMBOL_REGEX_SUBST: /* "regular expression substitution expression"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).regexsubst); ((*yyvaluep).regexsubst) = nullptr; }
#line 5846 "ast_parser.cpp"
        break;

    case YYSYMBOL_REGEX_TRANS: /* "transliteration expression"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).regextrans); ((*yyvaluep).regextrans) = nullptr; }
#line 5852 "ast_parser.cpp"
        break;

    case YYSYMBOL_CLASS_SCOPED_REF: /* "scoped class declaration"  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 5858 "ast_parser.cpp"
        break;

    case YYSYMBOL_REGEX: /* "regular expression"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).regex); ((*yyvaluep).regex) = nullptr; }
#line 5864 "ast_parser.cpp"
        break;

    case YYSYMBOL_REGEX_EXTRACT: /* "regular expression extraction expression"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).regex); ((*yyvaluep).regex) = nullptr; }
#line 5870 "ast_parser.cpp"
        break;

    case YYSYMBOL_DOT_KW_IDENTIFIER: /* "keyword used as hash key or object member reference"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).String); ((*yyvaluep).String) = nullptr; }
#line 5876 "ast_parser.cpp"
        break;

    case YYSYMBOL_PARSE_OPTION_END: /* "parse option end"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).parseopt); ((*yyvaluep).parseopt) = nullptr; }
#line 5882 "ast_parser.cpp"
        break;

    case YYSYMBOL_PARSE_OPTION_FULL: /* "full parse option"  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).parseopt); ((*yyvaluep).parseopt) = nullptr; }
#line 5888 "ast_parser.cpp"
        break;

    case YYSYMBOL_top_level_command: /* top_level_command  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).astnode); ((*yyvaluep).astnode) = nullptr; }
#line 5894 "ast_parser.cpp"
        break;

    case YYSYMBOL_parse_option: /* parse_option  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).parseopt); ((*yyvaluep).parseopt) = nullptr; }
#line 5900 "ast_parser.cpp"
        break;

    case YYSYMBOL_gvardecl: /* gvardecl  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).astdecl); ((*yyvaluep).astdecl) = nullptr; }
#line 5906 "ast_parser.cpp"
        break;

    case YYSYMBOL_top_namespace_decl: /* top_namespace_decl  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).nsdecl); ((*yyvaluep).nsdecl) = nullptr; }
#line 5912 "ast_parser.cpp"
        break;

    case YYSYMBOL_namespace_decls: /* namespace_decls  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).decllist)) { for (int i = 0, count = ((*yyvaluep).decllist)->size(); i < count; i++) {delete (*((*yyvaluep).decllist))[i];} delete ((*yyvaluep).decllist); } ((*yyvaluep).decllist) = nullptr; }
#line 5918 "ast_parser.cpp"
        break;

    case YYSYMBOL_namespace_decl: /* namespace_decl  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).astdecl); ((*yyvaluep).astdecl) = nullptr; }
#line 5924 "ast_parser.cpp"
        break;

    case YYSYMBOL_unscoped_const_decl: /* unscoped_const_decl  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).constdecl); ((*yyvaluep).constdecl) = nullptr; }
#line 5930 "ast_parser.cpp"
        break;

    case YYSYMBOL_scoped_const_decl: /* scoped_const_decl  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).constdecl); ((*yyvaluep).constdecl) = nullptr; }
#line 5936 "ast_parser.cpp"
        break;

    case YYSYMBOL_block: /* block  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).sblock); ((*yyvaluep).sblock) = nullptr; }
#line 5942 "ast_parser.cpp"
        break;

    case YYSYMBOL_statement_or_block: /* statement_or_block  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).sblock); ((*yyvaluep).sblock) = nullptr; }
#line 5948 "ast_parser.cpp"
        break;

    case YYSYMBOL_statements: /* statements  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).sblock); ((*yyvaluep).sblock) = nullptr; }
#line 5954 "ast_parser.cpp"
        break;

    case YYSYMBOL_optname: /* optname  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).nameexpr); ((*yyvaluep).nameexpr) = nullptr; }
#line 5960 "ast_parser.cpp"
        break;

    case YYSYMBOL_statement: /* statement  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).statement); ((*yyvaluep).statement) = nullptr; }
#line 5966 "ast_parser.cpp"
        break;

    case YYSYMBOL_context_mods: /* context_mods  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).cmodlist)) { for (int i = 0, count = ((*yyvaluep).cmodlist)->size(); i < count; i++) {delete (*((*yyvaluep).cmodlist))[i];} delete ((*yyvaluep).cmodlist); } ((*yyvaluep).cmodlist) = nullptr; }
#line 5972 "ast_parser.cpp"
        break;

    case YYSYMBOL_context_mod: /* context_mod  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).cmodexpr); ((*yyvaluep).cmodexpr) = nullptr; }
#line 5978 "ast_parser.cpp"
        break;

    case YYSYMBOL_return_statement: /* return_statement  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).statement); ((*yyvaluep).statement) = nullptr; }
#line 5984 "ast_parser.cpp"
        break;

    case YYSYMBOL_switch_statement: /* switch_statement  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).statement); ((*yyvaluep).statement) = nullptr; }
#line 5990 "ast_parser.cpp"
        break;

    case YYSYMBOL_case_block: /* case_block  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).switchexpr); ((*yyvaluep).switchexpr) = nullptr; }
#line 5996 "ast_parser.cpp"
        break;

    case YYSYMBOL_case_code: /* case_code  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).caseexpr); ((*yyvaluep).caseexpr) = nullptr; }
#line 6002 "ast_parser.cpp"
        break;

    case YYSYMBOL_try_statement: /* try_statement  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).statement); ((*yyvaluep).statement) = nullptr; }
#line 6008 "ast_parser.cpp"
        break;

    case YYSYMBOL_myexp: /* myexp  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6014 "ast_parser.cpp"
        break;

    case YYSYMBOL_hashdecl_def: /* hashdecl_def  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).hashdecl); ((*yyvaluep).hashdecl) = nullptr; }
#line 6020 "ast_parser.cpp"
        break;

    case YYSYMBOL_class_def: /* class_def  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).classdecl); ((*yyvaluep).classdecl) = nullptr; }
#line 6026 "ast_parser.cpp"
        break;

    case YYSYMBOL_inheritance_list: /* inheritance_list  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).sclist)) { for (int i = 0, count = ((*yyvaluep).sclist)->size(); i < count; i++) {delete (*((*yyvaluep).sclist))[i];} delete ((*yyvaluep).sclist); } ((*yyvaluep).sclist) = nullptr; }
#line 6032 "ast_parser.cpp"
        break;

    case YYSYMBOL_superclass_list: /* superclass_list  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).sclist)) { for (int i = 0, count = ((*yyvaluep).sclist)->size(); i < count; i++) {delete (*((*yyvaluep).sclist))[i];} delete ((*yyvaluep).sclist); } ((*yyvaluep).sclist) = nullptr; }
#line 6038 "ast_parser.cpp"
        break;

    case YYSYMBOL_superclass: /* superclass  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).sclassdecl); ((*yyvaluep).sclassdecl) = nullptr; }
#line 6044 "ast_parser.cpp"
        break;

    case YYSYMBOL_hashdecl_attributes: /* hashdecl_attributes  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).hashmemberlist)) { for (int i = 0, count = ((*yyvaluep).hashmemberlist)->size(); i < count; i++) {delete (*((*yyvaluep).hashmemberlist))[i];} delete ((*yyvaluep).hashmemberlist); } ((*yyvaluep).hashmemberlist) = nullptr; }
#line 6050 "ast_parser.cpp"
        break;

    case YYSYMBOL_hashdecl_member: /* hashdecl_member  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).hashmember); ((*yyvaluep).hashmember) = nullptr; }
#line 6056 "ast_parser.cpp"
        break;

    case YYSYMBOL_class_attributes: /* class_attributes  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).decllist)) { for (int i = 0, count = ((*yyvaluep).decllist)->size(); i < count; i++) {delete (*((*yyvaluep).decllist))[i];} delete ((*yyvaluep).decllist); } ((*yyvaluep).decllist) = nullptr; }
#line 6062 "ast_parser.cpp"
        break;

    case YYSYMBOL_uncqtypedef: /* uncqtypedef  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).String); ((*yyvaluep).String) = nullptr; }
#line 6068 "ast_parser.cpp"
        break;

    case YYSYMBOL_qtypedef: /* qtypedef  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).String); ((*yyvaluep).String) = nullptr; }
#line 6074 "ast_parser.cpp"
        break;

    case YYSYMBOL_internal_member_list: /* internal_member_list  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).membergroup); ((*yyvaluep).membergroup) = nullptr; }
#line 6080 "ast_parser.cpp"
        break;

    case YYSYMBOL_private_member_list: /* private_member_list  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).membergroup); ((*yyvaluep).membergroup) = nullptr; }
#line 6086 "ast_parser.cpp"
        break;

    case YYSYMBOL_public_member_list: /* public_member_list  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).membergroup); ((*yyvaluep).membergroup) = nullptr; }
#line 6092 "ast_parser.cpp"
        break;

    case YYSYMBOL_classvardecl: /* classvardecl  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6098 "ast_parser.cpp"
        break;

    case YYSYMBOL_member2: /* member2  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6104 "ast_parser.cpp"
        break;

    case YYSYMBOL_member: /* member  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6110 "ast_parser.cpp"
        break;

    case YYSYMBOL_transient_member2: /* transient_member2  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6116 "ast_parser.cpp"
        break;

    case YYSYMBOL_transient_member: /* transient_member  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6122 "ast_parser.cpp"
        break;

    case YYSYMBOL_member_list: /* member_list  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).exprlist)) { for (int i = 0, count = ((*yyvaluep).exprlist)->size(); i < count; i++) {delete (*((*yyvaluep).exprlist))[i];} delete ((*yyvaluep).exprlist); } ((*yyvaluep).exprlist) = nullptr; }
#line 6128 "ast_parser.cpp"
        break;

    case YYSYMBOL_member_list2: /* member_list2  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).exprlist)) { for (int i = 0, count = ((*yyvaluep).exprlist)->size(); i < count; i++) {delete (*((*yyvaluep).exprlist))[i];} delete ((*yyvaluep).exprlist); } ((*yyvaluep).exprlist) = nullptr; }
#line 6134 "ast_parser.cpp"
        break;

    case YYSYMBOL_ident_openparen: /* ident_openparen  */
#line 412 "ast_parser.ypp"
            { free(((*yyvaluep).string)); ((*yyvaluep).string) = nullptr; }
#line 6140 "ast_parser.cpp"
        break;

    case YYSYMBOL_inline_methoddef: /* inline_methoddef  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).funcdecl); ((*yyvaluep).funcdecl) = nullptr; }
#line 6146 "ast_parser.cpp"
        break;

    case YYSYMBOL_outofline_methoddef: /* outofline_methoddef  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).funcdecl); ((*yyvaluep).funcdecl) = nullptr; }
#line 6152 "ast_parser.cpp"
        break;

    case YYSYMBOL_base_constructor_list: /* base_constructor_list  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).constrinit); ((*yyvaluep).constrinit) = nullptr; }
#line 6158 "ast_parser.cpp"
        break;

    case YYSYMBOL_base_constructors: /* base_constructors  */
#line 413 "ast_parser.ypp"
            { if (((*yyvaluep).bclist)) { for (int i = 0, count = ((*yyvaluep).bclist)->size(); i < count; i++) {delete (*((*yyvaluep).bclist))[i];} delete ((*yyvaluep).bclist); } ((*yyvaluep).bclist) = nullptr; }
#line 6164 "ast_parser.cpp"
        break;

    case YYSYMBOL_base_constructor: /* base_constructor  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).callexpr); ((*yyvaluep).callexpr) = nullptr; }
#line 6170 "ast_parser.cpp"
        break;

    case YYSYMBOL_return_value: /* return_value  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6176 "ast_parser.cpp"
        break;

    case YYSYMBOL_sub_def: /* sub_def  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).funcdecl); ((*yyvaluep).funcdecl) = nullptr; }
#line 6182 "ast_parser.cpp"
        break;

    case YYSYMBOL_scoped_sub_def: /* scoped_sub_def  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).funcdecl); ((*yyvaluep).funcdecl) = nullptr; }
#line 6188 "ast_parser.cpp"
        break;

    case YYSYMBOL_list: /* list  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).list); ((*yyvaluep).list) = nullptr; }
#line 6194 "ast_parser.cpp"
        break;

    case YYSYMBOL_list_n: /* list_n  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).list); ((*yyvaluep).list) = nullptr; }
#line 6200 "ast_parser.cpp"
        break;

    case YYSYMBOL_hash: /* hash  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).hash); ((*yyvaluep).hash) = nullptr; }
#line 6206 "ast_parser.cpp"
        break;

    case YYSYMBOL_hash_element: /* hash_element  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).hashelem); ((*yyvaluep).hashelem) = nullptr; }
#line 6212 "ast_parser.cpp"
        break;

    case YYSYMBOL_alt_hash: /* alt_hash  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).hash); ((*yyvaluep).hash) = nullptr; }
#line 6218 "ast_parser.cpp"
        break;

    case YYSYMBOL_immediate_typed_hash: /* immediate_typed_hash  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).hashdeclhash); ((*yyvaluep).hashdeclhash) = nullptr; }
#line 6224 "ast_parser.cpp"
        break;

    case YYSYMBOL_exp_c: /* exp_c  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6230 "ast_parser.cpp"
        break;

    case YYSYMBOL_exp: /* exp  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6236 "ast_parser.cpp"
        break;

    case YYSYMBOL_exp_n: /* exp_n  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6242 "ast_parser.cpp"
        break;

    case YYSYMBOL_string: /* string  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).String); ((*yyvaluep).String) = nullptr; }
#line 6248 "ast_parser.cpp"
        break;

    case YYSYMBOL_scalar: /* scalar  */
#line 411 "ast_parser.ypp"
            { delete ((*yyvaluep).expression); ((*yyvaluep).expression) = nullptr; }
#line 6254 "ast_parser.cpp"
        break;

      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (yyscan_t yyscanner, AstParseErrorLog* errorLog, ASTTree* parseTree)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* top_level_commands: top_level_command  */
#line 417 "ast_parser.ypp"
                          {
            if ((yyvsp[0].astnode))
                parseTree->addNode((yyvsp[0].astnode));
        }
#line 6563 "ast_parser.cpp"
    break;

  case 3: /* top_level_commands: top_level_commands top_level_command  */
#line 421 "ast_parser.ypp"
                                               {
            if ((yyvsp[0].astnode))
                parseTree->addNode((yyvsp[0].astnode));
        }
#line 6572 "ast_parser.cpp"
    break;

  case 4: /* top_level_command: sub_def  */
#line 428 "ast_parser.ypp"
                {
            (yyval.astnode) = (yyvsp[0].funcdecl);
        }
#line 6580 "ast_parser.cpp"
    break;

  case 5: /* top_level_command: scoped_sub_def  */
#line 431 "ast_parser.ypp"
                         {
            (yyval.astnode) = (yyvsp[0].funcdecl);
        }
#line 6588 "ast_parser.cpp"
    break;

  case 6: /* top_level_command: class_def  */
#line 434 "ast_parser.ypp"
                    {
            (yyval.astnode) = (yyvsp[0].classdecl);
        }
#line 6596 "ast_parser.cpp"
    break;

  case 7: /* top_level_command: hashdecl_def  */
#line 437 "ast_parser.ypp"
                       {
            (yyval.astnode) = (yyvsp[0].hashdecl);
        }
#line 6604 "ast_parser.cpp"
    break;

  case 8: /* top_level_command: scoped_const_decl  */
#line 440 "ast_parser.ypp"
                            {
            (yyval.astnode) = (yyvsp[0].constdecl);
        }
#line 6612 "ast_parser.cpp"
    break;

  case 9: /* top_level_command: unscoped_const_decl  */
#line 443 "ast_parser.ypp"
                              {
            (yyval.astnode) = (yyvsp[0].constdecl);
        }
#line 6620 "ast_parser.cpp"
    break;

  case 10: /* top_level_command: outofline_methoddef  */
#line 446 "ast_parser.ypp"
                              {
            (yyval.astnode) = (yyvsp[0].funcdecl);
        }
#line 6628 "ast_parser.cpp"
    break;

  case 11: /* top_level_command: statement  */
#line 449 "ast_parser.ypp"
                    {
            (yyval.astnode) = (yyvsp[0].statement);
        }
#line 6636 "ast_parser.cpp"
    break;

  case 12: /* top_level_command: '{' '}'  */
#line 452 "ast_parser.ypp"
                  {
            (yyval.astnode) = nullptr;
        }
#line 6644 "ast_parser.cpp"
    break;

  case 13: /* top_level_command: '{' statements '}'  */
#line 455 "ast_parser.ypp"
                             {
            (yyval.astnode) = (yyvsp[-1].sblock);
        }
#line 6652 "ast_parser.cpp"
    break;

  case 14: /* top_level_command: top_namespace_decl  */
#line 458 "ast_parser.ypp"
                             {
            (yyval.astnode) = (yyvsp[0].nsdecl);
        }
#line 6660 "ast_parser.cpp"
    break;

  case 15: /* top_level_command: "module" '{' module_decls '}'  */
#line 461 "ast_parser.ypp"
                                          { (yyval.astnode) = nullptr; }
#line 6666 "ast_parser.cpp"
    break;

  case 16: /* top_level_command: parse_option  */
#line 462 "ast_parser.ypp"
                       {
            (yyval.astnode) = (yyvsp[0].parseopt);
        }
#line 6674 "ast_parser.cpp"
    break;

  case 17: /* parse_option: "full parse option"  */
#line 468 "ast_parser.ypp"
                          {
            (yyval.parseopt) = (yyvsp[0].parseopt);
            (yyval.parseopt)->loc = (yylsp[0]);
        }
#line 6683 "ast_parser.cpp"
    break;

  case 18: /* parse_option: "parse option beginning" "parse option end"  */
#line 472 "ast_parser.ypp"
                                              {
            (yyval.parseopt) = (yyvsp[0].parseopt);
            (yyval.parseopt)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 6692 "ast_parser.cpp"
    break;

  case 19: /* module_decls: module_decl  */
#line 479 "ast_parser.ypp"
                    {
        }
#line 6699 "ast_parser.cpp"
    break;

  case 20: /* module_decls: module_decls module_decl  */
#line 481 "ast_parser.ypp"
                                   {
        }
#line 6706 "ast_parser.cpp"
    break;

  case 21: /* module_decl: "identifier" '=' exp ';'  */
#line 486 "ast_parser.ypp"
                               {
            free((yyvsp[-3].string));
            delete (yyvsp[-1].expression);
        }
#line 6715 "ast_parser.cpp"
    break;

  case 22: /* ppub: %empty  */
#line 494 "ast_parser.ypp"
        { (yyval.b) = false; }
#line 6721 "ast_parser.cpp"
    break;

  case 23: /* ppub: "public"  */
#line 495 "ast_parser.ypp"
                     {
            (yyval.b) = true;
        }
#line 6729 "ast_parser.cpp"
    break;

  case 24: /* gvardecl: ppub "our" uncqtypedef "namespace or class-scoped reference"  */
#line 501 "ast_parser.ypp"
                                            {
            ASTModifiers mods(ASTModifier::AM_Our);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-1]);
            delete (yyvsp[-1].String);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6749 "ast_parser.cpp"
    break;

  case 25: /* gvardecl: ppub "our" "namespace or class-scoped reference"  */
#line 516 "ast_parser.ypp"
                                  {
            ASTModifiers mods(ASTModifier::AM_Our);
            if ((yyvsp[-2].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-2]), (yylsp[-1]));
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 6766 "ast_parser.cpp"
    break;

  case 26: /* gvardecl: ppub "our" uncqtypedef "identifier"  */
#line 528 "ast_parser.ypp"
                                              {
            ASTModifiers mods(ASTModifier::AM_Our);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-1]);
            delete (yyvsp[-1].String);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6786 "ast_parser.cpp"
    break;

  case 27: /* gvardecl: ppub "our" "identifier"  */
#line 543 "ast_parser.ypp"
                                  {
            ASTModifiers mods(ASTModifier::AM_Our);
            if ((yyvsp[-2].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-2]), (yylsp[-1]));
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 6803 "ast_parser.cpp"
    break;

  case 28: /* gvardecl: ppub "our" qtypedef "namespace-scoped global variable reference"  */
#line 555 "ast_parser.ypp"
                                            {
            ASTModifiers mods(ASTModifier::AM_Our);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName(ASTNameKind::ANK_QTypedef);
            if ((yyvsp[-1].String)) {
                typeName.name = *((yyvsp[-1].String));
                typeName.loc = (yylsp[-1]);
                delete (yyvsp[-1].String);
            }
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedVref);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6826 "ast_parser.cpp"
    break;

  case 29: /* gvardecl: ppub "our" qtypedef "variable reference"  */
#line 573 "ast_parser.ypp"
                                        {
            ASTModifiers mods(ASTModifier::AM_Our);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName(ASTNameKind::ANK_QTypedef);
            if ((yyvsp[-1].String)) {
                typeName.name = *((yyvsp[-1].String));
                typeName.loc = (yylsp[-1]);
                delete (yyvsp[-1].String);
            }
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_VarRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6849 "ast_parser.cpp"
    break;

  case 30: /* gvardecl: ppub "our" '(' list ')'  */
#line 591 "ast_parser.ypp"
                                    {
            ASTModifiers mods(ASTModifier::AM_Our);
            (yyval.astdecl) = new ASTVarListDeclaration(mods, (yyvsp[-1].list));
            (yyval.astdecl)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 6859 "ast_parser.cpp"
    break;

  case 31: /* gvardecl: ppub "thread_local" uncqtypedef "namespace or class-scoped reference"  */
#line 596 "ast_parser.ypp"
                                                       {
            ASTModifiers mods(ASTModifier::AM_ThreadLocal);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-1]);
            delete (yyvsp[-1].String);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6879 "ast_parser.cpp"
    break;

  case 32: /* gvardecl: ppub "thread_local" "namespace or class-scoped reference"  */
#line 611 "ast_parser.ypp"
                                           {
            ASTModifiers mods(ASTModifier::AM_ThreadLocal);
            if ((yyvsp[-2].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-2]), (yylsp[-1]));
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 6896 "ast_parser.cpp"
    break;

  case 33: /* gvardecl: ppub "thread_local" uncqtypedef "identifier"  */
#line 623 "ast_parser.ypp"
                                                       {
            ASTModifiers mods(ASTModifier::AM_ThreadLocal);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-1]);
            delete (yyvsp[-1].String);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6916 "ast_parser.cpp"
    break;

  case 34: /* gvardecl: ppub "thread_local" "identifier"  */
#line 638 "ast_parser.ypp"
                                           {
            ASTModifiers mods(ASTModifier::AM_ThreadLocal);
            if ((yyvsp[-2].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-2]), (yylsp[-1]));
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 6933 "ast_parser.cpp"
    break;

  case 35: /* gvardecl: ppub "thread_local" qtypedef "namespace-scoped global variable reference"  */
#line 650 "ast_parser.ypp"
                                                     {
            ASTModifiers mods(ASTModifier::AM_ThreadLocal);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName(ASTNameKind::ANK_QTypedef);
            if ((yyvsp[-1].String)) {
                typeName.name = *((yyvsp[-1].String));
                typeName.loc = (yylsp[-1]);
                delete (yyvsp[-1].String);
            }
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedVref);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6956 "ast_parser.cpp"
    break;

  case 36: /* gvardecl: ppub "thread_local" qtypedef "variable reference"  */
#line 668 "ast_parser.ypp"
                                                 {
            ASTModifiers mods(ASTModifier::AM_ThreadLocal);
            if ((yyvsp[-3].b))
                mods.add(ASTModifier::AM_Public);
            mods.loc.set((yylsp[-3]), (yylsp[-2]));
            ASTName typeName(ASTNameKind::ANK_QTypedef);
            if ((yyvsp[-1].String)) {
                typeName.name = *((yyvsp[-1].String));
                typeName.loc = (yylsp[-1]);
                delete (yyvsp[-1].String);
            }
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_VarRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.astdecl) = new ASTVariableDeclaration(mods, std::move(typeName), std::move(name));
            (yyval.astdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 6979 "ast_parser.cpp"
    break;

  case 37: /* gvardecl: ppub "thread_local" '(' list ')'  */
#line 686 "ast_parser.ypp"
                                             {
            ASTModifiers mods(ASTModifier::AM_ThreadLocal);
            (yyval.astdecl) = new ASTVarListDeclaration(mods, (yyvsp[-1].list));
            (yyval.astdecl)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 6989 "ast_parser.cpp"
    break;

  case 38: /* top_namespace_decl: nsc_modifiers "namespace" '{' namespace_decls '}'  */
#line 694 "ast_parser.ypp"
                                                        {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Namespace);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.nsdecl) = new ASTNamespaceDeclaration((yyvsp[-4].ui4), std::move(name), (yyvsp[-1].decllist));
            (yyval.nsdecl)->loc.set((yylsp[-4]), (yylsp[0]));
            delete (yyvsp[-1].decllist);
        }
#line 7003 "ast_parser.cpp"
    break;

  case 39: /* top_namespace_decl: nsc_modifiers "namespace" ';'  */
#line 703 "ast_parser.ypp"
                                      {
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_Namespace);
            name.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            (yyval.nsdecl) = new ASTNamespaceDeclaration((yyvsp[-2].ui4), std::move(name));
            (yyval.nsdecl)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 7016 "ast_parser.cpp"
    break;

  case 40: /* top_namespace_decl: nsc_modifiers "namespace" '{' '}'  */
#line 711 "ast_parser.ypp"
                                          {
            ASTName name((yyvsp[-2].string), ASTNameKind::ANK_Namespace);
            name.loc = (yylsp[-2]);
            free((yyvsp[-2].string));

            (yyval.nsdecl) = new ASTNamespaceDeclaration((yyvsp[-3].ui4), std::move(name));
            (yyval.nsdecl)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7029 "ast_parser.cpp"
    break;

  case 41: /* namespace_decls: namespace_decl  */
#line 722 "ast_parser.ypp"
                       {
            (yyval.decllist) = new std::vector<ASTDeclaration*>;
            if ((yyvsp[0].astdecl))
                (yyval.decllist)->push_back((yyvsp[0].astdecl));
        }
#line 7039 "ast_parser.cpp"
    break;

  case 42: /* namespace_decls: namespace_decls namespace_decl  */
#line 727 "ast_parser.ypp"
                                         {
            (yyval.decllist) = (yyvsp[-1].decllist);
            if ((yyvsp[0].astdecl))
                (yyval.decllist)->push_back((yyvsp[0].astdecl));
        }
#line 7049 "ast_parser.cpp"
    break;

  case 43: /* namespace_decl: scoped_const_decl  */
#line 735 "ast_parser.ypp"
                          { (yyval.astdecl) = (yyvsp[0].constdecl); }
#line 7055 "ast_parser.cpp"
    break;

  case 44: /* namespace_decl: unscoped_const_decl  */
#line 736 "ast_parser.ypp"
                              { (yyval.astdecl) = (yyvsp[0].constdecl); }
#line 7061 "ast_parser.cpp"
    break;

  case 45: /* namespace_decl: class_def  */
#line 737 "ast_parser.ypp"
                    { (yyval.astdecl) = (yyvsp[0].classdecl); }
#line 7067 "ast_parser.cpp"
    break;

  case 46: /* namespace_decl: hashdecl_def  */
#line 738 "ast_parser.ypp"
                       { (yyval.astdecl) = (yyvsp[0].hashdecl); }
#line 7073 "ast_parser.cpp"
    break;

  case 47: /* namespace_decl: sub_def  */
#line 739 "ast_parser.ypp"
                  { (yyval.astdecl) = (yyvsp[0].funcdecl); }
#line 7079 "ast_parser.cpp"
    break;

  case 48: /* namespace_decl: scoped_sub_def  */
#line 740 "ast_parser.ypp"
                         { (yyval.astdecl) = (yyvsp[0].funcdecl); }
#line 7085 "ast_parser.cpp"
    break;

  case 49: /* namespace_decl: gvardecl ';'  */
#line 741 "ast_parser.ypp"
                       { (yyval.astdecl) = (yyvsp[-1].astdecl); }
#line 7091 "ast_parser.cpp"
    break;

  case 50: /* namespace_decl: top_namespace_decl  */
#line 742 "ast_parser.ypp"
                             { (yyval.astdecl) = (yyvsp[0].nsdecl); }
#line 7097 "ast_parser.cpp"
    break;

  case 51: /* namespace_decl: outofline_methoddef  */
#line 743 "ast_parser.ypp"
                              { (yyval.astdecl) = (yyvsp[0].funcdecl); }
#line 7103 "ast_parser.cpp"
    break;

  case 52: /* unscoped_const_decl: "const" "identifier" '=' exp ';'  */
#line 747 "ast_parser.ypp"
                                         {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.constdecl) = new ASTConstantDeclaration(std::move(name), (yyvsp[-1].expression));
            (yyval.constdecl)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7116 "ast_parser.cpp"
    break;

  case 53: /* unscoped_const_decl: "public" "const" "identifier" '=' exp ';'  */
#line 755 "ast_parser.ypp"
                                                      {
            ASTModifiers mods(ASTModifier::AM_Public);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.constdecl) = new ASTConstantDeclaration(mods, std::move(name), (yyvsp[-1].expression));
            (yyval.constdecl)->loc.set((yylsp[-5]), (yylsp[0]));
        }
#line 7130 "ast_parser.cpp"
    break;

  case 54: /* scoped_const_decl: "const" "namespace or class-scoped reference" '=' exp ';'  */
#line 767 "ast_parser.ypp"
                                         {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.constdecl) = new ASTConstantDeclaration(std::move(name), (yyvsp[-1].expression));
            (yyval.constdecl)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7143 "ast_parser.cpp"
    break;

  case 55: /* scoped_const_decl: "public" "const" "namespace or class-scoped reference" '=' exp ';'  */
#line 775 "ast_parser.ypp"
                                                      {
            ASTModifiers mods(ASTModifier::AM_Public);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.constdecl) = new ASTConstantDeclaration(mods, std::move(name), (yyvsp[-1].expression));
            (yyval.constdecl)->loc.set((yylsp[-5]), (yylsp[0]));
        }
#line 7157 "ast_parser.cpp"
    break;

  case 56: /* block: '{' statements '}'  */
#line 788 "ast_parser.ypp"
        { (yyval.sblock) = (yyvsp[-1].sblock); }
#line 7163 "ast_parser.cpp"
    break;

  case 57: /* block: '{' '}'  */
#line 790 "ast_parser.ypp"
                              {
            (yyval.sblock) = new ASTStatementBlock;
            (yyval.sblock)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7172 "ast_parser.cpp"
    break;

  case 58: /* statement_or_block: statement  */
#line 797 "ast_parser.ypp"
                  {
            (yyval.sblock) = new ASTStatementBlock;
            (yyval.sblock)->loc = (yylsp[0]);
            (yyval.sblock)->add((yyvsp[0].statement));
        }
#line 7182 "ast_parser.cpp"
    break;

  case 59: /* statement_or_block: block  */
#line 804 "ast_parser.ypp"
        { (yyval.sblock) = (yyvsp[0].sblock); }
#line 7188 "ast_parser.cpp"
    break;

  case 60: /* statements: statement  */
#line 808 "ast_parser.ypp"
                  {
            (yyval.sblock) = new ASTStatementBlock;
            (yyval.sblock)->loc = (yylsp[0]);
            (yyval.sblock)->add((yyvsp[0].statement));
        }
#line 7198 "ast_parser.cpp"
    break;

  case 61: /* statements: block  */
#line 813 "ast_parser.ypp"
                {
            (yyval.sblock) = new ASTStatementBlock;
            (yyval.sblock)->loc = (yylsp[0]);
            (yyval.sblock)->add((yyvsp[0].sblock));
        }
#line 7208 "ast_parser.cpp"
    break;

  case 62: /* statements: statements block  */
#line 818 "ast_parser.ypp"
                           {
            (yyvsp[-1].sblock)->add((yyvsp[0].sblock));
            (yyvsp[-1].sblock)->loc.setLast((yylsp[0]));
            (yyval.sblock) = (yyvsp[-1].sblock);
        }
#line 7218 "ast_parser.cpp"
    break;

  case 63: /* statements: statements statement  */
#line 823 "ast_parser.ypp"
                               {
            (yyvsp[-1].sblock)->add((yyvsp[0].statement));
            (yyvsp[-1].sblock)->loc.setLast((yylsp[0]));
            (yyval.sblock) = (yyvsp[-1].sblock);
        }
#line 7228 "ast_parser.cpp"
    break;

  case 64: /* optname: %empty  */
#line 832 "ast_parser.ypp"
        { (yyval.nameexpr) = 0; }
#line 7234 "ast_parser.cpp"
    break;

  case 65: /* optname: "identifier"  */
#line 833 "ast_parser.ypp"
                     {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.nameexpr) = new ASTNameExpression(std::move(name));
        }
#line 7245 "ast_parser.cpp"
    break;

  case 66: /* statement: ';'  */
#line 842 "ast_parser.ypp"
            {
            (yyval.statement) = new ASTStatementBlock;
            (yyval.statement)->loc = (yylsp[0]);
        }
#line 7254 "ast_parser.cpp"
    break;

  case 67: /* statement: exp_n ';'  */
#line 846 "ast_parser.ypp"
                    {
            (yyval.statement) = new ASTExpressionStatement((yyvsp[-1].expression));
            (yyval.statement)->loc.setLast((yylsp[0]));
        }
#line 7263 "ast_parser.cpp"
    break;

  case 68: /* statement: "namespace or class-scoped reference" '(' myexp ')' ';'  */
#line 851 "ast_parser.ypp"
                                       {
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.statement) = new ASTCallStatement(new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-2].expression)));
            (yyval.statement)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7276 "ast_parser.cpp"
    break;

  case 69: /* statement: try_statement  */
#line 859 "ast_parser.ypp"
                        { (yyval.statement) = (yyvsp[0].statement); }
#line 7282 "ast_parser.cpp"
    break;

  case 70: /* statement: "rethrow" ';'  */
#line 860 "ast_parser.ypp"
                          {
            (yyval.statement) = new ASTRethrowStatement;
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7291 "ast_parser.cpp"
    break;

  case 71: /* statement: "rethrow" exp ';'  */
#line 864 "ast_parser.ypp"
                              {
            (yyval.statement) = new ASTRethrowStatement((yyvsp[-1].expression));
            (yyval.statement)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 7300 "ast_parser.cpp"
    break;

  case 72: /* statement: "throw" exp ';'  */
#line 868 "ast_parser.ypp"
                            {
            (yyval.statement) = new ASTThrowStatement((yyvsp[-1].expression));
            (yyval.statement)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 7309 "ast_parser.cpp"
    break;

  case 73: /* statement: "on_exit" statement_or_block  */
#line 872 "ast_parser.ypp"
                                         {
            (yyval.statement) = new ASTOnBlockExitStatement((yyvsp[0].sblock), ASTOnBlockExitStatement::Condition::AOBEC_Exit);
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7318 "ast_parser.cpp"
    break;

  case 74: /* statement: "on_success" statement_or_block  */
#line 876 "ast_parser.ypp"
                                            {
            (yyval.statement) = new ASTOnBlockExitStatement((yyvsp[0].sblock), ASTOnBlockExitStatement::Condition::AOBEC_Success);
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7327 "ast_parser.cpp"
    break;

  case 75: /* statement: "on_error" statement_or_block  */
#line 880 "ast_parser.ypp"
                                          {
            (yyval.statement) = new ASTOnBlockExitStatement((yyvsp[0].sblock), ASTOnBlockExitStatement::Condition::AOBEC_Error);
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7336 "ast_parser.cpp"
    break;

  case 76: /* statement: "subcontext" context_mods statement_or_block  */
#line 884 "ast_parser.ypp"
                                                          {
            (yyval.statement) = new ASTContextStatement(nullptr, nullptr, (yyvsp[-1].cmodlist), (yyvsp[0].sblock), true);
            (yyval.statement)->loc.set((yylsp[-2]), (yylsp[0]));
            delete (yyvsp[-1].cmodlist);
        }
#line 7346 "ast_parser.cpp"
    break;

  case 77: /* statement: "summarize" optname '(' exp ')' "by" '(' exp ')' context_mods statement_or_block  */
#line 889 "ast_parser.ypp"
                                                                                               {
            (yyval.statement) = new ASTSummarizeStatement((yyvsp[-9].nameexpr), (yyvsp[-7].expression), (yyvsp[-3].expression), (yyvsp[-1].cmodlist), (yyvsp[0].sblock));
            (yyval.statement)->loc.set((yylsp[-10]), (yylsp[0]));
            delete (yyvsp[-1].cmodlist);
        }
#line 7356 "ast_parser.cpp"
    break;

  case 78: /* statement: "context" optname '(' exp ')' context_mods statement_or_block  */
#line 894 "ast_parser.ypp"
                                                                          {
            (yyval.statement) = new ASTContextStatement((yyvsp[-5].nameexpr), (yyvsp[-3].expression), (yyvsp[-1].cmodlist), (yyvsp[0].sblock));
            (yyval.statement)->loc.set((yylsp[-6]), (yylsp[0]));
            delete (yyvsp[-1].cmodlist);
        }
#line 7366 "ast_parser.cpp"
    break;

  case 79: /* statement: "if" '(' exp ')' statement_or_block  */
#line 899 "ast_parser.ypp"
                                                          {
            (yyval.statement) = new ASTIfStatement((yyvsp[-2].expression), (yyvsp[0].sblock), nullptr);
            (yyval.statement)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7375 "ast_parser.cpp"
    break;

  case 80: /* statement: "if" '(' exp ')' statement_or_block "else" statement_or_block  */
#line 903 "ast_parser.ypp"
                                                                            {
            (yyval.statement) = new ASTIfStatement((yyvsp[-4].expression), (yyvsp[-2].sblock), (yyvsp[0].sblock));
            (yyval.statement)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 7384 "ast_parser.cpp"
    break;

  case 81: /* statement: "while" '(' exp ')' statement_or_block  */
#line 907 "ast_parser.ypp"
                                                   {
            (yyval.statement) = new ASTWhileStatement((yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.statement)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7393 "ast_parser.cpp"
    break;

  case 82: /* statement: "do" statement_or_block "while" '(' exp ')' ';'  */
#line 911 "ast_parser.ypp"
                                                              {
            (yyval.statement) = new ASTDoWhileStatement((yyvsp[-2].expression), (yyvsp[-5].sblock));
            (yyval.statement)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 7402 "ast_parser.cpp"
    break;

  case 83: /* statement: "for" '(' myexp ';' myexp ';' myexp ')' statement_or_block  */
#line 915 "ast_parser.ypp"
                                                                       {
            (yyval.statement) = new ASTForStatement((yyvsp[-6].expression), (yyvsp[-4].expression), (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.statement)->loc.set((yylsp[-8]), (yylsp[0]));
        }
#line 7411 "ast_parser.cpp"
    break;

  case 84: /* statement: "foreach" exp "in" '(' exp ')' statement_or_block  */
#line 919 "ast_parser.ypp"
                                                                {
            (yyval.statement) = new ASTForeachStatement((yyvsp[-5].expression), (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.statement)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 7420 "ast_parser.cpp"
    break;

  case 85: /* statement: return_statement ';'  */
#line 923 "ast_parser.ypp"
                               {
            (yyval.statement) = (yyvsp[-1].statement);
            (yyval.statement)->loc.setLast((yylsp[0]));
        }
#line 7429 "ast_parser.cpp"
    break;

  case 86: /* statement: "thread_exit" ';'  */
#line 927 "ast_parser.ypp"
                              {
            (yyval.statement) = new ASTThreadExitStatement;
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7438 "ast_parser.cpp"
    break;

  case 87: /* statement: "break" ';'  */
#line 931 "ast_parser.ypp"
                        {
            (yyval.statement) = new ASTBreakStatement;
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7447 "ast_parser.cpp"
    break;

  case 88: /* statement: "continue" ';'  */
#line 935 "ast_parser.ypp"
                           {
            (yyval.statement) = new ASTContinueStatement;
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7456 "ast_parser.cpp"
    break;

  case 89: /* statement: switch_statement  */
#line 939 "ast_parser.ypp"
                           { (yyval.statement) = (yyvsp[0].statement); }
#line 7462 "ast_parser.cpp"
    break;

  case 90: /* statement: error ';'  */
#line 940 "ast_parser.ypp"
                           { (yyval.statement) = 0; }
#line 7468 "ast_parser.cpp"
    break;

  case 91: /* context_mods: %empty  */
#line 945 "ast_parser.ypp"
        { (yyval.cmodlist) = 0; }
#line 7474 "ast_parser.cpp"
    break;

  case 92: /* context_mods: context_mods context_mod  */
#line 946 "ast_parser.ypp"
                                   {
            if (!(yyvsp[-1].cmodlist))
                (yyval.cmodlist) = new std::vector<ASTContextModExpression*>;
            else
                (yyval.cmodlist) = (yyvsp[-1].cmodlist);
            (yyval.cmodlist)->push_back((yyvsp[0].cmodexpr));
        }
#line 7486 "ast_parser.cpp"
    break;

  case 93: /* context_mod: "where" '(' exp ')'  */
#line 956 "ast_parser.ypp"
                              {
            (yyval.cmodexpr) = new ASTContextModExpression(ACMEKind::ACMEK_Where, (yyvsp[-1].expression));
            (yyval.cmodexpr)->loc.setFirst((yylsp[-3]));
        }
#line 7495 "ast_parser.cpp"
    break;

  case 94: /* context_mod: "sortBy" '(' exp ')'  */
#line 960 "ast_parser.ypp"
                                  {
            (yyval.cmodexpr) = new ASTContextModExpression(ACMEKind::ACMEK_SortBy, (yyvsp[-1].expression));
            (yyval.cmodexpr)->loc.setFirst((yylsp[-3]));
        }
#line 7504 "ast_parser.cpp"
    break;

  case 95: /* context_mod: "sortDescendingBy" '(' exp ')'  */
#line 964 "ast_parser.ypp"
                                             {
            (yyval.cmodexpr) = new ASTContextModExpression(ACMEKind::ACMEK_SortDescBy, (yyvsp[-1].expression));
            (yyval.cmodexpr)->loc.setFirst((yylsp[-3]));
        }
#line 7513 "ast_parser.cpp"
    break;

  case 96: /* return_statement: "return"  */
#line 971 "ast_parser.ypp"
                   {
            (yyval.statement) = new ASTReturnStatement;
            (yyval.statement)->loc = (yylsp[0]);
        }
#line 7522 "ast_parser.cpp"
    break;

  case 97: /* return_statement: "return" exp  */
#line 976 "ast_parser.ypp"
                       {
            (yyval.statement) = new ASTReturnStatement((yyvsp[0].expression));
            (yyval.statement)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7531 "ast_parser.cpp"
    break;

  case 98: /* switch_statement: "switch" '(' exp ')' '{' case_block '}'  */
#line 983 "ast_parser.ypp"
                                                  {
            (yyval.statement) = new ASTSwitchStatement((yyvsp[-4].expression), (yyvsp[-1].switchexpr));
            (yyval.statement)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 7540 "ast_parser.cpp"
    break;

  case 99: /* case_block: case_code  */
#line 990 "ast_parser.ypp"
                  {
            (yyval.switchexpr) = new ASTSwitchBodyExpression;
            (yyval.switchexpr)->cases.push_back((yyvsp[0].caseexpr));
            (yyval.switchexpr)->loc = (yylsp[0]);
        }
#line 7550 "ast_parser.cpp"
    break;

  case 100: /* case_block: case_block case_code  */
#line 995 "ast_parser.ypp"
                               {
            (yyvsp[-1].switchexpr)->cases.push_back((yyvsp[0].caseexpr));
            (yyvsp[-1].switchexpr)->loc.setLast((yylsp[0]));
            (yyval.switchexpr) = (yyvsp[-1].switchexpr);
        }
#line 7560 "ast_parser.cpp"
    break;

  case 101: /* case_code: "case" ">= operator" exp ':' statements  */
#line 1003 "ast_parser.ypp"
                                               {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_GreaterThanOrEquals, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7569 "ast_parser.cpp"
    break;

  case 102: /* case_code: "case" WS_LOGICAL_GE exp ':' statements  */
#line 1007 "ast_parser.ypp"
                                                    {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_WS_LOGICAL_GE, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7578 "ast_parser.cpp"
    break;

  case 103: /* case_code: "case" ">= operator" exp ':'  */
#line 1011 "ast_parser.ypp"
                                      { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_GreaterThanOrEquals, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7587 "ast_parser.cpp"
    break;

  case 104: /* case_code: "case" WS_LOGICAL_GE exp ':'  */
#line 1015 "ast_parser.ypp"
                                         { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_WS_LOGICAL_GE, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7596 "ast_parser.cpp"
    break;

  case 105: /* case_code: "case" "<= operator" exp ':' statements  */
#line 1019 "ast_parser.ypp"
                                                 {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_LessThanOrEquals, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7605 "ast_parser.cpp"
    break;

  case 106: /* case_code: "case" WS_LOGICAL_LE exp ':' statements  */
#line 1023 "ast_parser.ypp"
                                                    {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_WS_LOGICAL_LE, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7614 "ast_parser.cpp"
    break;

  case 107: /* case_code: "case" "<= operator" exp ':'  */
#line 1027 "ast_parser.ypp"
                                      { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_LessThanOrEquals, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7623 "ast_parser.cpp"
    break;

  case 108: /* case_code: "case" WS_LOGICAL_LE exp ':'  */
#line 1031 "ast_parser.ypp"
                                         { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_WS_LOGICAL_LE, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7632 "ast_parser.cpp"
    break;

  case 109: /* case_code: "case" "== operator" exp ':' statements  */
#line 1035 "ast_parser.ypp"
                                                 {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_Equals, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7641 "ast_parser.cpp"
    break;

  case 110: /* case_code: "case" WS_LOGICAL_EQ exp ':' statements  */
#line 1039 "ast_parser.ypp"
                                                    {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_WS_LOGICAL_EQ, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7650 "ast_parser.cpp"
    break;

  case 111: /* case_code: "case" "== operator" exp ':'  */
#line 1043 "ast_parser.ypp"
                                      { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_Equals, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7659 "ast_parser.cpp"
    break;

  case 112: /* case_code: "case" WS_LOGICAL_EQ exp ':'  */
#line 1047 "ast_parser.ypp"
                                         { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_WS_LOGICAL_EQ, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7668 "ast_parser.cpp"
    break;

  case 113: /* case_code: "case" '<' exp ':' statements  */
#line 1051 "ast_parser.ypp"
                                          {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_LessThan, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7677 "ast_parser.cpp"
    break;

  case 114: /* case_code: "case" '<' exp ':'  */
#line 1055 "ast_parser.ypp"
                               { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_LessThan, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7686 "ast_parser.cpp"
    break;

  case 115: /* case_code: "case" '>' exp ':' statements  */
#line 1059 "ast_parser.ypp"
                                          {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_GreaterThan, (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7695 "ast_parser.cpp"
    break;

  case 116: /* case_code: "case" '>' exp ':'  */
#line 1063 "ast_parser.ypp"
                               { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_GreaterThan, (yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7704 "ast_parser.cpp"
    break;

  case 117: /* case_code: "case" "=~ operator" "regular expression" ':' statements  */
#line 1067 "ast_parser.ypp"
                                                    {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_RegexMatch, (yyvsp[-2].regex), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7713 "ast_parser.cpp"
    break;

  case 118: /* case_code: "case" "=~ operator" "regular expression" ':'  */
#line 1071 "ast_parser.ypp"
                                         { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_RegexMatch, (yyvsp[-1].regex), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7722 "ast_parser.cpp"
    break;

  case 119: /* case_code: "case" "!~ operator" "regular expression" ':' statements  */
#line 1075 "ast_parser.ypp"
                                                     {
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_RegexNotMatch, (yyvsp[-2].regex), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-4]), (yylsp[0]));
        }
#line 7731 "ast_parser.cpp"
    break;

  case 120: /* case_code: "case" "!~ operator" "regular expression" ':'  */
#line 1079 "ast_parser.ypp"
                                          { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(ASTOperatorKind::AOK_RegexNotMatch, (yyvsp[-1].regex), 0);
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7740 "ast_parser.cpp"
    break;

  case 121: /* case_code: "case" "regular expression" ':' statements  */
#line 1083 "ast_parser.ypp"
                                        {
            (yyval.caseexpr) = new ASTCaseExpression((yyvsp[-2].regex), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7749 "ast_parser.cpp"
    break;

  case 122: /* case_code: "case" "regular expression" ':'  */
#line 1087 "ast_parser.ypp"
                             { // nothing
            (yyval.caseexpr) = new ASTCaseExpression((yyvsp[-1].regex), 0);
            (yyval.caseexpr)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 7758 "ast_parser.cpp"
    break;

  case 123: /* case_code: "case" exp ':' statements  */
#line 1091 "ast_parser.ypp"
                                      {
            (yyval.caseexpr) = new ASTCaseExpression((yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.caseexpr)->loc.set((yylsp[-3]), (yylsp[0]));
        }
#line 7767 "ast_parser.cpp"
    break;

  case 124: /* case_code: "case" exp ':'  */
#line 1095 "ast_parser.ypp"
                           { // nothing
            (yyval.caseexpr) = new ASTCaseExpression((yyvsp[-1].expression), 0);
            (yyval.caseexpr)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 7776 "ast_parser.cpp"
    break;

  case 125: /* case_code: "default" ':' statements  */
#line 1099 "ast_parser.ypp"
                                     {
            (yyval.caseexpr) = new ASTCaseExpression(0, (yyvsp[0].sblock), true);
            (yyval.caseexpr)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 7785 "ast_parser.cpp"
    break;

  case 126: /* case_code: "default" ':'  */
#line 1103 "ast_parser.ypp"
                          { // nothing
            (yyval.caseexpr) = new ASTCaseExpression(0, 0, true);
            (yyval.caseexpr)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 7794 "ast_parser.cpp"
    break;

  case 127: /* try_statement: "try" statement_or_block "catch" '(' myexp ')' statement_or_block  */
#line 1110 "ast_parser.ypp"
                                                                              {
            (yyval.statement) = new ASTTryStatement((yyvsp[-5].sblock), (yyvsp[-2].expression), (yyvsp[0].sblock));
            (yyval.statement)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 7803 "ast_parser.cpp"
    break;

  case 128: /* myexp: %empty  */
#line 1117 "ast_parser.ypp"
                     { (yyval.expression) = 0; }
#line 7809 "ast_parser.cpp"
    break;

  case 129: /* myexp: exp  */
#line 1118 "ast_parser.ypp"
                     { (yyval.expression) = (yyvsp[0].expression); }
#line 7815 "ast_parser.cpp"
    break;

  case 130: /* myexp: error  */
#line 1119 "ast_parser.ypp"
                     { (yyval.expression) = 0; }
#line 7821 "ast_parser.cpp"
    break;

  case 131: /* hashdecl_def: nsc_modifiers "hashdecl" "identifier" '{' hashdecl_attributes '}'  */
#line 1123 "ast_parser.ypp"
                                                                          {
            ASTModifiers mods((yyvsp[-5].ui4));
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.hashdecl) = new ASTHashDeclaration(mods, std::move(name), (yyvsp[-1].hashmemberlist));
            (yyval.hashdecl)->loc.set((yylsp[-5]), (yylsp[0]));
            delete (yyvsp[-1].hashmemberlist);
        }
#line 7836 "ast_parser.cpp"
    break;

  case 132: /* hashdecl_def: nsc_modifiers "hashdecl" "namespace or class-scoped reference" '{' hashdecl_attributes '}'  */
#line 1133 "ast_parser.ypp"
                                                                            {
            ASTModifiers mods((yyvsp[-5].ui4));
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.hashdecl) = new ASTHashDeclaration(mods, std::move(name), (yyvsp[-1].hashmemberlist));
            (yyval.hashdecl)->loc.set((yylsp[-5]), (yylsp[0]));
            delete (yyvsp[-1].hashmemberlist);
        }
#line 7851 "ast_parser.cpp"
    break;

  case 133: /* class_def: nsc_modifiers "simple class declaration" inheritance_list '{' class_attributes '}'  */
#line 1146 "ast_parser.ypp"
                                                                             {
            ASTModifiers mods((yyvsp[-5].ui4));
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_ClassString);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.classdecl) = new ASTClassDeclaration(mods, std::move(name), (yyvsp[-3].sclist), (yyvsp[-1].decllist));
            (yyval.classdecl)->loc.set((yylsp[-5]), (yylsp[0]));
            delete (yyvsp[-3].sclist);
            delete (yyvsp[-1].decllist);
        }
#line 7867 "ast_parser.cpp"
    break;

  case 134: /* class_def: nsc_modifiers "scoped class declaration" inheritance_list '{' class_attributes '}'  */
#line 1157 "ast_parser.ypp"
                                                                                   {
            ASTModifiers mods((yyvsp[-5].ui4));
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_ClassScopedRef);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.classdecl) = new ASTClassDeclaration(mods, std::move(name), (yyvsp[-3].sclist), (yyvsp[-1].decllist));
            (yyval.classdecl)->loc.set((yylsp[-5]), (yylsp[0]));
            delete (yyvsp[-3].sclist);
            delete (yyvsp[-1].decllist);
        }
#line 7883 "ast_parser.cpp"
    break;

  case 135: /* class_def: nsc_modifiers "simple class declaration" inheritance_list ';'  */
#line 1168 "ast_parser.ypp"
                                                          {
            ASTModifiers mods((yyvsp[-3].ui4));
            ASTName name((yyvsp[-2].string), ASTNameKind::ANK_ClassString);
            name.loc = (yylsp[-2]);
            free((yyvsp[-2].string));

            (yyval.classdecl) = new ASTClassDeclaration(mods, std::move(name), (yyvsp[-1].sclist));
            (yyval.classdecl)->loc.set((yylsp[-3]), (yylsp[0]));
            delete (yyvsp[-1].sclist);
        }
#line 7898 "ast_parser.cpp"
    break;

  case 136: /* class_def: nsc_modifiers "scoped class declaration" inheritance_list ';'  */
#line 1178 "ast_parser.ypp"
                                                              {
            ASTModifiers mods((yyvsp[-3].ui4));
            ASTName name((yyvsp[-2].string), ASTNameKind::ANK_ClassScopedRef);
            name.loc = (yylsp[-2]);
            free((yyvsp[-2].string));

            (yyval.classdecl) = new ASTClassDeclaration(mods, std::move(name), (yyvsp[-1].sclist));
            (yyval.classdecl)->loc.set((yylsp[-3]), (yylsp[0]));
            delete (yyvsp[-1].sclist);
        }
#line 7913 "ast_parser.cpp"
    break;

  case 137: /* class_def: nsc_modifiers "simple class declaration" inheritance_list '{' '}'  */
#line 1188 "ast_parser.ypp"
                                                              {
            ASTModifiers mods((yyvsp[-4].ui4));
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_ClassString);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.classdecl) = new ASTClassDeclaration(mods, std::move(name), (yyvsp[-2].sclist));
            (yyval.classdecl)->loc.set((yylsp[-4]), (yylsp[0]));
            delete (yyvsp[-2].sclist);
        }
#line 7928 "ast_parser.cpp"
    break;

  case 138: /* class_def: nsc_modifiers "scoped class declaration" inheritance_list '{' '}'  */
#line 1198 "ast_parser.ypp"
                                                                  {
            ASTModifiers mods((yyvsp[-4].ui4));
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_ClassScopedRef);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.classdecl) = new ASTClassDeclaration(mods, std::move(name), (yyvsp[-2].sclist));
            (yyval.classdecl)->loc.set((yylsp[-4]), (yylsp[0]));
            delete (yyvsp[-2].sclist);
        }
#line 7943 "ast_parser.cpp"
    break;

  case 139: /* inheritance_list: "inherits" superclass_list  */
#line 1211 "ast_parser.ypp"
                                     {
            (yyval.sclist) = (yyvsp[0].sclist);
        }
#line 7951 "ast_parser.cpp"
    break;

  case 140: /* inheritance_list: %empty  */
#line 1214 "ast_parser.ypp"
          { // NOTHING
            (yyval.sclist) = 0;
        }
#line 7959 "ast_parser.cpp"
    break;

  case 141: /* superclass_list: superclass  */
#line 1220 "ast_parser.ypp"
                   {
            (yyval.sclist) = new std::vector<ASTSuperclassDeclaration*>;
            (yyval.sclist)->push_back((yyvsp[0].sclassdecl));
        }
#line 7968 "ast_parser.cpp"
    break;

  case 142: /* superclass_list: superclass_list ',' superclass  */
#line 1224 "ast_parser.ypp"
                                         {
            (yyvsp[-2].sclist)->push_back((yyvsp[0].sclassdecl));
            (yyval.sclist) = (yyvsp[-2].sclist);
        }
#line 7977 "ast_parser.cpp"
    break;

  case 143: /* superclass: "identifier"  */
#line 1231 "ast_parser.ypp"
                   {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.sclassdecl) = new ASTSuperclassDeclaration(std::move(name));
        }
#line 7988 "ast_parser.cpp"
    break;

  case 144: /* superclass: "namespace or class-scoped reference"  */
#line 1237 "ast_parser.ypp"
                     {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.sclassdecl) = new ASTSuperclassDeclaration(std::move(name));
        }
#line 7999 "ast_parser.cpp"
    break;

  case 145: /* superclass: "public" "identifier"  */
#line 1243 "ast_parser.ypp"
                                {
            ASTModifiers mods(ASTModifier::AM_Public);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8013 "ast_parser.cpp"
    break;

  case 146: /* superclass: "public" "namespace or class-scoped reference"  */
#line 1252 "ast_parser.ypp"
                                {
            ASTModifiers mods(ASTModifier::AM_Public);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8027 "ast_parser.cpp"
    break;

  case 147: /* superclass: "private" "identifier"  */
#line 1261 "ast_parser.ypp"
                                 {
            ASTModifiers mods(ASTModifier::AM_Private);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8041 "ast_parser.cpp"
    break;

  case 148: /* superclass: "private" "namespace or class-scoped reference"  */
#line 1270 "ast_parser.ypp"
                                 {
            ASTModifiers mods(ASTModifier::AM_Private);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8055 "ast_parser.cpp"
    break;

  case 149: /* superclass: "private:hierarchy" "identifier"  */
#line 1279 "ast_parser.ypp"
                                          {
            ASTModifiers mods(ASTModifier::AM_PrivateHierarchy);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8069 "ast_parser.cpp"
    break;

  case 150: /* superclass: "private:hierarchy" "namespace or class-scoped reference"  */
#line 1288 "ast_parser.ypp"
                                          {
            ASTModifiers mods(ASTModifier::AM_PrivateHierarchy);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8083 "ast_parser.cpp"
    break;

  case 151: /* superclass: "private:internal" "identifier"  */
#line 1297 "ast_parser.ypp"
                                         {
            ASTModifiers mods(ASTModifier::AM_PrivateInternal);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8097 "ast_parser.cpp"
    break;

  case 152: /* superclass: "private:internal" "namespace or class-scoped reference"  */
#line 1306 "ast_parser.ypp"
                                         {
            ASTModifiers mods(ASTModifier::AM_PrivateInternal);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            (yyval.sclassdecl) = new ASTSuperclassDeclaration(mods, std::move(name));
            (yyval.sclassdecl)->loc.setFirst((yylsp[-1]));
        }
#line 8111 "ast_parser.cpp"
    break;

  case 153: /* hashdecl_attributes: hashdecl_member  */
#line 1318 "ast_parser.ypp"
                        {
            (yyval.hashmemberlist) = new std::vector<ASTHashMemberDeclaration*>;
            (yyval.hashmemberlist)->push_back((yyvsp[0].hashmember));
        }
#line 8120 "ast_parser.cpp"
    break;

  case 154: /* hashdecl_attributes: hashdecl_attributes hashdecl_member  */
#line 1322 "ast_parser.ypp"
                                              {
            (yyval.hashmemberlist) = (yyvsp[-1].hashmemberlist);
            (yyvsp[-1].hashmemberlist)->push_back((yyvsp[0].hashmember));
        }
#line 8129 "ast_parser.cpp"
    break;

  case 155: /* hashdecl_member: uncqtypedef "identifier" ';'  */
#line 1329 "ast_parser.ypp"
                                   {
            ASTName typeName((yyvsp[-2].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-2]);
            delete (yyvsp[-2].String);
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            (yyval.hashmember) = new ASTHashMemberDeclaration(std::move(typeName), std::move(name));
            (yyval.hashmember)->loc.set((yylsp[-2]), (yylsp[-1]));
        }
#line 8145 "ast_parser.cpp"
    break;

  case 156: /* hashdecl_member: uncqtypedef "identifier" '=' exp ';'  */
#line 1340 "ast_parser.ypp"
                                             {
            ASTName typeName((yyvsp[-4].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-4]);
            delete (yyvsp[-4].String);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.hashmember) = new ASTHashMemberDeclaration(std::move(typeName), std::move(name), (yyvsp[-1].expression));
            (yyval.hashmember)->loc.set((yylsp[-4]), (yylsp[-1]));
        }
#line 8161 "ast_parser.cpp"
    break;

  case 157: /* hashdecl_member: uncqtypedef "identifier" '(' myexp ')' ';'  */
#line 1351 "ast_parser.ypp"
                                                   {
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.hashmember) = new ASTHashMemberDeclaration(std::move(typeName), std::move(name), (yyvsp[-2].expression), true);
            (yyval.hashmember)->loc.set((yylsp[-5]), (yylsp[-1]));
        }
#line 8177 "ast_parser.cpp"
    break;

  case 158: /* class_attributes: inline_methoddef  */
#line 1365 "ast_parser.ypp"
                         {
            (yyval.decllist) = new std::vector<ASTDeclaration*>;
            (yyval.decllist)->push_back((yyvsp[0].funcdecl));
        }
#line 8186 "ast_parser.cpp"
    break;

  case 159: /* class_attributes: internal_member_list  */
#line 1369 "ast_parser.ypp"
                               {
            (yyval.decllist) = new std::vector<ASTDeclaration*>;
            (yyval.decllist)->push_back((yyvsp[0].membergroup));
        }
#line 8195 "ast_parser.cpp"
    break;

  case 160: /* class_attributes: private_member_list  */
#line 1373 "ast_parser.ypp"
                              {
            (yyval.decllist) = new std::vector<ASTDeclaration*>;
            (yyval.decllist)->push_back((yyvsp[0].membergroup));
        }
#line 8204 "ast_parser.cpp"
    break;

  case 161: /* class_attributes: public_member_list  */
#line 1377 "ast_parser.ypp"
                             {
            (yyval.decllist) = new std::vector<ASTDeclaration*>;
            (yyval.decllist)->push_back((yyvsp[0].membergroup));
        }
#line 8213 "ast_parser.cpp"
    break;

  case 162: /* class_attributes: unscoped_const_decl  */
#line 1381 "ast_parser.ypp"
                              {
            (yyval.decllist) = new std::vector<ASTDeclaration*>;
            (yyval.decllist)->push_back((yyvsp[0].constdecl));
        }
#line 8222 "ast_parser.cpp"
    break;

  case 163: /* class_attributes: class_attributes inline_methoddef  */
#line 1385 "ast_parser.ypp"
                                            {
            (yyval.decllist) = (yyvsp[-1].decllist);
            (yyvsp[-1].decllist)->push_back((yyvsp[0].funcdecl));
        }
#line 8231 "ast_parser.cpp"
    break;

  case 164: /* class_attributes: class_attributes internal_member_list  */
#line 1389 "ast_parser.ypp"
                                                {
            (yyval.decllist) = (yyvsp[-1].decllist);
            (yyvsp[-1].decllist)->push_back((yyvsp[0].membergroup));
        }
#line 8240 "ast_parser.cpp"
    break;

  case 165: /* class_attributes: class_attributes private_member_list  */
#line 1393 "ast_parser.ypp"
                                               {
            (yyval.decllist) = (yyvsp[-1].decllist);
            (yyvsp[-1].decllist)->push_back((yyvsp[0].membergroup));
        }
#line 8249 "ast_parser.cpp"
    break;

  case 166: /* class_attributes: class_attributes public_member_list  */
#line 1397 "ast_parser.ypp"
                                              {
            (yyval.decllist) = (yyvsp[-1].decllist);
            (yyvsp[-1].decllist)->push_back((yyvsp[0].membergroup));
        }
#line 8258 "ast_parser.cpp"
    break;

  case 167: /* class_attributes: class_attributes unscoped_const_decl  */
#line 1401 "ast_parser.ypp"
                                               {
            (yyval.decllist) = (yyvsp[-1].decllist);
            (yyvsp[-1].decllist)->push_back((yyvsp[0].constdecl));
        }
#line 8267 "ast_parser.cpp"
    break;

  case 168: /* uncqtypedef: "identifier"  */
#line 1408 "ast_parser.ypp"
                   {
            (yyval.String) = new std::string((yyvsp[0].string));
            free((yyvsp[0].string));
        }
#line 8276 "ast_parser.cpp"
    break;

  case 169: /* uncqtypedef: "namespace or class-scoped reference"  */
#line 1412 "ast_parser.ypp"
                     {
            (yyval.String) = new std::string((yyvsp[0].string));
            free((yyvsp[0].string));
        }
#line 8285 "ast_parser.cpp"
    break;

  case 170: /* uncqtypedef: "complex type identifier"  */
#line 1416 "ast_parser.ypp"
                           {
            (yyval.String) = new std::string((yyvsp[0].string));
            free((yyvsp[0].string));
        }
#line 8294 "ast_parser.cpp"
    break;

  case 171: /* uncqtypedef: '*' "identifier"  */
#line 1420 "ast_parser.ypp"
                         {
            (yyval.String) = new std::string("*");
            (yyval.String)->append((yyvsp[0].string));
            free((yyvsp[0].string));
        }
#line 8304 "ast_parser.cpp"
    break;

  case 172: /* uncqtypedef: '*' "namespace or class-scoped reference"  */
#line 1425 "ast_parser.ypp"
                         {
            (yyval.String) = new std::string("*");
            (yyval.String)->append((yyvsp[0].string));
            free((yyvsp[0].string));
        }
#line 8314 "ast_parser.cpp"
    break;

  case 173: /* uncqtypedef: '*' "complex type identifier"  */
#line 1430 "ast_parser.ypp"
                               {
            (yyval.String) = new std::string("*");
            (yyval.String)->append((yyvsp[0].string));
            free((yyvsp[0].string));
        }
#line 8324 "ast_parser.cpp"
    break;

  case 174: /* qtypedef: %empty  */
#line 1439 "ast_parser.ypp"
        { (yyval.String) = 0; }
#line 8330 "ast_parser.cpp"
    break;

  case 175: /* qtypedef: uncqtypedef  */
#line 1440 "ast_parser.ypp"
                      {
            (yyval.String) = (yyvsp[0].String);
        }
#line 8338 "ast_parser.cpp"
    break;

  case 176: /* internal_member_list: "private:internal" member_list ';'  */
#line 1446 "ast_parser.ypp"
                                            {
            ASTModifiers mods(ASTModifier::AM_PrivateInternal);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8349 "ast_parser.cpp"
    break;

  case 177: /* internal_member_list: "private:internal" '{' member_list2 '}'  */
#line 1452 "ast_parser.ypp"
                                                   {
            ASTModifiers mods(ASTModifier::AM_PrivateInternal);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-3]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8360 "ast_parser.cpp"
    break;

  case 178: /* internal_member_list: "private:internal" '{' '}'  */
#line 1458 "ast_parser.ypp"
                                      {
            ASTModifiers mods(ASTModifier::AM_PrivateInternal);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods);
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 8370 "ast_parser.cpp"
    break;

  case 179: /* private_member_list: "private" member_list ';'  */
#line 1466 "ast_parser.ypp"
                                    {
            ASTModifiers mods(ASTModifier::AM_Private);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8381 "ast_parser.cpp"
    break;

  case 180: /* private_member_list: "private" '{' member_list2 '}'  */
#line 1472 "ast_parser.ypp"
                                           {
            ASTModifiers mods(ASTModifier::AM_Private);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-3]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8392 "ast_parser.cpp"
    break;

  case 181: /* private_member_list: "private" '{' '}'  */
#line 1478 "ast_parser.ypp"
                              {
            ASTModifiers mods(ASTModifier::AM_Private);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods);
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 8402 "ast_parser.cpp"
    break;

  case 182: /* private_member_list: "private:hierarchy" member_list ';'  */
#line 1483 "ast_parser.ypp"
                                               {
            ASTModifiers mods(ASTModifier::AM_PrivateHierarchy);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8413 "ast_parser.cpp"
    break;

  case 183: /* private_member_list: "private:hierarchy" '{' member_list2 '}'  */
#line 1489 "ast_parser.ypp"
                                                    {
            ASTModifiers mods(ASTModifier::AM_PrivateHierarchy);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-3]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8424 "ast_parser.cpp"
    break;

  case 184: /* private_member_list: "private:hierarchy" '{' '}'  */
#line 1495 "ast_parser.ypp"
                                       {
            ASTModifiers mods(ASTModifier::AM_PrivateHierarchy);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods);
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 8434 "ast_parser.cpp"
    break;

  case 185: /* public_member_list: "public" member_list ';'  */
#line 1503 "ast_parser.ypp"
                                   {
            ASTModifiers mods(ASTModifier::AM_Public);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8445 "ast_parser.cpp"
    break;

  case 186: /* public_member_list: "public" '{' member_list2 '}'  */
#line 1509 "ast_parser.ypp"
                                          {
            ASTModifiers mods(ASTModifier::AM_Public);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods, (yyvsp[-1].exprlist));
            (yyval.membergroup)->loc.set((yylsp[-3]), (yylsp[0]));
            delete (yyvsp[-1].exprlist);
        }
#line 8456 "ast_parser.cpp"
    break;

  case 187: /* public_member_list: "public" '{' '}'  */
#line 1515 "ast_parser.ypp"
                             {
            ASTModifiers mods(ASTModifier::AM_Public);
            (yyval.membergroup) = new ASTMemberGroupDeclaration(mods);
            (yyval.membergroup)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 8466 "ast_parser.cpp"
    break;

  case 188: /* classvardecl: "static" uncqtypedef "identifier" ';'  */
#line 1523 "ast_parser.ypp"
                                              {
            ASTModifiers mods(ASTModifier::AM_Static);
            ASTName typeName((yyvsp[-2].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-2]);
            delete (yyvsp[-2].String);
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-3]), (yylsp[-1]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 8484 "ast_parser.cpp"
    break;

  case 189: /* classvardecl: "static" "identifier" ';'  */
#line 1536 "ast_parser.ypp"
                                    {
            ASTModifiers mods(ASTModifier::AM_Static);
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(name)));
            vd->loc.set((yylsp[-2]), (yylsp[-1]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 8499 "ast_parser.cpp"
    break;

  case 190: /* classvardecl: "static" uncqtypedef "identifier" '=' exp ';'  */
#line 1546 "ast_parser.ypp"
                                                        {
            ASTModifiers mods(ASTModifier::AM_Static);
            ASTName typeName((yyvsp[-4].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-4]);
            delete (yyvsp[-4].String);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-5]), (yylsp[-3]));
            (yyval.expression) = new ASTAssignmentExpression(new ASTDeclExpression(vd.release()), (yyvsp[-1].expression));
        }
#line 8517 "ast_parser.cpp"
    break;

  case 191: /* classvardecl: "static" "identifier" '=' exp ';'  */
#line 1559 "ast_parser.ypp"
                                            {
            ASTModifiers mods(ASTModifier::AM_Static);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(name)));
            vd->loc.set((yylsp[-4]), (yylsp[-3]));
            (yyval.expression) = new ASTAssignmentExpression(new ASTDeclExpression(vd.release()), (yyvsp[-1].expression));
        }
#line 8532 "ast_parser.cpp"
    break;

  case 192: /* classvardecl: "static" uncqtypedef "identifier" '(' myexp ')' ';'  */
#line 1569 "ast_parser.ypp"
                                                              {
            ASTModifiers mods(ASTModifier::AM_Static);
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-6]), (yylsp[-4]));
            (yyval.expression) = new ASTCallExpression(new ASTDeclExpression(vd.release()), (yyvsp[-2].expression));
            (yyval.expression)->loc.setLast((yylsp[0]));
        }
#line 8551 "ast_parser.cpp"
    break;

  case 193: /* member2: qtypedef "in-object member reference" ';'  */
#line 1586 "ast_parser.ypp"
                              {
            ASTName typeName((yyvsp[-2].String), ASTNameKind::ANK_QTypedef);
            typeName.loc = (yylsp[-2]);
            delete (yyvsp[-2].String);
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_SelfRef);
            name.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-2]), (yylsp[-1]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
            /*if (parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("reference to '$.%s' with the '$.' prefix is not allowed when parse option 'allow-bare-refs' is set", $2);*/
        }
#line 8570 "ast_parser.cpp"
    break;

  case 194: /* member2: qtypedef "in-object member reference" '=' exp ';'  */
#line 1600 "ast_parser.ypp"
                                        {
            ASTName typeName((yyvsp[-4].String), ASTNameKind::ANK_QTypedef);
            typeName.loc = (yylsp[-4]);
            delete (yyvsp[-4].String);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_SelfRef);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-4]), (yylsp[-3]));
            (yyval.expression) = new ASTAssignmentExpression(new ASTDeclExpression(vd.release()), (yyvsp[-1].expression));
            /*if (parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("reference to '$.%s' with the '$.' prefix is not allowed when parse option 'allow-bare-refs' is set", $2);*/
        }
#line 8589 "ast_parser.cpp"
    break;

  case 195: /* member2: qtypedef "in-object member reference" '(' myexp ')' ';'  */
#line 1614 "ast_parser.ypp"
                                              {
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_QTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_SelfRef);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
            (yyval.expression) = new ASTCallExpression(new ASTDeclExpression(vd.release()), (yyvsp[-2].expression));
            (yyval.expression)->loc.setLast((yylsp[0]));
            /*if (!$1)
                parse_error("cannot call constructor without declaring the class");*/
            /*if (parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("reference to '$.%s' with the '$.' prefix is not allowed when parse option 'allow-bare-refs' is set", $2);*/
        }
#line 8610 "ast_parser.cpp"
    break;

  case 196: /* member2: uncqtypedef "identifier" ';'  */
#line 1630 "ast_parser.ypp"
                                     {
            ASTName typeName((yyvsp[-2].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-2]);
            delete (yyvsp[-2].String);
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
            (yyval.expression) = new ASTDeclExpression(vd.release());
            /*if (!parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("member '%s' declared without '$.' prefix, but parse option 'allow-bare-refs' is not set", $2);*/
        }
#line 8628 "ast_parser.cpp"
    break;

  case 197: /* member2: uncqtypedef "identifier" '=' exp ';'  */
#line 1643 "ast_parser.ypp"
                                             {
            ASTName typeName((yyvsp[-4].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-4]);
            delete (yyvsp[-4].String);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
            (yyval.expression) = new ASTAssignmentExpression(new ASTDeclExpression(vd.release()), (yyvsp[-1].expression));
            /*if (!parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("member '%s' declared without '$.' prefix, but parse option 'allow-bare-refs' is not set", $2);*/
        }
#line 8646 "ast_parser.cpp"
    break;

  case 198: /* member2: uncqtypedef "identifier" '(' myexp ')' ';'  */
#line 1656 "ast_parser.ypp"
                                                   {
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
            (yyval.expression) = new ASTCallExpression(new ASTDeclExpression(vd.release()), (yyvsp[-2].expression));
            (yyval.expression)->loc.setLast((yylsp[0]));
            /*if (!$1)
                parse_error("cannot call constructor without declaring the class");
            if (!parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("member '%s' declared without '$.' prefix, but parse option 'allow-bare-refs' is not set", $2);*/
        }
#line 8667 "ast_parser.cpp"
    break;

  case 199: /* member2: "identifier" ';'  */
#line 1672 "ast_parser.ypp"
                         {
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(name)));
            vd->loc = (yylsp[-1]);
            (yyval.expression) = new ASTDeclExpression(vd.release());
            /*if (!parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("member '%s' declared without '$.' prefix, but parse option 'allow-bare-refs' is not set", $1);*/
        }
#line 8683 "ast_parser.cpp"
    break;

  case 200: /* member2: "identifier" '=' exp ';'  */
#line 1683 "ast_parser.ypp"
                                 {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(name)));
            vd->loc = (yylsp[-3]);
            (yyval.expression) = new ASTAssignmentExpression(new ASTDeclExpression(vd.release()), (yyvsp[-1].expression));
            /*if (!parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("member '%s' declared without '$.' prefix, but parse option 'allow-bare-refs' is not set", $1);*/
        }
#line 8699 "ast_parser.cpp"
    break;

  case 201: /* member2: classvardecl  */
#line 1694 "ast_parser.ypp"
                       {
            (yyval.expression) = (yyvsp[0].expression);
        }
#line 8707 "ast_parser.cpp"
    break;

  case 202: /* member2: unscoped_const_decl  */
#line 1697 "ast_parser.ypp"
                              {
            (yyval.expression) = new ASTDeclExpression((yyvsp[0].constdecl));
        }
#line 8715 "ast_parser.cpp"
    break;

  case 203: /* member: "in-object member reference"  */
#line 1703 "ast_parser.ypp"
                 {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_SelfRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(name)));
            vd->loc = (yylsp[0]);
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 8729 "ast_parser.cpp"
    break;

  case 204: /* member: "in-object member reference" "namespace or class-scoped reference"  */
#line 1712 "ast_parser.ypp"
                              {
            ASTName name((yyvsp[-1].string), ASTNameKind::ANK_SelfAndScopedRef);
            name.name += (yyvsp[0].string);
            name.loc.set((yylsp[-1]), (yylsp[0]));
            free((yyvsp[-1].string));
            free((yyvsp[0].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(name)));
            vd->loc.set((yylsp[-1]), (yylsp[0]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 8745 "ast_parser.cpp"
    break;

  case 205: /* transient_member2: "transient" member2  */
#line 1726 "ast_parser.ypp"
                              {
            switch ((yyvsp[0].expression)->getKind()) {
                case ASTExpressionKind::AEK_Assignment: {
                    ASTAssignmentExpression* e = static_cast<ASTAssignmentExpression*>((yyvsp[0].expression));
                    e->loc.setFirst((yylsp[-1]));
                    ASTDeclExpression* de = static_cast<ASTDeclExpression*>(e->left.get());
                    de->loc.setFirst((yylsp[-1]));
                    ASTVariableDeclaration* d = static_cast<ASTVariableDeclaration*>(de->declaration.get());
                    d->loc.setFirst((yylsp[-1]));
                    d->modifiers.add(AM_Transient);
                    break;
                }
                case ASTExpressionKind::AEK_Call: {
                    ASTCallExpression* e = static_cast<ASTCallExpression*>((yyvsp[0].expression));
                    e->loc.setFirst((yylsp[-1]));
                    ASTDeclExpression* de = static_cast<ASTDeclExpression*>(e->target.get());
                    de->loc.setFirst((yylsp[-1]));
                    ASTVariableDeclaration* d = static_cast<ASTVariableDeclaration*>(de->declaration.get());
                    d->loc.setFirst((yylsp[-1]));
                    d->modifiers.add(AM_Transient);
                    break;
                }
                case ASTExpressionKind::AEK_Decl: {
                    ASTDeclExpression* e = static_cast<ASTDeclExpression*>((yyvsp[0].expression));
                    e->loc.setFirst((yylsp[-1]));
                    ASTVariableDeclaration* d = static_cast<ASTVariableDeclaration*>(e->declaration.get());
                    d->loc.setFirst((yylsp[-1]));
                    d->modifiers.add(AM_Transient);
                    break;
                }
                default: {
                    yyerror(&(yylsp[0]), yyscanner, errorLog, parseTree, "invalid member expression");
                    YYERROR;
                }
            }
            (yyval.expression) = (yyvsp[0].expression);
        }
#line 8787 "ast_parser.cpp"
    break;

  case 206: /* transient_member: "transient" member  */
#line 1766 "ast_parser.ypp"
                             {
            switch ((yyvsp[0].expression)->getKind()) {
                case ASTExpressionKind::AEK_Decl: {
                    ASTDeclExpression* e = static_cast<ASTDeclExpression*>((yyvsp[0].expression));
                    e->loc.setFirst((yylsp[-1]));
                    ASTVariableDeclaration* d = static_cast<ASTVariableDeclaration*>(e->declaration.get());
                    d->loc.setFirst((yylsp[-1]));
                    d->modifiers.add(AM_Transient);
                    break;
                }
                default: {
                    yyerror(&(yylsp[0]), yyscanner, errorLog, parseTree, "invalid member expression");
                    YYERROR;
                }
            }
            (yyval.expression) = (yyvsp[0].expression);
        }
#line 8809 "ast_parser.cpp"
    break;

  case 207: /* member_list: member  */
#line 1786 "ast_parser.ypp"
               {
            (yyval.exprlist) = new std::vector<ASTExpression*>;
            (yyval.exprlist)->push_back((yyvsp[0].expression));
        }
#line 8818 "ast_parser.cpp"
    break;

  case 208: /* member_list: transient_member  */
#line 1790 "ast_parser.ypp"
                           {
            (yyval.exprlist) = new std::vector<ASTExpression*>;
            (yyval.exprlist)->push_back((yyvsp[0].expression));
        }
#line 8827 "ast_parser.cpp"
    break;

  case 209: /* member_list: member_list ',' member  */
#line 1794 "ast_parser.ypp"
                                 {
            (yyvsp[-2].exprlist)->push_back((yyvsp[0].expression));
            (yyval.exprlist) = (yyvsp[-2].exprlist);
        }
#line 8836 "ast_parser.cpp"
    break;

  case 210: /* member_list: member_list ',' transient_member  */
#line 1798 "ast_parser.ypp"
                                           {
            (yyvsp[-2].exprlist)->push_back((yyvsp[0].expression));
            (yyval.exprlist) = (yyvsp[-2].exprlist);
        }
#line 8845 "ast_parser.cpp"
    break;

  case 211: /* member_list2: member2  */
#line 1805 "ast_parser.ypp"
                {
            (yyval.exprlist) = new std::vector<ASTExpression*>;
            (yyval.exprlist)->push_back((yyvsp[0].expression));
        }
#line 8854 "ast_parser.cpp"
    break;

  case 212: /* member_list2: transient_member2  */
#line 1809 "ast_parser.ypp"
                            {
            (yyval.exprlist) = new std::vector<ASTExpression*>;
            (yyval.exprlist)->push_back((yyvsp[0].expression));
        }
#line 8863 "ast_parser.cpp"
    break;

  case 213: /* member_list2: member_list2 member2  */
#line 1813 "ast_parser.ypp"
                               {
            (yyvsp[-1].exprlist)->push_back((yyvsp[0].expression));
            (yyval.exprlist) = (yyvsp[-1].exprlist);
        }
#line 8872 "ast_parser.cpp"
    break;

  case 214: /* member_list2: member_list2 transient_member2  */
#line 1817 "ast_parser.ypp"
                                         {
            (yyvsp[-1].exprlist)->push_back((yyvsp[0].expression));
            (yyval.exprlist) = (yyvsp[-1].exprlist);
        }
#line 8881 "ast_parser.cpp"
    break;

  case 215: /* ident_openparen: "identifier" '('  */
#line 1824 "ast_parser.ypp"
                       {
            (yyval.string) = (yyvsp[-1].string);
        }
#line 8889 "ast_parser.cpp"
    break;

  case 216: /* ident_openparen: "keys" '('  */
#line 1827 "ast_parser.ypp"
                       {
            (yyval.string) = strdup("keys");
        }
#line 8897 "ast_parser.cpp"
    break;

  case 217: /* ident_openparen: "identifier or keyword used as function or method identifier"  */
#line 1830 "ast_parser.ypp"
                                  {
            (yyval.string) = (yyvsp[0].string);
        }
#line 8905 "ast_parser.cpp"
    break;

  case 218: /* inline_methoddef: nsc_modifiers ident_openparen myexp ')' base_constructor_list return_value block  */
#line 1836 "ast_parser.ypp"
                                                                                         {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTName name((yyvsp[-5].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-5]);
            free((yyvsp[-5].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(mods, std::move(name), AFDKind::AFDK_Inline, (yyvsp[-1].expression), (yyvsp[-4].expression), (yyvsp[-2].constrinit), (yyvsp[0].sblock));
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 8919 "ast_parser.cpp"
    break;

  case 219: /* inline_methoddef: nsc_modifiers uncqtypedef ident_openparen myexp ')' base_constructor_list block  */
#line 1845 "ast_parser.ypp"
                                                                                          {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                mods,
                std::move(name),
                AFDKind::AFDK_Inline,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-3].expression), (yyvsp[-1].constrinit), (yyvsp[0].sblock)
            );
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 8942 "ast_parser.cpp"
    break;

  case 220: /* inline_methoddef: nsc_modifiers ident_openparen myexp ')' base_constructor_list return_value ';'  */
#line 1863 "ast_parser.ypp"
                                                                                         {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTName name((yyvsp[-5].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-5]);
            free((yyvsp[-5].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(mods, std::move(name), AFDKind::AFDK_Inline, (yyvsp[-1].expression), (yyvsp[-4].expression), (yyvsp[-2].constrinit));
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 8956 "ast_parser.cpp"
    break;

  case 221: /* inline_methoddef: nsc_modifiers uncqtypedef ident_openparen myexp ')' base_constructor_list ';'  */
#line 1872 "ast_parser.ypp"
                                                                                        {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                mods,
                std::move(name),
                AFDKind::AFDK_Inline,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-3].expression), (yyvsp[-1].constrinit)
            );
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 8979 "ast_parser.cpp"
    break;

  case 222: /* outofline_methoddef: method_modifiers "namespace or class-scoped reference" '(' myexp ')' base_constructor_list return_value block  */
#line 1893 "ast_parser.ypp"
                                                                                           {
            ASTModifiers mods((yyvsp[-7].ui4));
            ASTName name((yyvsp[-6].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-6]);
            free((yyvsp[-6].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(mods, std::move(name), AFDKind::AFDK_Outofline, (yyvsp[-1].expression), (yyvsp[-4].expression), (yyvsp[-2].constrinit), (yyvsp[0].sblock));
            (yyval.funcdecl)->loc.set((yylsp[-7]), (yylsp[0]));
        }
#line 8993 "ast_parser.cpp"
    break;

  case 223: /* outofline_methoddef: method_modifiers uncqtypedef "namespace or class-scoped reference" '(' myexp ')' base_constructor_list block  */
#line 1902 "ast_parser.ypp"
                                                                                            {
            ASTModifiers mods((yyvsp[-7].ui4));
            ASTName typeName((yyvsp[-6].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-6]);
            delete (yyvsp[-6].String);
            ASTName name((yyvsp[-5].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-5]);
            free((yyvsp[-5].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                mods,
                std::move(name),
                AFDKind::AFDK_Outofline,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-3].expression), (yyvsp[-1].constrinit), (yyvsp[0].sblock)
            );
            (yyval.funcdecl)->loc.set((yylsp[-7]), (yylsp[0]));
        }
#line 9016 "ast_parser.cpp"
    break;

  case 224: /* outofline_methoddef: method_modifiers "namespace or class-scoped reference" '(' myexp ')' base_constructor_list return_value ';'  */
#line 1920 "ast_parser.ypp"
                                                                                           {
            ASTModifiers mods((yyvsp[-7].ui4));
            ASTName name((yyvsp[-6].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-6]);
            free((yyvsp[-6].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(mods, std::move(name), AFDKind::AFDK_Outofline, (yyvsp[-1].expression), (yyvsp[-4].expression), (yyvsp[-2].constrinit));
            (yyval.funcdecl)->loc.set((yylsp[-7]), (yylsp[0]));
        }
#line 9030 "ast_parser.cpp"
    break;

  case 225: /* outofline_methoddef: method_modifiers uncqtypedef "namespace or class-scoped reference" '(' myexp ')' base_constructor_list ';'  */
#line 1929 "ast_parser.ypp"
                                                                                          {
            ASTModifiers mods((yyvsp[-7].ui4));
            ASTName typeName((yyvsp[-6].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-6]);
            delete (yyvsp[-6].String);
            ASTName name((yyvsp[-5].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-5]);
            free((yyvsp[-5].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                mods,
                std::move(name),
                AFDKind::AFDK_Outofline,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-3].expression), (yyvsp[-1].constrinit)
            );
            (yyval.funcdecl)->loc.set((yylsp[-7]), (yylsp[0]));
        }
#line 9053 "ast_parser.cpp"
    break;

  case 226: /* outofline_methoddef: "namespace or class-scoped reference" '(' myexp ')' base_constructor_list return_value block  */
#line 1947 "ast_parser.ypp"
                                                                            {
            ASTName name((yyvsp[-6].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-6]);
            free((yyvsp[-6].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(std::move(name), AFDKind::AFDK_Outofline, (yyvsp[-1].expression), (yyvsp[-4].expression), (yyvsp[-2].constrinit), (yyvsp[0].sblock));
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 9066 "ast_parser.cpp"
    break;

  case 227: /* outofline_methoddef: uncqtypedef "namespace or class-scoped reference" '(' myexp ')' base_constructor_list block  */
#line 1955 "ast_parser.ypp"
                                                                           {
            ASTName typeName((yyvsp[-6].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-6]);
            delete (yyvsp[-6].String);
            ASTName name((yyvsp[-5].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-5]);
            free((yyvsp[-5].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                std::move(name),
                AFDKind::AFDK_Outofline,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-3].expression), (yyvsp[-1].constrinit), (yyvsp[0].sblock)
            );
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 9087 "ast_parser.cpp"
    break;

  case 228: /* base_constructor_list: ':' base_constructors  */
#line 1974 "ast_parser.ypp"
                              {
            (yyval.constrinit) = new ASTConstrInitExpression((yyvsp[0].bclist));
            (yyval.constrinit)->loc = (yylsp[0]);
            delete (yyvsp[0].bclist);
        }
#line 9097 "ast_parser.cpp"
    break;

  case 229: /* base_constructor_list: %empty  */
#line 1979 "ast_parser.ypp"
          { // nothing
            (yyval.constrinit) = 0;
        }
#line 9105 "ast_parser.cpp"
    break;

  case 230: /* base_constructors: base_constructor  */
#line 1985 "ast_parser.ypp"
                         {
            (yyval.bclist) = new std::vector<ASTCallExpression*>;
            (yyval.bclist)->push_back((yyvsp[0].callexpr));
        }
#line 9114 "ast_parser.cpp"
    break;

  case 231: /* base_constructors: base_constructors ',' base_constructor  */
#line 1989 "ast_parser.ypp"
                                                 {
            (yyval.bclist) = (yyvsp[-2].bclist);
            (yyvsp[-2].bclist)->push_back((yyvsp[0].callexpr));
        }
#line 9123 "ast_parser.cpp"
    break;

  case 232: /* base_constructor: "identifier" '(' myexp ')'  */
#line 1996 "ast_parser.ypp"
                                 {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));
            (yyval.callexpr) = new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-1].expression));
        }
#line 9134 "ast_parser.cpp"
    break;

  case 233: /* base_constructor: "namespace or class-scoped reference" '(' myexp ')'  */
#line 2002 "ast_parser.ypp"
                                   {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));
            (yyval.callexpr) = new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-1].expression));
        }
#line 9145 "ast_parser.cpp"
    break;

  case 234: /* nsc_modifiers: %empty  */
#line 2012 "ast_parser.ypp"
        { (yyval.ui4) = 0; }
#line 9151 "ast_parser.cpp"
    break;

  case 235: /* nsc_modifiers: method_modifiers  */
#line 2013 "ast_parser.ypp"
                           {
            (yyval.ui4) = (yyvsp[0].ui4);
        }
#line 9159 "ast_parser.cpp"
    break;

  case 236: /* method_modifiers: method_modifier  */
#line 2018 "ast_parser.ypp"
                        { (yyval.ui4) = (yyvsp[0].ui4); }
#line 9165 "ast_parser.cpp"
    break;

  case 237: /* method_modifiers: method_modifiers method_modifier  */
#line 2019 "ast_parser.ypp"
                                           {
            /*if (($1 | $2) == $1)
                parse_error("modifier given twice");*/
            (yyval.ui4) = (yyvsp[-1].ui4) | (yyvsp[0].ui4);
        }
#line 9175 "ast_parser.cpp"
    break;

  case 238: /* method_modifier: "private"  */
#line 2027 "ast_parser.ypp"
                    { (yyval.ui4) = ASTModifier::AM_Private; }
#line 9181 "ast_parser.cpp"
    break;

  case 239: /* method_modifier: "private:hierarchy"  */
#line 2028 "ast_parser.ypp"
                               { (yyval.ui4) = ASTModifier::AM_PrivateHierarchy; }
#line 9187 "ast_parser.cpp"
    break;

  case 240: /* method_modifier: "private:internal"  */
#line 2029 "ast_parser.ypp"
                              { (yyval.ui4) = ASTModifier::AM_PrivateInternal; }
#line 9193 "ast_parser.cpp"
    break;

  case 241: /* method_modifier: "static"  */
#line 2030 "ast_parser.ypp"
                     { (yyval.ui4) = ASTModifier::AM_Static; }
#line 9199 "ast_parser.cpp"
    break;

  case 242: /* method_modifier: "synchronized"  */
#line 2031 "ast_parser.ypp"
                           { (yyval.ui4) = ASTModifier::AM_Synchronized; }
#line 9205 "ast_parser.cpp"
    break;

  case 243: /* method_modifier: "deprecated"  */
#line 2032 "ast_parser.ypp"
                         { (yyval.ui4) = ASTModifier::AM_Deprecated; }
#line 9211 "ast_parser.cpp"
    break;

  case 244: /* method_modifier: "public"  */
#line 2033 "ast_parser.ypp"
                     { (yyval.ui4) = ASTModifier::AM_Public; }
#line 9217 "ast_parser.cpp"
    break;

  case 245: /* method_modifier: "final"  */
#line 2034 "ast_parser.ypp"
                    { (yyval.ui4) = ASTModifier::AM_Final; }
#line 9223 "ast_parser.cpp"
    break;

  case 246: /* method_modifier: "abstract"  */
#line 2035 "ast_parser.ypp"
                       { (yyval.ui4) = ASTModifier::AM_Abstract; }
#line 9229 "ast_parser.cpp"
    break;

  case 247: /* return_value: "returns" qtypedef  */
#line 2039 "ast_parser.ypp"
                             {
            if ((yyvsp[0].String)) {
                ASTName typeName((yyvsp[0].String), ASTNameKind::ANK_QTypedef);
                typeName.loc = (yylsp[0]);
                delete (yyvsp[0].String);
                (yyval.expression) = new ASTReturnsExpression(new ASTNameExpression(std::move(typeName)));
            }
            else {
                (yyval.expression) = new ASTReturnsExpression();
            }
            (yyval.expression)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 9246 "ast_parser.cpp"
    break;

  case 248: /* return_value: %empty  */
#line 2052 "ast_parser.ypp"
        { (yyval.expression) = 0; }
#line 9252 "ast_parser.cpp"
    break;

  case 249: /* sub_def: "sub" ident_openparen myexp ')' return_value block  */
#line 2055 "ast_parser.ypp"
                                                             {
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(std::move(name), AFDKind::AFDK_Sub, (yyvsp[-1].expression), (yyvsp[-3].expression), nullptr, (yyvsp[0].sblock));
            (yyval.funcdecl)->loc.set((yylsp[-5]), (yylsp[0]));
        }
#line 9265 "ast_parser.cpp"
    break;

  case 250: /* sub_def: uncqtypedef "sub" ident_openparen myexp ')' block  */
#line 2063 "ast_parser.ypp"
                                                              {
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                std::move(name),
                AFDKind::AFDK_Sub,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-2].expression), nullptr, (yyvsp[0].sblock)
            );
            (yyval.funcdecl)->loc.set((yylsp[-5]), (yylsp[0]));
        }
#line 9286 "ast_parser.cpp"
    break;

  case 251: /* sub_def: method_modifiers "sub" ident_openparen myexp ')' return_value block  */
#line 2079 "ast_parser.ypp"
                                                                                {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(mods, std::move(name), AFDKind::AFDK_Sub, (yyvsp[-1].expression), (yyvsp[-3].expression), nullptr, (yyvsp[0].sblock));
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 9300 "ast_parser.cpp"
    break;

  case 252: /* sub_def: method_modifiers uncqtypedef "sub" ident_openparen myexp ')' block  */
#line 2088 "ast_parser.ypp"
                                                                               {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_IdentOpenParen);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                mods,
                std::move(name),
                AFDKind::AFDK_Sub,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-2].expression), nullptr, (yyvsp[0].sblock)
            );
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 9323 "ast_parser.cpp"
    break;

  case 253: /* scoped_sub_def: "sub" "namespace or class-scoped reference" '(' myexp ')' return_value block  */
#line 2108 "ast_parser.ypp"
                                                            {
            ASTName name((yyvsp[-5].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-5]);
            free((yyvsp[-5].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(std::move(name), AFDKind::AFDK_ScopedSub, (yyvsp[-1].expression), (yyvsp[-3].expression), nullptr, (yyvsp[0].sblock));
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 9336 "ast_parser.cpp"
    break;

  case 254: /* scoped_sub_def: uncqtypedef "sub" "namespace or class-scoped reference" '(' myexp ')' block  */
#line 2116 "ast_parser.ypp"
                                                             {
            ASTName typeName((yyvsp[-6].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-6]);
            delete (yyvsp[-6].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                std::move(name),
                AFDKind::AFDK_ScopedSub,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-2].expression), nullptr, (yyvsp[0].sblock)
            );
            (yyval.funcdecl)->loc.set((yylsp[-6]), (yylsp[0]));
        }
#line 9357 "ast_parser.cpp"
    break;

  case 255: /* scoped_sub_def: method_modifiers "sub" "namespace or class-scoped reference" '(' myexp ')' return_value block  */
#line 2132 "ast_parser.ypp"
                                                                               {
            ASTModifiers mods((yyvsp[-7].ui4));
            ASTName name((yyvsp[-5].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-5]);
            free((yyvsp[-5].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(mods, std::move(name), AFDKind::AFDK_ScopedSub, (yyvsp[-1].expression), (yyvsp[-3].expression), nullptr, (yyvsp[0].sblock));
            (yyval.funcdecl)->loc.set((yylsp[-7]), (yylsp[0]));
        }
#line 9371 "ast_parser.cpp"
    break;

  case 256: /* scoped_sub_def: method_modifiers uncqtypedef "sub" "namespace or class-scoped reference" '(' myexp ')' block  */
#line 2141 "ast_parser.ypp"
                                                                              {
            ASTModifiers mods((yyvsp[-7].ui4));
            ASTName typeName((yyvsp[-6].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-6]);
            delete (yyvsp[-6].String);
            ASTName name((yyvsp[-4].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-4]);
            free((yyvsp[-4].string));

            (yyval.funcdecl) = new ASTFunctionDeclaration(
                mods,
                std::move(name),
                AFDKind::AFDK_ScopedSub,
                new ASTNameExpression(std::move(typeName)),
                (yyvsp[-2].expression), nullptr, (yyvsp[0].sblock)
            );
            (yyval.funcdecl)->loc.set((yylsp[-7]), (yylsp[0]));
        }
#line 9394 "ast_parser.cpp"
    break;

  case 257: /* list: exp ',' exp  */
#line 2162 "ast_parser.ypp"
                    {
            (yyval.list) = new ASTListExpression;
            (yyval.list)->elements.push_back((yyvsp[-2].expression));
            (yyval.list)->elements.push_back((yyvsp[0].expression));
            (yyval.list)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 9405 "ast_parser.cpp"
    break;

  case 258: /* list: exp ','  */
#line 2168 "ast_parser.ypp"
                  {
            if ((yyvsp[-1].expression) && (yyvsp[-1].expression)->getKind() == ASTExpressionKind::AEK_List) {
                (yyval.list) = static_cast<ASTListExpression*>((yyvsp[-1].expression));
            }
            else {
                (yyval.list) = new ASTListExpression;
                (yyval.list)->elements.push_back((yyvsp[-1].expression));
                (yyval.list)->loc = (yylsp[-1]);
            }
        }
#line 9420 "ast_parser.cpp"
    break;

  case 259: /* list_n: exp_n ',' exp  */
#line 2181 "ast_parser.ypp"
                      {
            (yyval.list) = new ASTListExpression;
            (yyval.list)->elements.push_back((yyvsp[-2].expression));
            (yyval.list)->elements.push_back((yyvsp[0].expression));
            (yyval.list)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 9431 "ast_parser.cpp"
    break;

  case 260: /* list_n: exp_n ','  */
#line 2187 "ast_parser.ypp"
                    {
            if ((yyvsp[-1].expression) && (yyvsp[-1].expression)->getKind() == ASTExpressionKind::AEK_List) {
                (yyval.list) = static_cast<ASTListExpression*>((yyvsp[-1].expression));
            }
            else {
                (yyval.list) = new ASTListExpression;
                (yyval.list)->elements.push_back((yyvsp[-1].expression));
                (yyval.list)->loc = (yylsp[-1]);
            }
        }
#line 9446 "ast_parser.cpp"
    break;

  case 261: /* hash: hash_element  */
#line 2200 "ast_parser.ypp"
                     {
            (yyval.hash) = new ASTHashExpression;
            (yyval.hash)->elements.push_back((yyvsp[0].hashelem));
            (yyval.hash)->loc = (yylsp[0]);
        }
#line 9456 "ast_parser.cpp"
    break;

  case 262: /* hash: hash ',' hash_element  */
#line 2205 "ast_parser.ypp"
                                {
            (yyval.hash) = (yyvsp[-2].hash);
            (yyval.hash)->elements.push_back((yyvsp[0].hashelem));
            (yyval.hash)->loc.setLast((yylsp[0]));
        }
#line 9466 "ast_parser.cpp"
    break;

  case 263: /* hash: hash ','  */
#line 2211 "ast_parser.ypp"
        { /* empty ',' on end of hash */ (yyval.hash) = (yyvsp[-1].hash); }
#line 9472 "ast_parser.cpp"
    break;

  case 264: /* hash_element: exp ':' exp  */
#line 2216 "ast_parser.ypp"
        { (yyval.hashelem) = new ASTHashElementExpression((yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 9478 "ast_parser.cpp"
    break;

  case 265: /* alt_hash: '{' hash '}'  */
#line 2220 "ast_parser.ypp"
                     {
            (yyval.hash) = (yyvsp[-1].hash);
        }
#line 9486 "ast_parser.cpp"
    break;

  case 266: /* immediate_typed_hash: "typed hash identifier" hash '}'  */
#line 2226 "ast_parser.ypp"
                                               {
            ASTName hashdecl((yyvsp[-2].string), ASTNameKind::ANK_HashdeclHash);
            hashdecl.loc = (yylsp[-2]);
            free((yyvsp[-2].string));

            (yyval.hashdeclhash) = new ASTHashdeclHashExpression(std::move(hashdecl), (yyvsp[-1].hash));
            (yyval.hashdeclhash)->loc.set((yylsp[-2]), (yylsp[0]));
        }
#line 9499 "ast_parser.cpp"
    break;

  case 267: /* immediate_typed_hash: "typed hash identifier" '}'  */
#line 2234 "ast_parser.ypp"
                                            {
            ASTName hashdecl((yyvsp[-1].string), ASTNameKind::ANK_HashdeclHash);
            hashdecl.loc = (yylsp[-1]);
            free((yyvsp[-1].string));

            (yyval.hashdeclhash) = new ASTHashdeclHashExpression(std::move(hashdecl));
            (yyval.hashdeclhash)->loc.set((yylsp[-1]), (yylsp[0]));
        }
#line 9512 "ast_parser.cpp"
    break;

  case 268: /* exp_c: scalar  */
#line 2246 "ast_parser.ypp"
        { (yyval.expression) = (yyvsp[0].expression); }
#line 9518 "ast_parser.cpp"
    break;

  case 269: /* exp_c: "binary constant value"  */
#line 2248 "ast_parser.ypp"
        { (yyval.expression) = new ASTLiteralExpression(ALEKind::ALEK_Binary, (yyvsp[0].string)); (yyval.expression)->loc = (yylsp[0]); }
#line 9524 "ast_parser.cpp"
    break;

  case 270: /* exp_c: '(' hash ')'  */
#line 2250 "ast_parser.ypp"
        { (yyval.expression) = (yyvsp[-1].hash); }
#line 9530 "ast_parser.cpp"
    break;

  case 271: /* exp_c: "namespace or class-scoped reference"  */
#line 2251 "ast_parser.ypp"
                     {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.expression) = new ASTNameExpression(std::move(name));
        }
#line 9541 "ast_parser.cpp"
    break;

  case 272: /* exp_c: qtypedef "variable reference"  */
#line 2257 "ast_parser.ypp"
                           {
            if ((yyvsp[-1].String)) {
                ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_QTypedef);
                typeName.loc = (yylsp[-1]);
                delete (yyvsp[-1].String);
                ASTName name((yyvsp[0].string), ASTNameKind::ANK_VarRef);
                name.loc = (yylsp[0]);
                free((yyvsp[0].string));

                ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
                vd->loc.set((yylsp[-1]), (yylsp[0]));
                (yyval.expression) = new ASTDeclExpression(vd.release());
            }
            else {
                ASTName name((yyvsp[0].string), ASTNameKind::ANK_VarRef);
                name.loc = (yylsp[0]);
                free((yyvsp[0].string));
                (yyval.expression) = new ASTNameExpression(std::move(name));
            }
        }
#line 9566 "ast_parser.cpp"
    break;

  case 273: /* exp_c: qtypedef "namespace-scoped global variable reference"  */
#line 2277 "ast_parser.ypp"
                               {
            if ((yyvsp[-1].String)) {
                ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_QTypedef);
                typeName.loc = (yylsp[-1]);
                delete (yyvsp[-1].String);
                ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedVref);
                name.loc = (yylsp[0]);
                free((yyvsp[0].string));

                ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
                vd->loc.set((yylsp[-1]), (yylsp[0]));
                (yyval.expression) = new ASTDeclExpression(vd.release());
            }
            else {
                ASTName name((yyvsp[0].string), ASTNameKind::ANK_ScopedVref);
                name.loc = (yylsp[0]);
                free((yyvsp[0].string));
                (yyval.expression) = new ASTNameExpression(std::move(name));
            }
        }
#line 9591 "ast_parser.cpp"
    break;

  case 274: /* exp_c: uncqtypedef "identifier"  */
#line 2297 "ast_parser.ypp"
                                 {
            ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-1]);
            delete (yyvsp[-1].String);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-1]), (yylsp[0]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 9608 "ast_parser.cpp"
    break;

  case 275: /* exp_c: "my" uncqtypedef "identifier"  */
#line 2309 "ast_parser.ypp"
                                        {
            ASTModifiers mods(ASTModifier::AM_My);
            ASTName typeName((yyvsp[-1].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-1]);
            delete (yyvsp[-1].String);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-2]), (yylsp[0]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 9626 "ast_parser.cpp"
    break;

  case 276: /* exp_c: "my" "identifier"  */
#line 2322 "ast_parser.ypp"
                            {
            ASTModifiers mods(ASTModifier::AM_My);
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(name)));
            vd->loc.set((yylsp[-1]), (yylsp[0]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 9641 "ast_parser.cpp"
    break;

  case 277: /* exp_c: "my" qtypedef "variable reference"  */
#line 2332 "ast_parser.ypp"
                                  {
            ASTModifiers mods(ASTModifier::AM_My);
            ASTName typeName(ASTNameKind::ANK_QTypedef);
            if ((yyvsp[-1].String)) {
                typeName.name = *((yyvsp[-1].String));
                typeName.loc = (yylsp[-1]);
                delete (yyvsp[-1].String);
            }
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_VarRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));

            ASTVariableDeclaration::Ptr vd(new ASTVariableDeclaration(mods, std::move(typeName), std::move(name)));
            vd->loc.set((yylsp[-2]), (yylsp[0]));
            (yyval.expression) = new ASTDeclExpression(vd.release());
        }
#line 9662 "ast_parser.cpp"
    break;

  case 278: /* exp_c: "my" '(' list ')'  */
#line 2348 "ast_parser.ypp"
                              {
            ASTModifiers mods(ASTModifier::AM_My);
            ASTVarListDeclaration::Ptr vld(new ASTVarListDeclaration(mods, (yyvsp[-1].list)));
            vld->loc.set((yylsp[-3]), (yylsp[0]));
            (yyval.expression) = new ASTDeclExpression(vld.release());
        }
#line 9673 "ast_parser.cpp"
    break;

  case 279: /* exp_c: gvardecl  */
#line 2354 "ast_parser.ypp"
                   {
            (yyval.expression) = new ASTDeclExpression((yyvsp[0].astdecl));
        }
#line 9681 "ast_parser.cpp"
    break;

  case 280: /* exp_c: "identifier"  */
#line 2357 "ast_parser.ypp"
                     {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.expression) = new ASTNameExpression(std::move(name));
        }
#line 9692 "ast_parser.cpp"
    break;

  case 281: /* exp_c: "context reference"  */
#line 2363 "ast_parser.ypp"
                      {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ContextRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.expression) = new ASTNameExpression(std::move(name));
        }
#line 9703 "ast_parser.cpp"
    break;

  case 282: /* exp_c: "%%"  */
#line 2369 "ast_parser.ypp"
                          {
            (yyval.expression) = new ASTContextRowExpression;
            (yyval.expression)->loc = (yylsp[0]);
        }
#line 9712 "ast_parser.cpp"
    break;

  case 283: /* exp_c: "named context reference"  */
#line 2373 "ast_parser.ypp"
                              {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_ComplexContextRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.expression) = new ASTNameExpression(std::move(name));
        }
#line 9723 "ast_parser.cpp"
    break;

  case 284: /* exp_c: "find" exp "in" exp "where" '(' exp ')'  */
#line 2379 "ast_parser.ypp"
                                                        {
            (yyval.expression) = new ASTFindExpression((yyvsp[-6].expression), (yyvsp[-4].expression), (yyvsp[-1].expression));
            (yyval.expression)->loc.set((yylsp[-7]), (yylsp[0]));
        }
#line 9732 "ast_parser.cpp"
    break;

  case 285: /* exp_c: "exists" exp  */
#line 2383 "ast_parser.ypp"
                         {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Exists);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9741 "ast_parser.cpp"
    break;

  case 286: /* exp_c: "elements" exp  */
#line 2387 "ast_parser.ypp"
                           {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Elements);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9750 "ast_parser.cpp"
    break;

  case 287: /* exp_c: "keys" exp  */
#line 2391 "ast_parser.ypp"
                       {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Keys);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9759 "ast_parser.cpp"
    break;

  case 288: /* exp_c: "unshift" exp  */
#line 2395 "ast_parser.ypp"
                          {  // unshift list, element
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Unshift);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9768 "ast_parser.cpp"
    break;

  case 289: /* exp_c: "shift" exp  */
#line 2399 "ast_parser.ypp"
                        {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Shift);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9777 "ast_parser.cpp"
    break;

  case 290: /* exp_c: "push" exp  */
#line 2403 "ast_parser.ypp"
                       {  // push lvalue-list, element
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Push);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9786 "ast_parser.cpp"
    break;

  case 291: /* exp_c: "pop" exp  */
#line 2407 "ast_parser.ypp"
                      {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Pop);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9795 "ast_parser.cpp"
    break;

  case 292: /* exp_c: "chomp" exp  */
#line 2411 "ast_parser.ypp"
                        {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Chomp);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9804 "ast_parser.cpp"
    break;

  case 293: /* exp_c: "trim" exp  */
#line 2415 "ast_parser.ypp"
                       {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Trim);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9813 "ast_parser.cpp"
    break;

  case 294: /* exp_c: "splice" exp  */
#line 2419 "ast_parser.ypp"
                         {  // splice lvalue-list, offset, [length, list]
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Splice);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9822 "ast_parser.cpp"
    break;

  case 295: /* exp_c: "extract" exp  */
#line 2423 "ast_parser.ypp"
                          {  // extract lvalue-list, offset, [length, list]
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Extract);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9831 "ast_parser.cpp"
    break;

  case 296: /* exp_c: "map" exp  */
#line 2427 "ast_parser.ypp"
                      {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Map);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9840 "ast_parser.cpp"
    break;

  case 297: /* exp_c: "foldr" exp  */
#line 2431 "ast_parser.ypp"
                        {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Foldr);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9849 "ast_parser.cpp"
    break;

  case 298: /* exp_c: "foldl" exp  */
#line 2435 "ast_parser.ypp"
                        {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Foldl);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9858 "ast_parser.cpp"
    break;

  case 299: /* exp_c: "select" exp  */
#line 2439 "ast_parser.ypp"
                         {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Select);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9867 "ast_parser.cpp"
    break;

  case 300: /* exp_c: "++ operator" exp  */
#line 2443 "ast_parser.ypp"
                          {  // pre-increment
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_PreIncrement);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9876 "ast_parser.cpp"
    break;

  case 301: /* exp_c: "-- operator" exp  */
#line 2447 "ast_parser.ypp"
                          {  // pre-decrement
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_PreDecrement);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9885 "ast_parser.cpp"
    break;

  case 302: /* exp_c: "call to base class method" '(' myexp ')'  */
#line 2451 "ast_parser.ypp"
                                        {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_BaseClassCall);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));
            (yyval.expression) = new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-1].expression));
        }
#line 9896 "ast_parser.cpp"
    break;

  case 303: /* exp_c: "identifier or keyword used as function or method identifier" myexp ')'  */
#line 2457 "ast_parser.ypp"
                                            {
            ASTName name((yyvsp[-2].string), ASTNameKind::ANK_KWIdentifier);
            name.loc.setFirst((yylsp[-2]));
            name.loc.lastLine = (yylsp[-2]).lastLine - 1;
            name.loc.lastCol = (yylsp[-2]).lastCol - 1;
            free((yyvsp[-2].string));
            (yyval.expression) = new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-1].expression));
        }
#line 9909 "ast_parser.cpp"
    break;

  case 304: /* exp_c: "in-object member reference"  */
#line 2465 "ast_parser.ypp"
                   {
            ASTName name((yyvsp[0].string), ASTNameKind::ANK_SelfRef);
            name.loc = (yylsp[0]);
            free((yyvsp[0].string));
            (yyval.expression) = new ASTNameExpression(std::move(name));
            /*if (parse_check_parse_option(PO_ALLOW_BARE_REFS))
                parse_error("reference to '$.%s' with the '$.' prefix is not allowed when parse option 'allow-bare-refs' is set", $1);*/
        }
#line 9922 "ast_parser.cpp"
    break;

  case 305: /* exp_c: '-' exp  */
#line 2473 "ast_parser.ypp"
                            {
            // FIXME: need to expand constant expression checking to determine
            //        if the expression can throw an exception at run-time
            // first check for constant expressions
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_UnaryMinus);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9934 "ast_parser.cpp"
    break;

  case 306: /* exp_c: '+' exp  */
#line 2480 "ast_parser.ypp"
                              {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_UnaryPlus);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9943 "ast_parser.cpp"
    break;

  case 307: /* exp_c: '~' exp  */
#line 2484 "ast_parser.ypp"
                  {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_BinaryNot);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9952 "ast_parser.cpp"
    break;

  case 308: /* exp_c: '!' exp  */
#line 2488 "ast_parser.ypp"
                  {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_LogicalNot);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9961 "ast_parser.cpp"
    break;

  case 309: /* exp_c: '\\' exp  */
#line 2492 "ast_parser.ypp"
                   {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Reference);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 9970 "ast_parser.cpp"
    break;

  case 310: /* exp_c: "new" "identifier" '(' myexp ')'  */
#line 2496 "ast_parser.ypp"
                                           {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_Identifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTCallExpression::Ptr ce(new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-1].expression)));
            (yyval.expression) = new ASTUnaryExpression(ce.release(), ASTOperatorKind::AOK_New);
        }
#line 9983 "ast_parser.cpp"
    break;

  case 311: /* exp_c: "new" "namespace or class-scoped reference" '(' myexp ')'  */
#line 2504 "ast_parser.ypp"
                                           {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_ScopedRef);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTCallExpression::Ptr ce(new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-1].expression)));
            (yyval.expression) = new ASTUnaryExpression(ce.release(), ASTOperatorKind::AOK_New);
            (yyval.expression)->loc.setFirst((yylsp[-4]));
        }
#line 9997 "ast_parser.cpp"
    break;

  case 312: /* exp_c: "new" "complex type identifier" '(' myexp ')'  */
#line 2513 "ast_parser.ypp"
                                                 {
            ASTName name((yyvsp[-3].string), ASTNameKind::ANK_AngleIdentifier);
            name.loc = (yylsp[-3]);
            free((yyvsp[-3].string));

            ASTCallExpression::Ptr ce(new ASTCallExpression(new ASTNameExpression(std::move(name)), (yyvsp[-1].expression)));
            (yyval.expression) = new ASTUnaryExpression(ce.release(), ASTOperatorKind::AOK_New);
            (yyval.expression)->loc.setFirst((yylsp[-4]));
        }
#line 10011 "ast_parser.cpp"
    break;

  case 313: /* exp_c: "background" exp  */
#line 2522 "ast_parser.ypp"
                             {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Background);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 10020 "ast_parser.cpp"
    break;

  case 314: /* exp_c: "backquote expression"  */
#line 2526 "ast_parser.ypp"
                    {
            (yyval.expression) = new ASTBackquoteExpression((yyvsp[0].string));
            (yyval.expression)->loc = (yylsp[0]);
            free((yyvsp[0].string));
        }
#line 10030 "ast_parser.cpp"
    break;

  case 315: /* exp_c: '(' exp ')'  */
#line 2531 "ast_parser.ypp"
                      {
            (yyval.expression) = (yyvsp[-1].expression);
        }
#line 10038 "ast_parser.cpp"
    break;

  case 316: /* exp_c: '(' ')'  */
#line 2534 "ast_parser.ypp"
                  { (yyval.expression) = new ASTListExpression; (yyval.expression)->loc.set((yylsp[-1]), (yylsp[0])); }
#line 10044 "ast_parser.cpp"
    break;

  case 317: /* exp_c: "sub" '(' myexp ')' return_value block  */
#line 2535 "ast_parser.ypp"
                                                   {
            ASTClosureDeclaration::Ptr cd(new ASTClosureDeclaration((yyvsp[-1].expression), (yyvsp[-3].expression), (yyvsp[0].sblock)));
            cd->loc.set((yylsp[-5]), (yylsp[0]));
            (yyval.expression) = new ASTClosureExpression(cd.release());
        }
#line 10054 "ast_parser.cpp"
    break;

  case 318: /* exp_c: uncqtypedef "sub" '(' myexp ')' block  */
#line 2540 "ast_parser.ypp"
                                                  {
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);

            ASTClosureDeclaration::Ptr cd(new ASTClosureDeclaration(new ASTNameExpression(std::move(typeName)), (yyvsp[-2].expression), (yyvsp[0].sblock)));
            cd->loc.set((yylsp[-5]), (yylsp[0]));
            (yyval.expression) = new ASTClosureExpression(cd.release());
        }
#line 10068 "ast_parser.cpp"
    break;

  case 319: /* exp_c: method_modifiers "sub" '(' myexp ')' return_value block  */
#line 2549 "ast_parser.ypp"
                                                                    {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTClosureDeclaration::Ptr cd(new ASTClosureDeclaration(mods, (yyvsp[-1].expression), (yyvsp[-3].expression), (yyvsp[0].sblock)));
            cd->loc.set((yylsp[-6]), (yylsp[0]));
            (yyval.expression) = new ASTClosureExpression(cd.release());
        }
#line 10079 "ast_parser.cpp"
    break;

  case 320: /* exp_c: method_modifiers uncqtypedef "sub" '(' myexp ')' block  */
#line 2555 "ast_parser.ypp"
                                                                   {
            ASTModifiers mods((yyvsp[-6].ui4));
            ASTName typeName((yyvsp[-5].String), ASTNameKind::ANK_UncQTypedef);
            typeName.loc = (yylsp[-5]);
            delete (yyvsp[-5].String);

            ASTClosureDeclaration::Ptr cd(new ASTClosureDeclaration(mods, new ASTNameExpression(std::move(typeName)), (yyvsp[-2].expression), (yyvsp[0].sblock)));
            cd->loc.set((yylsp[-6]), (yylsp[0]));
            (yyval.expression) = new ASTClosureExpression(cd.release());
        }
#line 10094 "ast_parser.cpp"
    break;

  case 321: /* exp_c: "implicit argument reference"  */
#line 2565 "ast_parser.ypp"
                           {
            (yyval.expression) = new ASTImplicitArgExpression((yyvsp[0].i4));
            (yyval.expression)->loc = (yylsp[0]);
        }
#line 10103 "ast_parser.cpp"
    break;

  case 322: /* exp_c: "$# operator"  */
#line 2569 "ast_parser.ypp"
                           {
            (yyval.expression) = new ASTImplicitElemExpression;
            (yyval.expression)->loc = (yylsp[0]);
        }
#line 10112 "ast_parser.cpp"
    break;

  case 323: /* exp_c: "delete" exp  */
#line 2573 "ast_parser.ypp"
                         {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Delete);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 10121 "ast_parser.cpp"
    break;

  case 324: /* exp_c: "remove" exp  */
#line 2577 "ast_parser.ypp"
                         {
            (yyval.expression) = new ASTUnaryExpression((yyvsp[0].expression), ASTOperatorKind::AOK_Remove);
            (yyval.expression)->loc.setFirst((yylsp[-1]));
        }
#line 10130 "ast_parser.cpp"
    break;

  case 325: /* exp_c: "cast operator" '(' exp ')'  */
#line 2581 "ast_parser.ypp"
                                {
            ASTName castType((yyvsp[-3].string), ASTNameKind::ANK_CastType);
            castType.loc = (yylsp[-3]);
            free((yyvsp[-3].string));
            (yyval.expression) = new ASTCastExpression(castType, (yyvsp[-1].expression));
            (yyval.expression)->loc.setLast((yylsp[0]));
        }
#line 10142 "ast_parser.cpp"
    break;

  case 327: /* exp: list  */
#line 2592 "ast_parser.ypp"
                                            { (yyval.expression) = (yyvsp[0].list); }
#line 10148 "ast_parser.cpp"
    break;

  case 328: /* exp: alt_hash  */
#line 2593 "ast_parser.ypp"
                                            { (yyval.expression) = (yyvsp[0].hash); }
#line 10154 "ast_parser.cpp"
    break;

  case 329: /* exp: immediate_typed_hash  */
#line 2594 "ast_parser.ypp"
                                            { (yyval.expression) = (yyvsp[0].hashdeclhash); }
#line 10160 "ast_parser.cpp"
    break;

  case 330: /* exp: '{' '}'  */
#line 2595 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTHashExpression; (yyval.expression)->loc.set((yylsp[-1]), (yylsp[0])); }
#line 10166 "ast_parser.cpp"
    break;

  case 331: /* exp: exp "+= operator" exp  */
#line 2596 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_PlusEquals, (yyvsp[0].expression)); }
#line 10172 "ast_parser.cpp"
    break;

  case 332: /* exp: exp "-= operator" exp  */
#line 2597 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_MinusEquals, (yyvsp[0].expression)); }
#line 10178 "ast_parser.cpp"
    break;

  case 333: /* exp: exp "&= operator" exp  */
#line 2598 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_AndEquals, (yyvsp[0].expression)); }
#line 10184 "ast_parser.cpp"
    break;

  case 334: /* exp: exp "|= operator" exp  */
#line 2599 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_OrEquals, (yyvsp[0].expression)); }
#line 10190 "ast_parser.cpp"
    break;

  case 335: /* exp: exp "%= operator" exp  */
#line 2600 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ModuloEquals, (yyvsp[0].expression)); }
#line 10196 "ast_parser.cpp"
    break;

  case 336: /* exp: exp "*= operator" exp  */
#line 2601 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_MultiplyEquals, (yyvsp[0].expression)); }
#line 10202 "ast_parser.cpp"
    break;

  case 337: /* exp: exp "/= operator" exp  */
#line 2602 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_DivideEquals, (yyvsp[0].expression)); }
#line 10208 "ast_parser.cpp"
    break;

  case 338: /* exp: exp "^= operator" exp  */
#line 2603 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_XorEquals, (yyvsp[0].expression)); }
#line 10214 "ast_parser.cpp"
    break;

  case 339: /* exp: exp "<<= operator" exp  */
#line 2604 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftLeftEquals, (yyvsp[0].expression)); }
#line 10220 "ast_parser.cpp"
    break;

  case 340: /* exp: exp ">>= operator" exp  */
#line 2605 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftRightEquals, (yyvsp[0].expression)); }
#line 10226 "ast_parser.cpp"
    break;

  case 341: /* exp: exp WS_PLUS_EQUALS exp  */
#line 2606 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_PLUS_EQUALS, (yyvsp[0].expression)); }
#line 10232 "ast_parser.cpp"
    break;

  case 342: /* exp: exp WS_MINUS_EQUALS exp  */
#line 2607 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_MINUS_EQUALS, (yyvsp[0].expression)); }
#line 10238 "ast_parser.cpp"
    break;

  case 343: /* exp: exp WS_AND_EQUALS exp  */
#line 2608 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_AND_EQUALS, (yyvsp[0].expression)); }
#line 10244 "ast_parser.cpp"
    break;

  case 344: /* exp: exp WS_OR_EQUALS exp  */
#line 2609 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_OR_EQUALS, (yyvsp[0].expression)); }
#line 10250 "ast_parser.cpp"
    break;

  case 345: /* exp: exp WS_MODULO_EQUALS exp  */
#line 2610 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_MODULO_EQUALS, (yyvsp[0].expression)); }
#line 10256 "ast_parser.cpp"
    break;

  case 346: /* exp: exp WS_MULTIPLY_EQUALS exp  */
#line 2611 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_MULTIPLY_EQUALS, (yyvsp[0].expression)); }
#line 10262 "ast_parser.cpp"
    break;

  case 347: /* exp: exp WS_DIVIDE_EQUALS exp  */
#line 2612 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_DIVIDE_EQUALS, (yyvsp[0].expression)); }
#line 10268 "ast_parser.cpp"
    break;

  case 348: /* exp: exp WS_XOR_EQUALS exp  */
#line 2613 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_XOR_EQUALS, (yyvsp[0].expression)); }
#line 10274 "ast_parser.cpp"
    break;

  case 349: /* exp: exp WS_SHIFT_LEFT_EQUALS exp  */
#line 2614 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_LEFT_EQUALS, (yyvsp[0].expression)); }
#line 10280 "ast_parser.cpp"
    break;

  case 350: /* exp: exp WS_SHIFT_RIGHT_EQUALS exp  */
#line 2615 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_RIGHT_EQUALS, (yyvsp[0].expression)); }
#line 10286 "ast_parser.cpp"
    break;

  case 351: /* exp: exp '=' exp  */
#line 2616 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTAssignmentExpression((yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 10292 "ast_parser.cpp"
    break;

  case 352: /* exp: exp ":= operator" exp  */
#line 2617 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTAssignmentExpression((yyvsp[-2].expression), (yyvsp[0].expression), true); }
#line 10298 "ast_parser.cpp"
    break;

  case 353: /* exp: exp "instanceof" uncqtypedef  */
#line 2618 "ast_parser.ypp"
                                            {
            ASTName name((yyvsp[0].String), ASTNameKind::ANK_UncQTypedef);
            name.loc = (yylsp[0]);
            delete (yyvsp[0].String);
            (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Instanceof, new ASTNameExpression(std::move(name)));
        }
#line 10309 "ast_parser.cpp"
    break;

  case 354: /* exp: exp "?? operator" exp  */
#line 2624 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_NullCoalesce, (yyvsp[0].expression)); }
#line 10315 "ast_parser.cpp"
    break;

  case 355: /* exp: exp "?* operator" exp  */
#line 2625 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ValueCoalesce, (yyvsp[0].expression)); }
#line 10321 "ast_parser.cpp"
    break;

  case 356: /* exp: exp '?' exp ':' exp  */
#line 2626 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTTernaryExpression((yyvsp[-4].expression), (yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 10327 "ast_parser.cpp"
    break;

  case 357: /* exp: exp "++ operator"  */
#line 2627 "ast_parser.ypp"
                                            { // post-increment
            (yyval.expression) = new ASTUnaryExpression((yyvsp[-1].expression), ASTOperatorKind::AOK_PostIncrement);
            (yyval.expression)->loc.setLast((yylsp[0]));
        }
#line 10336 "ast_parser.cpp"
    break;

  case 358: /* exp: exp "-- operator"  */
#line 2631 "ast_parser.ypp"
                                            { // post-decrement
            (yyval.expression) = new ASTUnaryExpression((yyvsp[-1].expression), ASTOperatorKind::AOK_PostDecrement);
            (yyval.expression)->loc.setLast((yylsp[0]));
        }
#line 10345 "ast_parser.cpp"
    break;

  case 359: /* exp: exp '(' myexp ')'  */
#line 2635 "ast_parser.ypp"
                                            {
            (yyval.expression) = new ASTCallExpression((yyvsp[-3].expression), (yyvsp[-1].expression));
        }
#line 10353 "ast_parser.cpp"
    break;

  case 360: /* exp: exp "&& operator" exp  */
#line 2638 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LogicalAnd, (yyvsp[0].expression)); }
#line 10359 "ast_parser.cpp"
    break;

  case 361: /* exp: exp "|| operator" exp  */
#line 2639 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LogicalOr, (yyvsp[0].expression)); }
#line 10365 "ast_parser.cpp"
    break;

  case 362: /* exp: exp "|| operator (compat)" exp  */
#line 2640 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BrokenLogicalOr, (yyvsp[0].expression)); }
#line 10371 "ast_parser.cpp"
    break;

  case 363: /* exp: exp "| operator (compat)" exp  */
#line 2641 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BrokenBinaryOr, (yyvsp[0].expression)); }
#line 10377 "ast_parser.cpp"
    break;

  case 364: /* exp: exp "^ operator (compat)" exp  */
#line 2642 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BrokenBinaryXor, (yyvsp[0].expression)); }
#line 10383 "ast_parser.cpp"
    break;

  case 365: /* exp: exp '|' exp  */
#line 2643 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BinaryOr, (yyvsp[0].expression)); }
#line 10389 "ast_parser.cpp"
    break;

  case 366: /* exp: exp '&' exp  */
#line 2644 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BinaryAnd, (yyvsp[0].expression)); }
#line 10395 "ast_parser.cpp"
    break;

  case 367: /* exp: exp '^' exp  */
#line 2645 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BinaryXor, (yyvsp[0].expression)); }
#line 10401 "ast_parser.cpp"
    break;

  case 368: /* exp: exp "=~ operator" "regular expression"  */
#line 2646 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regex)); }
#line 10407 "ast_parser.cpp"
    break;

  case 369: /* exp: exp "!~ operator" "regular expression"  */
#line 2647 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexNotMatch, (yyvsp[0].regex)); }
#line 10413 "ast_parser.cpp"
    break;

  case 370: /* exp: exp "=~ operator" "regular expression substitution expression"  */
#line 2648 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regexsubst)); }
#line 10419 "ast_parser.cpp"
    break;

  case 371: /* exp: exp "=~ operator" "transliteration expression"  */
#line 2649 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regextrans)); }
#line 10425 "ast_parser.cpp"
    break;

  case 372: /* exp: exp "=~ operator" "regular expression extraction expression"  */
#line 2650 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regex)); }
#line 10431 "ast_parser.cpp"
    break;

  case 373: /* exp: exp '>' exp  */
#line 2651 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_GreaterThan, (yyvsp[0].expression)); }
#line 10437 "ast_parser.cpp"
    break;

  case 374: /* exp: exp '<' exp  */
#line 2652 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LessThan, (yyvsp[0].expression)); }
#line 10443 "ast_parser.cpp"
    break;

  case 375: /* exp: exp "<=> operator" exp  */
#line 2653 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Comparison, (yyvsp[0].expression)); }
#line 10449 "ast_parser.cpp"
    break;

  case 376: /* exp: exp "== operator" exp  */
#line 2654 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Equals, (yyvsp[0].expression)); }
#line 10455 "ast_parser.cpp"
    break;

  case 377: /* exp: exp "=== operator" exp  */
#line 2655 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_AbsoluteEquals, (yyvsp[0].expression)); }
#line 10461 "ast_parser.cpp"
    break;

  case 378: /* exp: exp "!== operator" exp  */
#line 2656 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_AbsoluteNotEquals, (yyvsp[0].expression)); }
#line 10467 "ast_parser.cpp"
    break;

  case 379: /* exp: exp "!= operator" exp  */
#line 2657 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_NotEquals, (yyvsp[0].expression)); }
#line 10473 "ast_parser.cpp"
    break;

  case 380: /* exp: exp "<= operator" exp  */
#line 2658 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LessThanOrEquals, (yyvsp[0].expression)); }
#line 10479 "ast_parser.cpp"
    break;

  case 381: /* exp: exp ">= operator" exp  */
#line 2659 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_GreaterThanOrEquals, (yyvsp[0].expression)); }
#line 10485 "ast_parser.cpp"
    break;

  case 382: /* exp: exp "<< operator" exp  */
#line 2660 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftLeft, (yyvsp[0].expression)); }
#line 10491 "ast_parser.cpp"
    break;

  case 383: /* exp: exp ">> operator" exp  */
#line 2661 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftRight, (yyvsp[0].expression)); }
#line 10497 "ast_parser.cpp"
    break;

  case 384: /* exp: exp WS_LOGICAL_AND exp  */
#line 2662 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_AND, (yyvsp[0].expression)); }
#line 10503 "ast_parser.cpp"
    break;

  case 385: /* exp: exp WS_LOGICAL_OR exp  */
#line 2663 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_OR, (yyvsp[0].expression)); }
#line 10509 "ast_parser.cpp"
    break;

  case 386: /* exp: exp WS_BROKEN_LOGICAL_OR exp  */
#line 2664 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_BROKEN_LOGICAL_OR, (yyvsp[0].expression)); }
#line 10515 "ast_parser.cpp"
    break;

  case 387: /* exp: exp WS_LOGICAL_CMP exp  */
#line 2665 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_CMP, (yyvsp[0].expression)); }
#line 10521 "ast_parser.cpp"
    break;

  case 388: /* exp: exp WS_LOGICAL_EQ exp  */
#line 2666 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_EQ, (yyvsp[0].expression)); }
#line 10527 "ast_parser.cpp"
    break;

  case 389: /* exp: exp WS_ABSOLUTE_EQ exp  */
#line 2667 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_ABSOLUTE_EQ, (yyvsp[0].expression)); }
#line 10533 "ast_parser.cpp"
    break;

  case 390: /* exp: exp WS_ABSOLUTE_NE exp  */
#line 2668 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_ABSOLUTE_NE, (yyvsp[0].expression)); }
#line 10539 "ast_parser.cpp"
    break;

  case 391: /* exp: exp WS_LOGICAL_NE exp  */
#line 2669 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_NE, (yyvsp[0].expression)); }
#line 10545 "ast_parser.cpp"
    break;

  case 392: /* exp: exp WS_LOGICAL_LE exp  */
#line 2670 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_LE, (yyvsp[0].expression)); }
#line 10551 "ast_parser.cpp"
    break;

  case 393: /* exp: exp WS_LOGICAL_GE exp  */
#line 2671 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_GE, (yyvsp[0].expression)); }
#line 10557 "ast_parser.cpp"
    break;

  case 394: /* exp: exp WS_SHIFT_LEFT exp  */
#line 2672 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_LEFT, (yyvsp[0].expression)); }
#line 10563 "ast_parser.cpp"
    break;

  case 395: /* exp: exp WS_SHIFT_RIGHT exp  */
#line 2673 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_RIGHT, (yyvsp[0].expression)); }
#line 10569 "ast_parser.cpp"
    break;

  case 396: /* exp: exp '+' exp  */
#line 2674 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Plus, (yyvsp[0].expression)); }
#line 10575 "ast_parser.cpp"
    break;

  case 397: /* exp: exp '-' exp  */
#line 2675 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Minus, (yyvsp[0].expression)); }
#line 10581 "ast_parser.cpp"
    break;

  case 398: /* exp: exp '%' exp  */
#line 2676 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Modulo, (yyvsp[0].expression)); }
#line 10587 "ast_parser.cpp"
    break;

  case 399: /* exp: exp '/' exp  */
#line 2677 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Divide, (yyvsp[0].expression)); }
#line 10593 "ast_parser.cpp"
    break;

  case 400: /* exp: exp '*' exp  */
#line 2678 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Multiply, (yyvsp[0].expression)); }
#line 10599 "ast_parser.cpp"
    break;

  case 401: /* exp: exp '[' exp ".. operator" ']'  */
#line 2679 "ast_parser.ypp"
                                            {
            ASTRangeExpression::Ptr re(new ASTRangeExpression((yyvsp[-2].expression), nullptr));
            re->loc.setLast((yylsp[-1]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-4].expression), re.release(), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 10609 "ast_parser.cpp"
    break;

  case 402: /* exp: exp '[' ".. operator" exp ']'  */
#line 2684 "ast_parser.ypp"
                                            {
            ASTRangeExpression::Ptr re(new ASTRangeExpression(nullptr, (yyvsp[-1].expression)));
            re->loc.setFirst((yylsp[-2]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-4].expression), re.release(), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 10619 "ast_parser.cpp"
    break;

  case 403: /* exp: exp '[' ".. operator" ']'  */
#line 2689 "ast_parser.ypp"
                                            {
            yynerrs++;
            yyerror(&(yylsp[-1]), yyscanner, errorLog, parseTree, "illegal range without start or end expressions; at least start or end must be given for a range");
            ASTRangeExpression::Ptr re(new ASTRangeExpression(nullptr, nullptr));
            re->loc = (yylsp[-1]);
            (yyval.expression) = new ASTIndexExpression((yyvsp[-3].expression), re.release(), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 10631 "ast_parser.cpp"
    break;

  case 404: /* exp: exp '[' exp ']'  */
#line 2696 "ast_parser.ypp"
                                            {
            (yyvsp[-1].expression)->loc.set((yylsp[-2]), (yylsp[0]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-3].expression), (yyvsp[-1].expression), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 10640 "ast_parser.cpp"
    break;

  case 405: /* exp: exp '{' exp '}'  */
#line 2700 "ast_parser.ypp"
                                            {
            (yyvsp[-1].expression)->loc.set((yylsp[-2]), (yylsp[0]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-3].expression), (yyvsp[-1].expression), ASTIndexExpression::IndexKind::AIE_CurlyBrackets);
        }
#line 10649 "ast_parser.cpp"
    break;

  case 406: /* exp: exp ".. operator" exp  */
#line 2704 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTRangeExpression((yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 10655 "ast_parser.cpp"
    break;

  case 407: /* exp: exp '.' exp  */
#line 2705 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTAccessExpression((yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 10661 "ast_parser.cpp"
    break;

  case 408: /* exp: exp "keyword used as hash key or object member reference"  */
#line 2706 "ast_parser.ypp"
                                            {
            ASTName name((yyvsp[0].String), ASTNameKind::ANK_KWIdentifier);
            name.loc = (yylsp[0]);
            delete (yyvsp[0].String);
            (yyval.expression) = new ASTAccessExpression((yyvsp[-1].expression), new ASTNameExpression(std::move(name)));
        }
#line 10672 "ast_parser.cpp"
    break;

  case 410: /* exp_n: list_n  */
#line 2716 "ast_parser.ypp"
                                            { (yyval.expression) = (yyvsp[0].list); }
#line 10678 "ast_parser.cpp"
    break;

  case 411: /* exp_n: exp_n "+= operator" exp  */
#line 2717 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_PlusEquals, (yyvsp[0].expression)); }
#line 10684 "ast_parser.cpp"
    break;

  case 412: /* exp_n: exp_n "-= operator" exp  */
#line 2718 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_MinusEquals, (yyvsp[0].expression)); }
#line 10690 "ast_parser.cpp"
    break;

  case 413: /* exp_n: exp_n "&= operator" exp  */
#line 2719 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_AndEquals, (yyvsp[0].expression)); }
#line 10696 "ast_parser.cpp"
    break;

  case 414: /* exp_n: exp_n "|= operator" exp  */
#line 2720 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_OrEquals, (yyvsp[0].expression)); }
#line 10702 "ast_parser.cpp"
    break;

  case 415: /* exp_n: exp_n "%= operator" exp  */
#line 2721 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ModuloEquals, (yyvsp[0].expression)); }
#line 10708 "ast_parser.cpp"
    break;

  case 416: /* exp_n: exp_n "*= operator" exp  */
#line 2722 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_MultiplyEquals, (yyvsp[0].expression)); }
#line 10714 "ast_parser.cpp"
    break;

  case 417: /* exp_n: exp_n "/= operator" exp  */
#line 2723 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_DivideEquals, (yyvsp[0].expression)); }
#line 10720 "ast_parser.cpp"
    break;

  case 418: /* exp_n: exp_n "^= operator" exp  */
#line 2724 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_XorEquals, (yyvsp[0].expression)); }
#line 10726 "ast_parser.cpp"
    break;

  case 419: /* exp_n: exp_n "<<= operator" exp  */
#line 2725 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftLeftEquals, (yyvsp[0].expression)); }
#line 10732 "ast_parser.cpp"
    break;

  case 420: /* exp_n: exp_n ">>= operator" exp  */
#line 2726 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftRightEquals, (yyvsp[0].expression)); }
#line 10738 "ast_parser.cpp"
    break;

  case 421: /* exp_n: exp_n WS_PLUS_EQUALS exp  */
#line 2727 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_PLUS_EQUALS, (yyvsp[0].expression)); }
#line 10744 "ast_parser.cpp"
    break;

  case 422: /* exp_n: exp_n WS_MINUS_EQUALS exp  */
#line 2728 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_MINUS_EQUALS, (yyvsp[0].expression)); }
#line 10750 "ast_parser.cpp"
    break;

  case 423: /* exp_n: exp_n WS_AND_EQUALS exp  */
#line 2729 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_AND_EQUALS, (yyvsp[0].expression)); }
#line 10756 "ast_parser.cpp"
    break;

  case 424: /* exp_n: exp_n WS_OR_EQUALS exp  */
#line 2730 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_OR_EQUALS, (yyvsp[0].expression)); }
#line 10762 "ast_parser.cpp"
    break;

  case 425: /* exp_n: exp_n WS_MODULO_EQUALS exp  */
#line 2731 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_MODULO_EQUALS, (yyvsp[0].expression)); }
#line 10768 "ast_parser.cpp"
    break;

  case 426: /* exp_n: exp_n WS_MULTIPLY_EQUALS exp  */
#line 2732 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_MULTIPLY_EQUALS, (yyvsp[0].expression)); }
#line 10774 "ast_parser.cpp"
    break;

  case 427: /* exp_n: exp_n WS_DIVIDE_EQUALS exp  */
#line 2733 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_DIVIDE_EQUALS, (yyvsp[0].expression)); }
#line 10780 "ast_parser.cpp"
    break;

  case 428: /* exp_n: exp_n WS_XOR_EQUALS exp  */
#line 2734 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_XOR_EQUALS, (yyvsp[0].expression)); }
#line 10786 "ast_parser.cpp"
    break;

  case 429: /* exp_n: exp_n WS_SHIFT_LEFT_EQUALS exp  */
#line 2735 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_LEFT_EQUALS, (yyvsp[0].expression)); }
#line 10792 "ast_parser.cpp"
    break;

  case 430: /* exp_n: exp_n WS_SHIFT_RIGHT_EQUALS exp  */
#line 2736 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_RIGHT_EQUALS, (yyvsp[0].expression)); }
#line 10798 "ast_parser.cpp"
    break;

  case 431: /* exp_n: exp_n '=' exp  */
#line 2737 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTAssignmentExpression((yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 10804 "ast_parser.cpp"
    break;

  case 432: /* exp_n: exp_n ":= operator" exp  */
#line 2738 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTAssignmentExpression((yyvsp[-2].expression), (yyvsp[0].expression), true); }
#line 10810 "ast_parser.cpp"
    break;

  case 433: /* exp_n: exp_n "instanceof" uncqtypedef  */
#line 2739 "ast_parser.ypp"
                                            {
            ASTName name((yyvsp[0].String), ASTNameKind::ANK_UncQTypedef);
            name.loc = (yylsp[0]);
            delete (yyvsp[0].String);
            (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Instanceof, new ASTNameExpression(std::move(name)));
        }
#line 10821 "ast_parser.cpp"
    break;

  case 434: /* exp_n: exp_n "?? operator" exp  */
#line 2745 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_NullCoalesce, (yyvsp[0].expression)); }
#line 10827 "ast_parser.cpp"
    break;

  case 435: /* exp_n: exp_n "?* operator" exp  */
#line 2746 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ValueCoalesce, (yyvsp[0].expression)); }
#line 10833 "ast_parser.cpp"
    break;

  case 436: /* exp_n: exp_n '?' exp ':' exp  */
#line 2747 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTTernaryExpression((yyvsp[-4].expression), (yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 10839 "ast_parser.cpp"
    break;

  case 437: /* exp_n: exp_n "++ operator"  */
#line 2748 "ast_parser.ypp"
                                            { // post-increment
            (yyval.expression) = new ASTUnaryExpression((yyvsp[-1].expression), ASTOperatorKind::AOK_PostIncrement);
            (yyval.expression)->loc.setLast((yylsp[0]));
        }
#line 10848 "ast_parser.cpp"
    break;

  case 438: /* exp_n: exp_n "-- operator"  */
#line 2752 "ast_parser.ypp"
                                            { // post-decrement
            (yyval.expression) = new ASTUnaryExpression((yyvsp[-1].expression), ASTOperatorKind::AOK_PostDecrement);
            (yyval.expression)->loc.setLast((yylsp[0]));
        }
#line 10857 "ast_parser.cpp"
    break;

  case 439: /* exp_n: exp_n '(' myexp ')'  */
#line 2756 "ast_parser.ypp"
                                            {
            (yyval.expression) = new ASTCallExpression((yyvsp[-3].expression), (yyvsp[-1].expression));
        }
#line 10865 "ast_parser.cpp"
    break;

  case 440: /* exp_n: exp_n "&& operator" exp  */
#line 2759 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LogicalAnd, (yyvsp[0].expression)); }
#line 10871 "ast_parser.cpp"
    break;

  case 441: /* exp_n: exp_n "|| operator" exp  */
#line 2760 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LogicalOr, (yyvsp[0].expression)); }
#line 10877 "ast_parser.cpp"
    break;

  case 442: /* exp_n: exp_n "|| operator (compat)" exp  */
#line 2761 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BrokenLogicalOr, (yyvsp[0].expression)); }
#line 10883 "ast_parser.cpp"
    break;

  case 443: /* exp_n: exp_n "| operator (compat)" exp  */
#line 2762 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BrokenBinaryOr, (yyvsp[0].expression)); }
#line 10889 "ast_parser.cpp"
    break;

  case 444: /* exp_n: exp_n "^ operator (compat)" exp  */
#line 2763 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BrokenBinaryXor, (yyvsp[0].expression)); }
#line 10895 "ast_parser.cpp"
    break;

  case 445: /* exp_n: exp_n '|' exp  */
#line 2764 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BinaryOr, (yyvsp[0].expression)); }
#line 10901 "ast_parser.cpp"
    break;

  case 446: /* exp_n: exp_n '&' exp  */
#line 2765 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BinaryAnd, (yyvsp[0].expression)); }
#line 10907 "ast_parser.cpp"
    break;

  case 447: /* exp_n: exp_n '^' exp  */
#line 2766 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_BinaryXor, (yyvsp[0].expression)); }
#line 10913 "ast_parser.cpp"
    break;

  case 448: /* exp_n: exp_n "=~ operator" "regular expression"  */
#line 2767 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regex)); }
#line 10919 "ast_parser.cpp"
    break;

  case 449: /* exp_n: exp_n "!~ operator" "regular expression"  */
#line 2768 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexNotMatch, (yyvsp[0].regex)); }
#line 10925 "ast_parser.cpp"
    break;

  case 450: /* exp_n: exp_n "=~ operator" "regular expression substitution expression"  */
#line 2769 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regexsubst)); }
#line 10931 "ast_parser.cpp"
    break;

  case 451: /* exp_n: exp_n "=~ operator" "transliteration expression"  */
#line 2770 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regextrans)); }
#line 10937 "ast_parser.cpp"
    break;

  case 452: /* exp_n: exp_n "=~ operator" "regular expression extraction expression"  */
#line 2771 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_RegexMatch, (yyvsp[0].regex)); }
#line 10943 "ast_parser.cpp"
    break;

  case 453: /* exp_n: exp_n '>' exp  */
#line 2772 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_GreaterThan, (yyvsp[0].expression)); }
#line 10949 "ast_parser.cpp"
    break;

  case 454: /* exp_n: exp_n '<' exp  */
#line 2773 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LessThan, (yyvsp[0].expression)); }
#line 10955 "ast_parser.cpp"
    break;

  case 455: /* exp_n: exp_n "<=> operator" exp  */
#line 2774 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Comparison, (yyvsp[0].expression)); }
#line 10961 "ast_parser.cpp"
    break;

  case 456: /* exp_n: exp_n "== operator" exp  */
#line 2775 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Equals, (yyvsp[0].expression)); }
#line 10967 "ast_parser.cpp"
    break;

  case 457: /* exp_n: exp_n "=== operator" exp  */
#line 2776 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_AbsoluteEquals, (yyvsp[0].expression)); }
#line 10973 "ast_parser.cpp"
    break;

  case 458: /* exp_n: exp_n "!== operator" exp  */
#line 2777 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_AbsoluteNotEquals, (yyvsp[0].expression)); }
#line 10979 "ast_parser.cpp"
    break;

  case 459: /* exp_n: exp_n "!= operator" exp  */
#line 2778 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_NotEquals, (yyvsp[0].expression)); }
#line 10985 "ast_parser.cpp"
    break;

  case 460: /* exp_n: exp_n "<= operator" exp  */
#line 2779 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_LessThanOrEquals, (yyvsp[0].expression)); }
#line 10991 "ast_parser.cpp"
    break;

  case 461: /* exp_n: exp_n ">= operator" exp  */
#line 2780 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_GreaterThanOrEquals, (yyvsp[0].expression)); }
#line 10997 "ast_parser.cpp"
    break;

  case 462: /* exp_n: exp_n "<< operator" exp  */
#line 2781 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftLeft, (yyvsp[0].expression)); }
#line 11003 "ast_parser.cpp"
    break;

  case 463: /* exp_n: exp_n ">> operator" exp  */
#line 2782 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_ShiftRight, (yyvsp[0].expression)); }
#line 11009 "ast_parser.cpp"
    break;

  case 464: /* exp_n: exp_n WS_LOGICAL_AND exp  */
#line 2783 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_AND, (yyvsp[0].expression)); }
#line 11015 "ast_parser.cpp"
    break;

  case 465: /* exp_n: exp_n WS_LOGICAL_OR exp  */
#line 2784 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_OR, (yyvsp[0].expression)); }
#line 11021 "ast_parser.cpp"
    break;

  case 466: /* exp_n: exp_n WS_BROKEN_LOGICAL_OR exp  */
#line 2785 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_BROKEN_LOGICAL_OR, (yyvsp[0].expression)); }
#line 11027 "ast_parser.cpp"
    break;

  case 467: /* exp_n: exp_n WS_LOGICAL_CMP exp  */
#line 2786 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_CMP, (yyvsp[0].expression)); }
#line 11033 "ast_parser.cpp"
    break;

  case 468: /* exp_n: exp_n WS_LOGICAL_EQ exp  */
#line 2787 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_EQ, (yyvsp[0].expression)); }
#line 11039 "ast_parser.cpp"
    break;

  case 469: /* exp_n: exp_n WS_ABSOLUTE_EQ exp  */
#line 2788 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_ABSOLUTE_EQ, (yyvsp[0].expression)); }
#line 11045 "ast_parser.cpp"
    break;

  case 470: /* exp_n: exp_n WS_ABSOLUTE_NE exp  */
#line 2789 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_ABSOLUTE_NE, (yyvsp[0].expression)); }
#line 11051 "ast_parser.cpp"
    break;

  case 471: /* exp_n: exp_n WS_LOGICAL_NE exp  */
#line 2790 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_NE, (yyvsp[0].expression)); }
#line 11057 "ast_parser.cpp"
    break;

  case 472: /* exp_n: exp_n WS_LOGICAL_LE exp  */
#line 2791 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_LE, (yyvsp[0].expression)); }
#line 11063 "ast_parser.cpp"
    break;

  case 473: /* exp_n: exp_n WS_LOGICAL_GE exp  */
#line 2792 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_LOGICAL_GE, (yyvsp[0].expression)); }
#line 11069 "ast_parser.cpp"
    break;

  case 474: /* exp_n: exp_n WS_SHIFT_LEFT exp  */
#line 2793 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_LEFT, (yyvsp[0].expression)); }
#line 11075 "ast_parser.cpp"
    break;

  case 475: /* exp_n: exp_n WS_SHIFT_RIGHT exp  */
#line 2794 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_WS_SHIFT_RIGHT, (yyvsp[0].expression)); }
#line 11081 "ast_parser.cpp"
    break;

  case 476: /* exp_n: exp_n '+' exp  */
#line 2795 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Plus, (yyvsp[0].expression)); }
#line 11087 "ast_parser.cpp"
    break;

  case 477: /* exp_n: exp_n '-' exp  */
#line 2796 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Minus, (yyvsp[0].expression)); }
#line 11093 "ast_parser.cpp"
    break;

  case 478: /* exp_n: exp_n '%' exp  */
#line 2797 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Modulo, (yyvsp[0].expression)); }
#line 11099 "ast_parser.cpp"
    break;

  case 479: /* exp_n: exp_n '/' exp  */
#line 2798 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Divide, (yyvsp[0].expression)); }
#line 11105 "ast_parser.cpp"
    break;

  case 480: /* exp_n: exp_n '*' exp  */
#line 2799 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTBinaryExpression((yyvsp[-2].expression), ASTOperatorKind::AOK_Multiply, (yyvsp[0].expression)); }
#line 11111 "ast_parser.cpp"
    break;

  case 481: /* exp_n: exp_n '[' exp ".. operator" ']'  */
#line 2800 "ast_parser.ypp"
                                            {
            ASTRangeExpression::Ptr re(new ASTRangeExpression((yyvsp[-2].expression), nullptr));
            re->loc.setLast((yylsp[-1]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-4].expression), re.release(), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 11121 "ast_parser.cpp"
    break;

  case 482: /* exp_n: exp_n '[' ".. operator" exp ']'  */
#line 2805 "ast_parser.ypp"
                                            {
            ASTRangeExpression::Ptr re(new ASTRangeExpression(nullptr, (yyvsp[-1].expression)));
            re->loc.setFirst((yylsp[-2]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-4].expression), re.release(), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 11131 "ast_parser.cpp"
    break;

  case 483: /* exp_n: exp_n '[' ".. operator" ']'  */
#line 2810 "ast_parser.ypp"
                                            {
            yynerrs++;
            yyerror(&(yylsp[-1]), yyscanner, errorLog, parseTree, "illegal range without start or end expressions; at least start or end must be given for a range");
            ASTRangeExpression::Ptr re(new ASTRangeExpression(nullptr, nullptr));
            re->loc = (yylsp[-1]);
            (yyval.expression) = new ASTIndexExpression((yyvsp[-3].expression), re.release(), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 11143 "ast_parser.cpp"
    break;

  case 484: /* exp_n: exp_n '[' exp ']'  */
#line 2817 "ast_parser.ypp"
                                            {
            (yyvsp[-1].expression)->loc.set((yylsp[-2]), (yylsp[0]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-3].expression), (yyvsp[-1].expression), ASTIndexExpression::IndexKind::AIE_SquareBrackets);
        }
#line 11152 "ast_parser.cpp"
    break;

  case 485: /* exp_n: exp_n '{' exp '}'  */
#line 2821 "ast_parser.ypp"
                                            {
            (yyvsp[-1].expression)->loc.set((yylsp[-2]), (yylsp[0]));
            (yyval.expression) = new ASTIndexExpression((yyvsp[-3].expression), (yyvsp[-1].expression), ASTIndexExpression::IndexKind::AIE_CurlyBrackets);
        }
#line 11161 "ast_parser.cpp"
    break;

  case 486: /* exp_n: exp_n ".. operator" exp  */
#line 2825 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTRangeExpression((yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 11167 "ast_parser.cpp"
    break;

  case 487: /* exp_n: exp_n '.' exp  */
#line 2826 "ast_parser.ypp"
                                            { (yyval.expression) = new ASTAccessExpression((yyvsp[-2].expression), (yyvsp[0].expression)); }
#line 11173 "ast_parser.cpp"
    break;

  case 488: /* exp_n: exp_n "keyword used as hash key or object member reference"  */
#line 2827 "ast_parser.ypp"
                                            {
            ASTName name((yyvsp[0].String), ASTNameKind::ANK_KWIdentifier);
            name.loc = (yylsp[0]);
            delete (yyvsp[0].String);
            (yyval.expression) = new ASTAccessExpression((yyvsp[-1].expression), new ASTNameExpression(std::move(name)));
        }
#line 11184 "ast_parser.cpp"
    break;

  case 489: /* string: "quoted string"  */
#line 2836 "ast_parser.ypp"
                    {
            (yyval.String) = (yyvsp[0].String);
        }
#line 11192 "ast_parser.cpp"
    break;

  case 490: /* string: "quoted string" string  */
#line 2839 "ast_parser.ypp"
                             {
            (yyval.String) = (yyvsp[-1].String);
            (yyval.String)->append(*((yyvsp[0].String)));
            delete (yyvsp[0].String);
        }
#line 11202 "ast_parser.cpp"
    break;

  case 491: /* scalar: "floating-point value"  */
#line 2847 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(ALEKind::ALEK_Float, (yyvsp[0].decimal)); (yyval.expression)->loc = (yylsp[0]); }
#line 11208 "ast_parser.cpp"
    break;

  case 492: /* scalar: "integer value"  */
#line 2848 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(ALEKind::ALEK_Int, (yyvsp[0].integer)); (yyval.expression)->loc = (yylsp[0]); }
#line 11214 "ast_parser.cpp"
    break;

  case 493: /* scalar: string  */
#line 2849 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(ALEKind::ALEK_String, (yyvsp[0].String)); (yyval.expression)->loc = (yylsp[0]); }
#line 11220 "ast_parser.cpp"
    break;

  case 494: /* scalar: "date/time value"  */
#line 2850 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(ALEKind::ALEK_Date, (yyvsp[0].string)); (yyval.expression)->loc = (yylsp[0]); }
#line 11226 "ast_parser.cpp"
    break;

  case 495: /* scalar: "arbitrary-precision number"  */
#line 2851 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(ALEKind::ALEK_Number, (yyvsp[0].string)); (yyval.expression)->loc = (yylsp[0]); }
#line 11232 "ast_parser.cpp"
    break;

  case 496: /* scalar: "NOTHING"  */
#line 2852 "ast_parser.ypp"
                      { (yyval.expression) = new ASTNothing; (yyval.expression)->loc = (yylsp[0]); }
#line 11238 "ast_parser.cpp"
    break;

  case 497: /* scalar: "NULL"  */
#line 2853 "ast_parser.ypp"
                      { (yyval.expression) = new ASTNull; (yyval.expression)->loc = (yylsp[0]); }
#line 11244 "ast_parser.cpp"
    break;

  case 498: /* scalar: "True"  */
#line 2854 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(true); (yyval.expression)->loc = (yylsp[0]); }
#line 11250 "ast_parser.cpp"
    break;

  case 499: /* scalar: "False"  */
#line 2855 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(false); (yyval.expression)->loc = (yylsp[0]); }
#line 11256 "ast_parser.cpp"
    break;

  case 500: /* scalar: "... marker"  */
#line 2856 "ast_parser.ypp"
                      { (yyval.expression) = new ASTLiteralExpression(ALEKind::ALEK_Ellipses); (yyval.expression)->loc = (yylsp[0]); }
#line 11262 "ast_parser.cpp"
    break;


#line 11266 "ast_parser.cpp"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, yyscanner, errorLog, parseTree, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner, errorLog, parseTree);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, yyscanner, errorLog, parseTree);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, errorLog, parseTree, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner, errorLog, parseTree);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, yyscanner, errorLog, parseTree);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 2859 "ast_parser.ypp"

